/*----------------------------------------------------------*/
/*  KNBCWHD.PL - Coating                                    */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                                                          */
/*  Feature Weights                                         */
/*                                                          */
/*----------------------------------------------------------*/

feature_weights(coating,
  [
    bridgeType                                   :0.3,
    errorMemberType                              :0.6,
    attachMemberType                             :0.5,
    errorMemberLocation                          :0.7,
    errorMemberClass                             :0.3,
    attachMemberClass                            :0.3,
    coatingtemperature                           :0.0
  ]
).


/*----------------------------------------------------------*/
/*                                                          */
/*  Cases                                                   */
/*                                                          */
/*----------------------------------------------------------*/




% New Solution  1
caseSolution(coating_1,coating,`COAT-C001`,`Coating`,[],success,
  [
    bridgeType                                 :bascule,
    errorMemberType                            :rolledBeam,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    coatingtemperature                         :100
  ],
  ` An improper tie coat (manufactured for vinyl topcoat) was applied to the above galvanized items 
which were to receive epoxy and polyurethane topcoat. The epoxy bubbled-up upon application and could be pulled off in sheets. 
Adhesion tape tests were performed and indicated coating failure. 
An attempt was made to reblast to remove only the paint coating. Unfortunately, this also removed the galvanizing. 
All items were blast cleaned and sent back to the galvanizer. Upon return the proper tie-coat and topcoats were applied.`,
`Case #LY-F003:
Description of Error: An improper tie coat (manufactured for vinyl topcoat) was applied to the above galvanized items 
which were to receive epoxy and polyurethane topcoat. The epoxy bubbled-up upon application and could be pulled off in sheets. 
Adhesion tape tests were performed and indicated coating failure. 
Solution Recommended: An attempt was made to reblast to remove only the paint coating. 
Unfortunately, this also removed the galvanizing. All items were blast cleaned and sent back to the galvanizer. 
Upon return the proper tie-coat and topcoats were applied.
Remarks: Galvanized coating thickness is required for final checks.`
).


