/*----------------------------------------------------------*/
/*  KNBCINTL.PL - Internal Lamination Case Knowledge        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                                                          */
/*  Feature Weights                                         */
/*                                                          */
/*----------------------------------------------------------*/
feature_weights(internalLamination,
  [
    bridgeType                    :0.3,
    errorMemberType               :0.6,
    attachMemberType              :0.3,
    errorMemberLocation           :0.7,
    errorMemberClass              :0.3,
    attachMemberClass             :0.3,
    laminationMappingDocumentation:0.7,
    laminationTestRequired        :0.6,
    laminationLengthOfDeformity   :0.5*continuous_feature_eval(200),
    laminationWidthOfDeformity    :0.5*continuous_feature_eval(100)
  ]
).


/*----------------------------------------------------------*/
/*                                                          */
/*  Feature Units (lists features needing units conversion) */
/*                                                          */
/*----------------------------------------------------------*/
feature_units(internalLamination,
  [
    laminationLengthOfDeformity,
    laminationWidthOfDeformity
  ]
).


/*----------------------------------------------------------*/
/*                                                          */
/*  Cases                                                   */
/*                                                          */
/*----------------------------------------------------------*/

% Solution 1
caseSolution(internalLamination_1,internalLamination,`INTL-C001`,`Internal Lamination Case Solution`,[],success,
  [
    bridgeType                    :plateGirder,
    errorMemberType               :capBeam,
    errorMemberLocation           :web,
    errorMemberClass              :primary,
    laminationMappingDocumentation:complete,
    laminationTestRequired        :ut,
    laminationLengthOfDeformity   :2,
    laminationWidthOfDeformity    :0.5
  ],
  `A defect in the capbeam was found during Ultrasonic Testing. Grind out the defect,
weld repair, and UT.`,
`Case #

Description of Error: A defect in the capbeam was found during Ultrasonic Testing.
Solution Recommended: Grind out the defect. 
Preheat 250-450 F shall be used and temperature shall be maintained until repair is complete. 
Welding electrode (FCM) purchased this contract shall be used. Shielded metal arc or submerged arc may be used. 
However at least the first four layers of any repair shall be shielded metal arc welding using electrodes of 1/8 or 5/32 diameter. 
The maximum pass thickness shall be 1/8 for SMAW or 1/4 SAW. 
Welding parameter shall be as specified in the applicable WPS in the following table. 
SMAW - WPS 90-15 SAW - WPS 90-890-990-1090-11. 
Following welding postheat shall be employed and shall continue without interruption from the completion of repair welding to the end of the minimum postheat period. 
Postheat of the repair area shall be between 400 and 500 F for one hour per inch of repair weld thickness or for two hours whichever is less. 
The repair weld shall be ground flush and base metal suspect area shall again be inspected by means of UT to determine if any applicable change has occurred as a result of the sealing process.
`
).



