/*----------------------------------------------------------*/
/*  KNBCPDRH.PL - Partially Drilled Hole Case Knowledge     */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                                                          */
/*  Feature Weights                                         */
/*                                                          */
/*----------------------------------------------------------*/
feature_weights(partiallyDrilledHole,
  [
    bridgeType                      :0.4,
    errorMemberType                 :0.6,
    attachMemberType                :0.5,
    errorMemberLocation             :0.5,
    errorMemberClass                :0.3,
    attachMemberClass               :0.3,
    holeDetailsType                 :0.6,
    holeDetailsActualHoleDiameter   :0.5*continuous_feature_eval(2),
    holeDetailsSpecifiedHoleDiameter:0.5*continuous_feature_eval(2),
    holeDetailsPartDrilledHoleDepth :0.8*continuous_feature_eval(3),
    errorMemberActualThickness      :0.8*continuous_feature_eval(3)
  ]
).


/*----------------------------------------------------------*/
/*                                                          */
/*  Feature Units (lists features needing units conversion) */
/*                                                          */
/*----------------------------------------------------------*/
feature_units(partiallyDrilledHole,
  [
    holeDetailsActualHoleDiameter,
    holeDetailsSpecifiedHoleDiameter,
    holeDetailsPartDrilledHoleDepth,
    errorMemberActualThickness
  ]
).


/*----------------------------------------------------------*/
/*                                                          */
/*  Cases                                                   */
/*                                                          */
/*----------------------------------------------------------*/

% Solution 1
caseSolution(partiallyDrilledHole_1,partiallyDrilledHole,`PDRH-C001`,`Partially Drilled Hole Case Solution`,[dl126],success,
  [
    bridgeType                      :plateGirder,
    errorMemberType                 :plateGirder,
    attachMemberType                :gussetPlate,
    errorMemberLocation             :compressionFlange,
    errorMemberClass                :primary,
    attachMemberClass               :primary,
    holeDetailsType                 :circular
  ],
  `A partially drilled hole was drilled shallowly in the top flange.
Feather out partially drilled hole at a 10 to 1 slope.`,
`Case #DL126:
Description of Error: A partially drilled hole was drilled shallowly in the top flange.
Solution Recommended: Feather out partially drilled hole at a 10 to 1 slope.
Additional Comments: This repair approach is suitable for shallow partial holes. 
See tutorial topic on partially drilled holes for further discussion.
`
).

