/*----------------------------------------------------------*/
/*  KNBREDEN.PL - AASHTO Edge/End Distance Rule Knowledge   */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic rating/1.

% Rule: R1 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R1m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R2 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R2m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R3 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R3m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R4 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R4m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R5 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R5m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R6 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R6m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R7 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R7m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R8 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R8m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R9 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R9m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R10 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R10m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R11 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R11m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R12 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.75
  then rating(minEdgeEndDist).

% Rule: R12m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 44
  then rating(minEdgeEndDist).

% Rule: R13 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.75
  then rating(minEdgeEndDist).

% Rule: R13m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 44
  then rating(minEdgeEndDist).

% Rule: R14 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R14m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R15 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R15m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R16 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R16m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R17 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R17m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R18 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R18m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(sheared)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R19 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R19m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(flameCut)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R20 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R20m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R21 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R21m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R22 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R22m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R23 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R23m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R24 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R24m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R25 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R25m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R26 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R26m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R27 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.125
  then rating(minEdgeEndDist).

% Rule: R27m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 28
  then rating(minEdgeEndDist).

% Rule: R28 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R28m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R29 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R29m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R30 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R30m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R31 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.75
  and HoleDetailsActualBoltDiameter < 0.875
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1
  then rating(minEdgeEndDist).

% Rule: R31m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 19
  and HoleDetailsActualBoltDiameter < 22
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 25
  then rating(minEdgeEndDist).

% Rule: R32 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 0.875
  then rating(minEdgeEndDist).

% Rule: R32m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 22
  then rating(minEdgeEndDist).

% Rule: R33 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 0.875
  then rating(minEdgeEndDist).

% Rule: R33m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 22
  then rating(minEdgeEndDist).

% Rule: R34 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 0.875
  then rating(minEdgeEndDist).

% Rule: R34m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(rolled)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 22
  then rating(minEdgeEndDist).

% Rule: R35 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.625
  and HoleDetailsActualBoltDiameter < 0.75
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 0.875
  then rating(minEdgeEndDist).

% Rule: R35m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 16
  and HoleDetailsActualBoltDiameter < 19
  and errorMemberActualEdgeType(planed)
  and errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 22
  then rating(minEdgeEndDist).

% Rule: R36 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R36m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R37 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R37m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R38 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R38m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R39 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 1
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.5
  then rating(minEdgeEndDist).

% Rule: R39m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 25
  and errorMemberActualEdgeType(planed)
  and not errorMemberLocation(tensionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 38
  then rating(minEdgeEndDist).

% Rule: R40 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 0.875
  and HoleDetailsActualBoltDiameter < 1
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 1.25
  then rating(minEdgeEndDist).

% Rule: R40m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDetailsActualBoltDiameter(HoleDetailsActualBoltDiameter)
  and HoleDetailsActualBoltDiameter >= 22
  and HoleDetailsActualBoltDiameter < 25
  and errorMemberActualEdgeType(rolled)
  and not errorMemberLocation(compressionFlange)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and HoleDistanceFromEdgeOrEnd >= 31
  then rating(minEdgeEndDist).

% Rule: R41 (AASHTO 10'24'7'1 DIV' I)
if unitsType(english)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and errorMemberActualThickness(ErrorMemberActualThickness)
  and HoleDistanceFromEdgeOrEnd =< (8 * ErrorMemberActualThickness)
  and HoleDistanceFromEdgeOrEnd =< 5
  then rating(maxEdgeEndDist).

% Rule: R41m (AASHTO 10'24'7'1 DIV' I)
if unitsType(metric)
  and holeDistanceFromEdgeOrEnd(HoleDistanceFromEdgeOrEnd)
  and errorMemberActualThickness(ErrorMemberActualThickness)
  and HoleDistanceFromEdgeOrEnd =< (8 * ErrorMemberActualThickness)
  and HoleDistanceFromEdgeOrEnd =< 127
  then rating(maxEdgeEndDist).

