/*----------------------------------------------------------*/
/*  KNBREDGL.PL - Edge Lamination Rule Knowledge            */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic ruleSolution/1.

% Rule: 1.1
if errorMemberType(flangePlate)
  and stressErrorMemberType(tension)
  then ruleSolution(edgeLamination_1).

% Rule: 2.1
if errorMemberType(flangePlate)
  and stressErrorMemberType(compression)
  then ruleSolution(edgeLamination_2).

% Rule: 3.1
if errorMemberType(webPlate)
  then ruleSolution(edgeLamination_3).

% Rule: 3.2
if errorMemberType(splicePlate)
  then ruleSolution(edgeLamination_3).

% Rule: 3.3
if errorMemberType(fillerPlate)
  then ruleSolution(edgeLamination_3).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(edgeLamination_1,edgeLamination,`EDGL-R001`,`Edge Lamination Rule Solution`,[],
`The lamination is on a tension portion of the plate, any welding should be avoided.

REPAIR:

The repair is to replace the plate. Also consider rearranging location of laminated material in compression and
rerunning cases for possible repair.
`).

% Solution 2
ruleSolution(edgeLamination_2,edgeLamination,`EDGL-R002`,`Edge Lamination Rule Solution`,[],
`Repair the lamination by cutting off the defect and butt-welding new material to the plate.
The butt weld should then be radiographed.
`).

% Solution 3
ruleSolution(edgeLamination_3,edgeLamination,`EDGL-R003`,`Edge Lamination Rule Solution`,[],
`This is a critical problem to be repaired partially by grinding and partially by welding procedures.

REPAIR:

Grind out the lamination as to remove all indications of the lamination. Examine the repair cavity by magnetic particle
of dye penetrant inspection to insure the defect has been completely removed. Fill in the repair cavity with weld material.
The process used for welding shall be either Shielded Metal Arc of Submerged Arc depending upon shop preference and defect size.
Weld metal shall project at least 1/16" above the rolled surface and the projecting metal removed by grinding and/or chipping
to make it flush with the surrounding surface and to produce a workmanlike finish.  Finished and ground repair shall be visually,
MT and UT inspected for defects per AWS/AASHTO D1.5 3.2.2.3
`).

