/*----------------------------------------------------------*/
/*  KNBRMATM.PL - Misattached Member Rule Knowledge         */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic rating/1.
:- dynamic ruleSolution/1.

% Rule: S1.1
if errorMemberType(intermediateStiffener)
  and attachMemberType(plateGirder)
  and errorMemberLocation(tensionFlange)
  then rating(structure_1).

% Rule: S1.2
if errorMemberType(intermediateStiffener)
  and attachMemberType(boxGirder)
  and errorMemberLocation(tensionFlange)
  then rating(structure_1).

% Rule: S1.3
if errorMemberType(intermediateStiffener)
  and attachMemberType(capBeam)
  and errorMemberLocation(tensionFlange)
  then rating(structure_1).

% Rule: S2.1
if errorMemberType(intermediateStiffener)
  and attachMemberType(plateGirder)
  and errorMemberLocation(compressionFlange)
  then rating(structure_2).

% Rule: S2.2
if errorMemberType(intermediateStiffener)
  and attachMemberType(boxGirder)
  and errorMemberLocation(compressionFlange)
  then rating(structure_2).

% Rule: S2.3
if errorMemberType(intermediateStiffener)
  and attachMemberType(capBeam)
  and errorMemberLocation(compressionFlange)
  then rating(structure_2).

% Rule: S3.1
if errorMemberType(bearingStiffener)
  and attachMemberType(plateGirder)
  and errorMemberLocation(tensionFlange)
  then rating(structure_3).

% Rule: S3.2
if errorMemberType(bearingStiffener)
  and attachMemberType(capBeam)
  and errorMemberLocation(tensionFlange)
  then rating(structure_3).

% Rule: S4.1
if errorMemberType(bearingStiffener)
  and attachMemberType(plateGirder)
  and errorMemberLocation(compressionFlange)
  then rating(structure_4).

% Rule: S4.2
if errorMemberType(bearingStiffener)
  and attachMemberType(boxGirder)
  and errorMemberLocation(compressionFlange)
  then rating(structure_4).

% Rule: S4.3
if errorMemberType(bearingStiffener)
  and attachMemberType(capBeam)
  and errorMemberLocation(compressionFlange)
  then rating(structure_4).

% Rule: S5.1
if errorMemberClass(fractureCritical)
  then rating(structure_5).

% Rule: S5.2
if attachMemberClass(fractureCritical)
  then rating(structure_5).

% Rule: SA1.1
if stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerSpecifiedTensionFlangeAttachmentType(weld)
  then rating(stiffenerAttach_1).

% Rule: SA1.2
if stiffenerActualTensionFlangeAttachmentType(boltedAngle)
  and stiffenerSpecifiedTensionFlangeAttachmentType(boltedAngle)
  then rating(stiffenerAttach_1).

% Rule: SA1.3
if stiffenerActualTensionFlangeAttachmentType(boltedPlate)
  and stiffenerSpecifiedTensionFlangeAttachmentType(boltedPlate)
  then rating(stiffenerAttach_1).

% Rule: SA1.4
if stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerSpecifiedCompFlangeAttachmentType(weld)
  then rating(stiffenerAttach_1).

% Rule: SA1.5
if stiffenerActualCompFlangeAttachmentType(boltedAngle)
  and stiffenerSpecifiedCompFlangeAttachmentType(boltedAngle)
  then rating(stiffenerAttach_1).

% Rule: SA1.6
if stiffenerActualCompFlangeAttachmentType(boltedPlate)
  and stiffenerSpecifiedCompFlangeAttachmentType(boltedPlate)
  then rating(stiffenerAttach_1).

% Rule: SA2.1
if stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerSpecifiedTensionFlangeAttachmentType(boltedAngle)
  then rating(stiffenerAttach_2).

% Rule: SA2.2
if stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerSpecifiedTensionFlangeAttachmentType(boltedPlate)
  then rating(stiffenerAttach_2).

% Rule: SA3.1
if stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerSpecifiedCompFlangeAttachmentType(boltedPlate)
  then rating(stiffenerAttach_3).

% Rule: SA3.2
if stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerSpecifiedCompFlangeAttachmentType(boltedAngle)
  then rating(stiffenerAttach_3).

% Rule: SA4.1
if stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerSpecifiedFlangeAttachment(compressionOnly)
  then rating(stiffenerAttach_4).

% Rule: SA4.2
if stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerSpecifiedFlangeAttachment(tensionOnly)
  then rating(stiffenerAttach_4).

% Rule: SA5.1
if stiffenerActualTensionFlangeAttachmentType(boltedPlate)
  and stiffenerSpecifiedTensionFlangeAttachmentType(boltedPlate)
  and stiffenerSpecifiedFlangeAttachment(tensionAndCompression)
  and stiffenerActualCompFlangeAttachmentType(boltedPlate)
  and stiffenerSpecifiedCompFlangeAttachmentType(weld)
  then rating(stiffenerAttach_5).

% Rule: 1.1
if rating(structure_5)
  then ruleSolution(misattachedMember_1).

% Rule: 2.1
if rating(structure_1)
  and stiffenerType(intermediate)
  and stiffenerActualTensionFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(compressionOnly)
  and stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_2).

% Rule: 2.2
if rating(structure_2)
  and stiffenerType(intermediate)
  and stiffenerActualCompFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(tensionOnly)
  and stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_2).

% Rule: 3.1
if rating(structure_1)
  and stiffenerType(intermediate)
  and stiffenerActualTensionFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(compressionOnly)
  and stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_3).

% Rule: 3.2
if rating(structure_2)
  and stiffenerType(intermediate)
  and stiffenerActualCompFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(tensionOnly)
  and stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_3).

% Rule: 4.1
if rating(structure_3)
  and stiffenerType(bearing)
  and stiffenerActualTensionFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(compressionOnly)
  and stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_4).

% Rule: 4.2
if rating(structure_4)
  and stiffenerType(bearing)
  and stiffenerActualCompFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(tensionOnly)
  and stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_4).

% Rule: 5.1
if rating(structure_3)
  and stiffenerType(bearing)
  and stiffenerActualTensionFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(compressionOnly)
  and stiffenerActualTensionFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_5).

% Rule: 5.2
if rating(structure_4)
  and stiffenerType(bearing)
  and stiffenerActualCompFlangeAttached(true)
  and stiffenerSpecifiedFlangeAttachment(tensionOnly)
  and stiffenerActualCompFlangeAttachmentType(weld)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_5).

% Rule: 6.1
if stiffenerType(intermediate)
  and rating(stiffenerAttach_2)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_6).

% Rule: 6.2
if stiffenerType(intermediate)
  and rating(stiffenerAttach_3)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_6).

% Rule: 6.3
if stiffenerType(bearing)
  and rating(stiffenerAttach_2)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_6).

% Rule: 6.4
if stiffenerType(bearing)
  and rating(stiffenerAttach_3)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_6).

% Rule: 7.1
if stiffenerType(intermediate)
  and rating(stiffenerAttach_2)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_7).

% Rule: 7.2
if stiffenerType(intermediate)
  and rating(stiffenerAttach_3)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_7).

% Rule: 7.3
if stiffenerType(bearing)
  and rating(stiffenerAttach_2)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_7).

% Rule: 7.4
if stiffenerType(bearing)
  and rating(stiffenerAttach_3)
  and stiffenerActualCategoryCFlange(true)
  then ruleSolution(misattachedMember_7).

% Rule: 8.1
if stiffenerType(intermediate)
  and rating(stiffenerAttach_4)
  and stiffenerActualCategoryCFlange(false)
  then ruleSolution(misattachedMember_8).

% Rule: 9.1
if stiffenerType(intermediate)
  and rating(stiffenerAttach_5)
  and stiffenerActualTensionFlangeAttached(false)
  and stiffenerActualCompFlangeAttached(false)
  then ruleSolution(misattachedMember_9).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(misattachedMember_1,misattachedMember,`MATM-R001`,`Misattached Member Rule Solution`,[],
`Misattachment of member has occurred.

REPAIR:

Due to the classification of member and attached member, it is necessary to replace member with new piece or check
with engineer as to the extent of replacement necessary.
`).

% Solution 2
ruleSolution(misattachedMember_2,misattachedMember,`MATM-R002`,`Misattached Member Rule Solution`,[],
`Intermediate stiffener is attached at the wrong flange. The stiffener is attached by weld.

REPAIR:

Leave stiffener in current location. Attach the stiffener to the correct flange using specified procedure.
Magnetic particle testing of weld is recommended. Inspect per ASTM E709 and AWS D1.5-88.
`).

% Solution 3
ruleSolution(misattachedMember_3,misattachedMember,`MATM-R003`,`Misattached Member Rule Solution`,[],
`Intermediate stiffener attached to incorrect flange. Welded attachment causes Category C detail.

REPAIR:

The attached flange is not designed to allow a reduction in stress due to Category C detail.
Two options of repair are available for this error.

1. Removal of weld is required. Cut stiffener 1" short of flange where error occurred. The bottom of the stiffener is
   to be ground smooth. The piece of the stiffener attached to flange is to be removed and ground smooth. Check with
   magnetic particle test.

2. Remove the flange beyond the stiffener. Replace using full penetration butt weld. Check qualified welding procedure
   and inspect per ASTM E709 and AWS D1.5-88.
`).

% Solution 4
ruleSolution(misattachedMember_4,misattachedMember,`MATM-R004`,`Misattached Member Rule Solution`,[],
`Bearing stiffener is attached at the wrong flange. The stiffener is attached by weld.

REPAIR:

Leave stiffener in current location. Attach the stiffener to the correct flange using specified procedure. Magnetic
particle testing of weld is recommended. Inspect per ASTM E709 and AWS D1.5-88. stiffener attached to incorrect flange.
`).

% Solution 5
ruleSolution(misattachedMember_5,misattachedMember,`MATM-R005`,`Misattached Member Rule Solution`,[],
`Bearing stiffener attached to incorrect flange. Welded attachment causes Category C detail.

REPAIR:

The attached flange is not designed to allow a reduction in stress due to Category C detail.
Remove the flange beyond the stiffener. Replace using full penetration butt weld. Check qualified welding procedure
and inspect per ASTM E709 and AWS D1.5-88.
`).

% Solution 6
ruleSolution(misattachedMember_6,misattachedMember,`MATM-R006`,`Misattached Member Rule Solution`,[],
`Stiffener is attached using incorrect method. Welded attachment occurred when bolted method was specified.

REPAIR:

Due to Category C detail, flange must be removed beyond stiffener. Replace flange with full penetration butt weld.
Attach stiffener using correct method.
`).

% Solution 7
ruleSolution(misattachedMember_7,misattachedMember,`MATM-R007`,`Misattached Member Rule Solution`,[],
`Stiffener is attached using incorrect method. Welded attachment occurred when bolted method was specified.

REPAIR:

Remove stiffener from member. Grind flange smooth at weld locations. Replace stiffener using correct procedure.
`).

% Solution 8
ruleSolution(misattachedMember_8,misattachedMember,`MATM-R008`,`Misattached Member Rule Solution`,[],
`Misattached stiffener has occurred.

REPAIR:

Stiffener has been attached to incorrect flange by welding. The flange is not designed to allow Category C detail.
Removal of weld is required. Cut stiffener 1" short of flange where error occurred. The bottom of the stiffener is
to be ground smooth. The piece of the stiffener attached to flange is to be removed and ground smooth. Check with
magnetic particle test.
`).

% Solution 9
ruleSolution(misattachedMember_9,misattachedMember,`MATM-R009`,`Misattached Member Rule Solution`,[],
`Misattached member has occurred. Stiffener attachment type is not as specified.

REPAIR:

Stiffener was specified to be welded to flange but bolted connection holes were drilled.
Cut stiffener by 3/8" (10mm) or thickness of auxiliary plate. Place an auxiliary plate at the end of the stiffener
and attach per specifications.
`).

