/*----------------------------------------------------------*/
/*  KNBRMLCM.PL - Mislocated Member Rule Knowledge          */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic rating/1.
:- dynamic ruleSolution/1.

% Rule: I1.1
if mislocatedMemberIntersection(true)
  and mislocatedMemberIntersectedItem(hole)
  then rating(intersect_1).

% Rule: I2.1
if mislocatedMemberIntersection(true)
  and mislocatedMemberIntersectedItem(splicePlate)
  then rating(intersect_2).

% Rule: I3.1
if mislocatedMemberIntersection(true)
  and mislocatedMemberIntersectedItem(attachedMember)
  then rating(intersect_3).

% Rule: I4.1
if mislocatedMemberIntersection(true)
  and mislocatedMemberIntersectedItem(other)
  then rating(intersect_4).

% Rule: 1.1
if errorMemberClass(fractureCritical)
  then ruleSolution(mislocatedMember_1).

% Rule: 1.2
if attachMemberClass(fractureCritical)
  then ruleSolution(mislocatedMember_1).

% Rule: 2.1
if unitsType(english)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  then ruleSolution(mislocatedMember_2).

% Rule: 2.1m
if unitsType(metric)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  then ruleSolution(mislocatedMember_2).

% Rule: 3.1
if unitsType(english)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 6
  then ruleSolution(mislocatedMember_3).

% Rule: 3.1m
if unitsType(metric)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 150
  then ruleSolution(mislocatedMember_3).

% Rule: 4.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness > 5
  and stiffenerActualMiddleOfSolePlate(false)
  then ruleSolution(mislocatedMember_4).

% Rule: 4.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness > 5
  and stiffenerActualMiddleOfSolePlate(false)
  then ruleSolution(mislocatedMember_4).

% Rule: 5.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 6
  then ruleSolution(mislocatedMember_5).

% Rule: 5.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 150
  then ruleSolution(mislocatedMember_5).

% Rule: 6.1
if errorMemberLocation(boltedConnection)
  and mislocatedMemberIntersection(false)
  then ruleSolution(mislocatedMember_6).

% Rule: 6.2
if errorMemberLocation(gussetPlate)
  and mislocatedMemberIntersection(false)
  then ruleSolution(mislocatedMember_6).

% Rule: 7.1
if errorMemberLocation(gussetPlate)
  and mislocatedMemberIntersection(true)
  then ruleSolution(mislocatedMember_7).

% Rule: 8.1
if unitsType(english)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  then ruleSolution(mislocatedMember_8).

% Rule: 8.1m
if unitsType(metric)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  then ruleSolution(mislocatedMember_8).

% Rule: 9.1
if unitsType(english)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 6
  then ruleSolution(mislocatedMember_9).

% Rule: 9.1m
if unitsType(metric)
  and errorMemberType(intermediateStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 150
  then ruleSolution(mislocatedMember_9).

% Rule: 10.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  then ruleSolution(mislocatedMember_10).

% Rule: 10.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  then ruleSolution(mislocatedMember_10).

% Rule: 11.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 6
  then ruleSolution(mislocatedMember_11).

% Rule: 11.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and errorMemberLocation(stiffenerAttachment)
  and rating(intersect_1)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation > 150
  then ruleSolution(mislocatedMember_11).

% Rule: 12.1
if errorMemberLocation(gussetPlate)
  and rating(intersect_1)
  then ruleSolution(mislocatedMember_12).

% Rule: 12.2
if errorMemberLocation(boltedConnection)
  and rating(intersect_1)
  then ruleSolution(mislocatedMember_12).

% Rule: 13.1
if rating(intersect_2)
  and errorMemberType(diaphragmBrace)
  then ruleSolution(mislocatedMember_13).

% Rule: 14.1
if rating(intersect_2)
  and stiffenerType(bearing)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  then ruleSolution(mislocatedMember_14).

% Rule: 15.1
if rating(intersect_2)
  and stiffenerType(intermediate)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  then ruleSolution(mislocatedMember_15).

% Rule: 15.2
if rating(intersect_4)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  then ruleSolution(mislocatedMember_15).

% Rule: 16.1
if rating(intersect_3)
  and stiffenerSpecifiedDiaphragmAttachment(false)
  then ruleSolution(mislocatedMember_16).

% Rule: 17.1
if stiffenerSpecifiedDiaphragmAttachment(true)
  and mislocatedMemberInvertedPlacement(false)
  then ruleSolution(mislocatedMember_17).

% Rule: 18.1
if stiffenerType(bearing)
  and stiffenerSpecifiedDiaphragmAttachment(true)
  and mislocatedMemberInvertedPlacement(true)
  then ruleSolution(mislocatedMember_18).

% Rule: 18.2
if stiffenerType(intermediate)
  and stiffenerSpecifiedDiaphragmAttachment(true)
  and mislocatedMemberInvertedPlacement(true)
  then ruleSolution(mislocatedMember_18).

% Rule: 19.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness =< 5
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  and stiffenerActualMiddleOfSolePlate(true)
  then ruleSolution(mislocatedMember_19).

% Rule: 19.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness =< 5
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  and stiffenerActualMiddleOfSolePlate(true)
  then ruleSolution(mislocatedMember_19).

% Rule: 20.1
if unitsType(english)
  and errorMemberType(bearingStiffener)
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness > 5
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 6
  and stiffenerActualMiddleOfSolePlate(true)
  then ruleSolution(mislocatedMember_20).

% Rule: 20.1m
if unitsType(metric)
  and errorMemberType(bearingStiffener)
  and stiffenerActualPlumbness(StiffenerActualPlumbness)
  and StiffenerActualPlumbness > 5
  and errorMemberLocation(stiffenerAttachment)
  and mislocatedMemberIntersection(false)
  and mislocatedMemberDistanceCorrectLocation(MislocatedMemberDistanceCorrectLocation)
  and MislocatedMemberDistanceCorrectLocation =< 150
  and stiffenerActualMiddleOfSolePlate(true)
  then ruleSolution(mislocatedMember_20).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(mislocatedMember_1,mislocatedMember,`MLCM-R001`,`Mislocated Member Rule Solution`,[],
`Member being checked or attached member is designated as fracture critical.
This program requires that fracture critical members be replaced.

User may designate fracture critical member as primary and rerun program to determine standard type of repair.
`).

% Solution 2
ruleSolution(mislocatedMember_2,mislocatedMember,`MLCM-R002`,`Mislocated Member Rule Solution`,[],
`Intermediate stiffener is mislocated. At present location no intersection of another member or hole occurs.

REPAIR:

Distance from present location to specified location is minimal. Removal of existing stiffener is not required.
Due to minimum distance additional replacement with new member in specified location is not required.
`).

% Solution 3
ruleSolution(mislocatedMember_3,mislocatedMember,`MLCM-R003`,`Mislocated Member Rule Solution`,[],
`Intermediate stiffener is mislocated. At present location no intersection of another member or hole occurs.

REPAIR:

Distance from present location to specified location is too great. Removal of existing stiffener is not required.
Due to distance from placement of member in present location to specified location, replacement of member in
specified location is required.
`).

% Solution 4
ruleSolution(mislocatedMember_4,mislocatedMember,`MLCM-R004`,`Mislocated Member Rule Solution`,[],
`Bearing stiffener is mislocated. At present location no intersection of another member or hole occurs.

REPAIR:

Bearing stiffener must be replaced in correct specified location. Distance from existing stiffener will not allow
placement of stiffener in correct location. Remove existing stiffener by air-arc and grind surface area.

NDT test required by radiograph (RT), ultrasonic (UT), or magnetic particle (MT).

If possible avoid air arc gouge grind.
`).

% Solution 5
ruleSolution(mislocatedMember_5,mislocatedMember,`MLCM-R005`,`Mislocated Member Rule Solution`,[],
`Bearing stiffener is mislocated. At present location no intersection of another member or hole occurs.

REPAIR:

Bearing stiffener must be replaced in correct specified location. Leave existing stiffener in place.
Weld new stiffener in at correct location.
`).

% Solution 6
ruleSolution(mislocatedMember_6,mislocatedMember,`MLCM-R006`,`Mislocated Member Rule Solution`,[],
`Gusset plate or other bolted connection is mislocated. No intersection with additional member or
existing hole occurs.

REPAIR:

Check for additional attachment to mislocated member. If possible, leave in present location.
If attachment will not work, place new member in correct location. If mislocated member is welded to main member,
leave in place. If removal is necessary, fill holes with bolt and nut. Place washers on each side of hole.
`).

% Solution 7
ruleSolution(mislocatedMember_7,mislocatedMember,`MLCM-R007`,`Mislocated Member Rule Solution`,[],
`Gusset plate or other bolted connection is mislocated. Intersection with additional member or
  existing hole occurs.

REPAIR:

Check for additional attachment to mislocated member. If possible, leave in present location.

Check intersection to see if possible to remove material from gusset/connection plate so that intersection does not occur.
Check edge/end distance on any holes.

If attachment will not work, place new member in correct location. If mislocated member is welded to main member,
leave in place. If removal is necessary, fill holes with bolt and nut. Place washers on each side of hole.
`).

% Solution 8
ruleSolution(mislocatedMember_8,mislocatedMember,`MLCM-R008`,`Mislocated Member Rule Solution`,[],
`Intermediate stiffener is mislocated. At present location intersection of hole occurs.

REPAIR:

Distance from present location to specified location is minimal. Removal of existing stiffener is not required.
Due to minimum distance additional replacement of member in specified location is not required.

Clip mislocated stiffener at location of hole enough to clear the nut plus stick-through by 1/4" or 6 mm.
Total clip approximately 1 1/2"  or  38 mm.
`).

% Solution 9
ruleSolution(mislocatedMember_9,mislocatedMember,`MLCM-R009`,`Mislocated Member Rule Solution`,[],
`Intermediate stiffener is mislocated. At present location intersection of hole occurs.

REPAIR:

Distance from present location to specified location is too great. Removal of existing stiffener is not required.
Due to distance from placement of member in present location to specified location, replacement of member in specified
location is required.

Clip mislocated stiffener at location of hole enough to clear the nut plus stick-through by 1/4" or  6 mm.
Total clip approximately 1 1/2"  or  38 mm.
`).

% Solution 10
ruleSolution(mislocatedMember_10,mislocatedMember,`MLCM-R010`,`Mislocated Member Rule Solution`,[],
`Bearing stiffener is mislocated. At present location intersection of hole occurs.

REPAIR:

Bearing stiffener must be replaced in correct specified location. Distance from existing stiffener will not
allow placement of stiffener in correct location. Remove existing stiffener by air-arc and grind surface area.

NDT test required by radiograph (RT), ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 11
ruleSolution(mislocatedMember_11,mislocatedMember,`MLCM-R011`,`Mislocated Member Rule Solution`,[],
`Bearing stiffener is mislocated. At present location intersection of hole occurs.

REPAIR:

Bearing stiffener must be replaced in correct specified location. Leave existing stiffener in place.
Weld new stiffener in to correct location.

Clip mislocated stiffener at location of hole enough to clear the nut plus stick-through by 1/4" or 6 mm.
Total clip approximately 1 1/2"  or  38 mm.
`).

% Solution 12
ruleSolution(mislocatedMember_12,mislocatedMember,`MLCM-R012`,`Mislocated Member Rule Solution`,[],
`Gusset plate or other bolted connection is mislocated. At present location intersection of hole occurs.

REPAIR:

Due to intersection, removal of mislocated item is necessary. Remove existing member by air-arc and grind surface area.

NDT test required by radiograph (RT), ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 13
ruleSolution(mislocatedMember_13,mislocatedMember,`MLCM-R013`,`Mislocated Member Rule Solution`,[],
`Member is mislocated; intersection with splice occurs.

REPAIR:

Due to intersection with splice, removal of mislocated member may be necessary. If intersection occurs with floor
beam it may be possible to cut intersecting flange flush near and far side.

If splice plate is intersected modification of splice plate may be possible, modify splice plate so that mislocated
member causing intersection is left in place.

If modification of splice is not possible, remove mislocated member by air-arc and grind surface area.
Check by NDT test, either radiograph (RT), ultrasonic (UT), or magnetic particle (MT).

Check spacing requirements, and if necessary, place new member in specified location.
`).

% Solution 14
ruleSolution(mislocatedMember_14,mislocatedMember,`MLCM-R014`,`Mislocated Member Rule Solution`,[],
`Member is mislocated; intersection with splice occurs.

REPAIR:

Due to intersection with splice, removal of mislocated member may be necessary. If splice plate is intersected and
modification is possible, modify splice plate so that mislocated member causing intersection is left in place.
Place new member in correct location.

If modification of splice is not possible, remove mislocated member by air-arc and grind surface area.
Check by NDT test, either radiograph (RT), ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 15
ruleSolution(mislocatedMember_15,mislocatedMember,`MLCM-R015`,`Mislocated Member Rule Solution`,[],
`Member is mislocated; intersection with splice occurs.

REPAIR:

Due to intersection with splice, removal of mislocated member may be necessary. If intersection occurs with
intermediate stiffener it may be possible to cut stiffener off above intersection with splice plate.
Check clear space for bolting.

If splice plate is intersected modification of splice plate may be possible, modify splice plate so that mislocated
member causing intersection is left in place.

If modification of splice is not possible, remove mislocated member by air-arc and grind surface area.
Check by NDT test, either radiograph (RT), ultrasonic (UT), or magnetic particle (MT).

Check spacing requirements, and if necessary, place new member in specified location.
`).

% Solution 16
ruleSolution(mislocatedMember_16,mislocatedMember,`MLCM-R016`,`Mislocated Member Rule Solution`,[],
`Member is mislocated; intersection with additional member occurs.

REPAIR:

Due to intersection, removal of mislocated member is necessary. Place new member in correct location.

Remove mislocated member by air-arc and grind surface area. Check by NDT test, either radiograph (RT),
ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 17
ruleSolution(mislocatedMember_17,mislocatedMember,`MLCM-R017`,`Mislocated Member Rule Solution`,[],
`Mislocated member has occurred. Mislocated member has attachment.

REPAIR:

New member must be placed in specified location.

Existing member may be left in place if possible. Install bolts in any holes in existing member with washers.
Blast and paint member.

If existing member cannot be left in place, then removal is necessary. Air-arc member and grind surface area.
Check by NDT test, either radiograph (RT), ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 18
ruleSolution(mislocatedMember_18,mislocatedMember,`MLCM-R018`,`Mislocated Member Rule Solution`,[],
`Stiffener is inverted in correct location. Mislocated member has attachment.

REPAIR:

If hole pattern drilled for attachment will allow majority of holes to be used in current position,
drill necessary holes to complete attachment and fill unused holes with bolts and washers.

If hole pattern will not match up for majority of holes, remove existing member and fabricate new member.
Place new member in specified location.

Removal: Cut away existing stiffener by torch, leaving approximately two (2) inch stub.
This stub is then removed by air-arc gouging to the toe of the weld material exercising care not to gouge
into parent material. The entire weld material and any stub material remaining will be removed by grinding
so as to provide a smooth surface suitable for attaching new stiffener.

Check by NDT test, either radiograph (RT), ultrasonic (UT), or magnetic particle (MT).
`).

% Solution 19
ruleSolution(mislocatedMember_19,mislocatedMember,`MLCM-R019`,`Mislocated Member Rule Solution`,[],
`Bearing Stiffener is mislocated. At present location no intersection of another member of hole occurs.

REPAIR:

Leave stiffener and use shim to bolt cross frame stiffener.
`).

% Solution 20
ruleSolution(mislocatedMember_20,mislocatedMember,`MLCM-R020`,`Mislocated Member Rule Solution`,[],
`Bearing stiffener is mislocated. At present location no intersection of another member or hole occurs.

REPAIR:

Weld additional stiffeners to create a shear panel. Use 6-12" centers, stiffeners with 1/2 thickness of bearing stiffener
and check cross-frame connection clearance.
`).

