/*----------------------------------------------------------*/
/*  KNBRMSZH.PL - Missized Hole Rule Knowledge              */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic ruleSolution/1.

% Rule: 1.1
if holeDetailsEdgeEndDistanceSpecification(true)
  then ruleSolution(missizedHole_1).

% Rule: 2.1
if holeDetailsEdgeEndDistanceSpecification(false)
  then ruleSolution(missizedHole_2).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(missizedHole_1,missizedHole,`MSZH-R001`,`Missized Hole Rule Solution`,[],
`The edge/end distance requirement is satisfied.

REPAIR:

Use a bolt which fits into the hole and make appropriate corrections on the drawing.
`).

% Solution 2
ruleSolution(missizedHole_2,missizedHole,`MSZH-R002`,`Missized Hole Rule Solution`,[],
`Since edge/end distance is a problem, this has to be dealt with in the way an edge/end distance problem is done.
Therefore, the edge or end distance module should be used.
`).

