/*----------------------------------------------------------*/
/*  KNBCMCTM.PL - Miscut Member Case Knowledge              */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/


:-multifile caseSolution/9.

% New Solution 21
caseSolution(miscutMember_21,miscutMember,`MCTM-C021`,`Miscut Member Case Solution`,[ddf006],success,

  [
    bridgeType                                   :plateGirder,
    errorMemberType                              :plateGirder,
    errorMemberLocation                          :web,
    errorMemberClass                             :primary,
    attachMemberClass                            :primary,
    mislocatedMemberIntersection                 :false,
    mislocatedMemberInvertedPlacement            :false,
    mislocatedMemberDistanceCorrectLocation      :0.125
  ],
  ` Several locations had cambers less than called for on design plans. 
Two locations are 1/8" different and two locations are 1/16" different.
No rework to beams. 
Plans contain provisions for adjusting haunch heights based on differences 
between theoretical and actual top of steel elevations. 
DOT construction inspection is required for final checks.`,
`Case #DD-F006:
Description of Error: Several locations had cambers less than called for on design plans. 
Two locations are 1/8" different and two locations are 1/16" different.
Solution Recommended: No rework to beams. 
Plans contain provisions for adjusting haunch heights based on differences 
betweent heoretical and actual top of steel elevations. 
DOT construction inspection is required for final checks.`
).

% New Solution 22
caseSolution(miscutMember_22,miscutMember,`MCTM-C022`,`Miscut Member Case Solution`,[scf001],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :webPlate,
    attachMemberType                    :pinHanger,
    errorMemberLocation                 :web,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end 
  ],
  ` Miscut end of rolled beam web for pin and hanger assembly at pin hole location.
Cut out web at pin hole area as show. Cut out new plate to fit cut web in rolled beam. 
Use S.A.W. to weld in new plate. U.T. full penetration weld. 
Cut slope on new web plate at beam end. Cut hole of pin and hanger assembly. 
Ultrasonic testing of full penetration butt welds and liquid dye penetrate ends 
after run-off tab removal are required of final checks.`,

`Case #SC-F001:
Description of Error: Miscut end of rolled beam web for pin and hanger assembly at pin hole location.
Solution Recommended: Cut out web at pin hole area as show. 
Cut out new plate to fit cut web in rolled beam. 
Use submerged arc welding to weld in new plate. U.T. full penetration weld. 
Cut slope on new web plate at beam end. Cut hole of pin and hanger assembly. 
Ultrasonic testing of full penetration butt welds, 
and liquid dye penetrate ends after run-off tab removal are required of final checks.
Other Possible solutions: Reject beam and fabricate new beam.`
).

% New Solution 23
caseSolution(miscutMember_23,miscutMember,`MCTM-C023`,`Miscut Member Case Solution`,[BLF001],success,
  [
    bridgeType                          :bascule,
    errorMemberType                     :intermediateStiffener,
    attachMemberType                    :plateGirder,
    errorMemberLocation                 :stiffenerAttachment,
    errorMemberClass                    :fractureCritical,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end
  ],
  ` A stiffener in the trunnion shaft area was cut 1/4" too short. 
It was fitted to the girder tight at the top (tension) end 
and was fillet welded on both sides to the web of the girder. 
Welding procedure was for semi-automatic submerged arc fillet welds at the flange and web.
Bevel the short end with arc-air and weld the arc-aired side with SMAW. 
Back gouge the other side and weld with SMAW. 
Ultrasonically test the weld to the bridge code standard in AWSD1.5. 
Detail was changed from fillet weld to single J groove weld-TC-U8a. 
Ultrasonic testing to the bridge code standards of AWSD1.5-88, 
and 1988 fracture control plan by AASHTO are required for final checks.`,
`Case #BL-F001:
Description of Error: Error occurred on 132 ft bascule girder at trunnion. 
A stiffener in the trunnion shaft area was cut 1/4" too short. 
It was fitted to the girder tight at the top (tension) end 
and was fillet welded on both sides to the web of the girder. 
Welding procedure was for semi-automatic submerged arc fillet welds at the flange and web.
Solution Recommended: Bevel the short end with arc-air and weld the arc-aired side with SMAW. 
Back gouge the other side and weld with SMAW. 
Ultrasonically test the weld to the bridge code standard in AWSD1.5. 
Detail was changed from fillet weld to single J groove weld-TC-U8a. 
Ultrasonic testing to the bridge code standards of AWSD1.5-88, 
and 1988 fracture control plan by AASHTO are required for final checks.
Other Possible solutions: Remove the stiffener and replace it. 
(Horizontal stiffener had not been installed yet.)`
).

% New Solution 24
caseSolution(miscutMember_24,miscutMember,`MCTM-C024`,`Miscut Member Case Solution`,[],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :flangePlate,
    errorMemberLocation                 :tensionFlange,
    errorMemberClass                    :primary,
    errorMemberDesignWidth              :18,
    errorMemberActualWidth              :16,
    miscutMemberErrorOccursAt           :end 
  ],
  ` Detailer failed to show width transition (16" to 18") on the shop drawings. 
The error was not caught until the shop inspector noted the deviation from other girders 
and a check of the design drawings revealed that the width should have transitioned 
from 16" to 18" for the last 20' of girder length.
The flange section of insufficient width was removed by air-arcing the flange to web weld back 25', 
lifting to gain access to the flange splice and air-arc removal of the splice weld. 
A piece was flame cut to the correct width and spliced (butt welded) to the attached bottom flange. 
After acceptable radiography the 25' flange to web weld was re-welded by submerged arc. (fillet weld).`,
`Case #LY-F001:
Description of Error: Detailer failed to show width transition (16" to 18") on the shop drawings. 
The error was not caught until the shop inspector noted the deviation from other girders 
and a check of the design drawings revealed that the width should have transitioned from 16" to 18" 
for the last 20' of girder length.
Solution Recommended: The flange section of insufficient width was removed 
by air-arcing the flange to web weld back 25', lifting to gain access to the flange splice, 
and air-arc removal of the splice weld. A piece was flame cut to the correct width and spliced 
(butt welded) to the attached bottom flange. 
After acceptable radiography the 25' flange to web weld was re-welded by submerged arc. (fillet weld).
Other Possible solutions: Use as is, if design calculations would have allowed the 2" reduction of width.`
).

%New Solution 25
caseSolution(miscutMember_25,miscutMember,`MCTM-C025`,`Miscut Member Case Solution`,[dlf001],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :plateGirder,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end
  ],
  ` During burn-off for length, girder was cut 1' too short.
Cut top and bottom web/flange welds back 6' min. pry open to allow new web butt weld and RT. 
Note: new web section shall be min.3' long. 
While girder remains pryed open, make flange butt welds and R.T., 
then reweld both top and bottom web/flange welds.`,
`Case #DL-F001:
Description of Error: During burn-off for length, girder was cut 1' too short.
Solution Recommended: Cut top and bottom web/flange welds back 6' min. 
pry open to allow new web butt weld and RT. Note: new web section shall be min.3' long. 
While girder remains pryed open, make flange butt welds and R.T., 
then reweld both top and bottom web/flange welds. 
Engineer shall locate butt joints and stagger location 
so flange and web welds are at different cross section. 100 % R.T. is required, 
followed by 100%  M.T. of web and flanges prior to refit, 100% M.T. after final weld.`
).

% New Solution 26
caseSolution(miscutMember_26,miscutMember,`MCTM-C026`,`Miscut Member Case Solution`,[lrf001],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :intermediateStiffener,
    attachMemberType                    :plateGirder,
    errorMemberLocation                 :stiffenerAttachment,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end 
  ],
  ` The first 5 stiffener from the left and of girder are not in contact with the top flange. 
Plans call for the stiffener to be fillet welded to both top and bottom flange.
The first 4 stiffeners can be fillet welded to the top flange 
by increasing the size of the fillet by the amount of gap (1/16" or 1/8").
The stiffener with 1/4" gap will be welded with a full penetration weld.`,
`Case #LR-F001:
Description of Error: The first 5 stiffener from the left and of girder are not in contact with the top flange. 
Plans call for the stiffener to be fillet welded to both top and bottom flange.
Solution Recommended: The first 4 stiffeners can be fillet welded to the top flange 
by increasing the size of the fillet by the amount of gap (1/16" or 1/8"). 
The stiffener with 1/4" gap will be welded with a full penetration weld.`
).

% New Solution 27
caseSolution(miscutMember_27,miscutMember,`MCTM-C027`,`Miscut Member Case Solution`,[ddf001],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :webPlate,
    attachMemberType                    :flangePlate,
    errorMemberLocation                 :web,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    errorMemberDesignWidth              :52.375,
    errorMemberActualWidth              :51.5 
  ],
  ` The web was cut 7/8" too narrow at left end but was not discovered until flanges were already welded on. 
The web was designed with a taper 4'-4 3/8" to 4'-3 1/2". 
The web was cut at 4'-3 1/2" all the way across, 7/8" too narrow 6'-0 from the left end to the end.
Remove the top and bottom flanges 6'-0 from the left end, 
cut out the narrow web and replace with new piece of 52 3/8" x 1/2 x 6'-0 A709 Gr.50 with Charpy, 
grain to run longitudinally, and x-ray. 
Then weld flanges back on and mag test flange to web weld 2'-0 either side of web splice.`,
`Case #DD-F001:
Description of Error: The web was cut 7/8" too narrow at left end but was not discovered until flanges were already welded on. 
The web was designed with a taper 4'-4 3/8" to 4'-3 1/2". 
The web was cut at 4'-3 1/2" all the way across, 
7/8" too narrow 6'-0 from the left end to the end.
Solution Recommended: Remove the top and bottom flanges 6'-0 from the left end, 
cut out the narrow web and replace with new piece of 52 3/8" x 1/2 x 6'-0 A709 Gr.50 with Charpy, 
grain to run longitudinally, and x-ray. Then weld flanges back on and mag test flange 
to web weld 2'-0 either side of web splice.`
).

 
% New Solution 28
caseSolution(miscutMember_28,miscutMember,`MCTM-C028`,`Miscut Member Case Solution`,[ddf002],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :bearingStiffener,
    attachMemberType                    :plateGirder,
    errorMemberLocation                 :bearing,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end
  ],
  ` The bearing stiffener was cut too short and was welded in place 
before they discovered the gap between the bottom flange and the bottom of the stiffener.
Cut stiffener out, grind weld area on the web, 
then magnetic particle test the web for cracking and replace with a correct length stiffener.`,
`Case #DD-F002:
Description of Error: The bearing stiffener was cut too short and was welded in place 
before they discovered the gap between the bottom flange and the bottom of the stiffener.
Solution Recommended: Cut stiffener out, grind weld area on the web, 
then magnetic particle test the web for cracking and replace with a correct length stiffener.`
).

% New Solution 29
caseSolution(miscutMember_29,miscutMember,`MCTM-C029`,`Miscut Member Case Solution`,[ddf003],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :flangePlate,
    errorMemberLocation                 :compressionFlange,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    errorMemberDesignWidth              :16,
    errorMemberActualWidth              :15.5625,
    miscutMemberErrorOccursAt           :end
  ],
  ` The designed 16" flanges were cut from 17" down to 15.5625" back up to 16". 
Along with this irregular cut, flame cut defects were created at locations given in table.
Cut down the flange to 16" in the first 20'-0", 
ground the plate to 16 3/8" between 91'-0" and 95'-0", 
and left the other widths as cut. The edge defect repairs were welded and NDT per code, 
or were ground at a 10 to 1 bevel. 
Each defect description and location is shown in the table with its repair method.`,
`Case #DD-F003:
Description of Error: The designed 16" flanges were cut from 17" down to 15.5625" back up to 16". 
Along with this irregular cut, flame cut defects were created at locations given in table.
Solution Recommended: Cut down the flange to 16" in the first 20'-0", 
ground the plate to 16 3/8" between 91'-0" and 95'-0", and left the other widths as cut. 
The edge defect repairs were welded and NDT per code, or were ground at a 10 to 1 bevel. 
Each defect description and location is shown in the table with its repair method. 
(also see case 'NAGS-C014' for nicks and gouges on same member)`
).

% New Solution 30
caseSolution(miscutMember_30,miscutMember,`MCTM-C030`,`Miscut Member Case Solution`,[ddf004],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :webPlate,
    attachMemberType                    :flangePlate,
    errorMemberLocation                 :web,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    errorMemberDesignLength             :120.0625,
    errorMemberActualLength             :119.0625,
    miscutMemberErrorOccursAt           :end
  ],
  ` The web plate near the center of the girder in the haunched area was cut 1" too narrow along the parabolic curve, 
which caused an indentation approximately 5'-0 long.
Grind web to form a gradual curve where the indentation was cut 
so as to create a smooth transition to weld the bottom flange to.`,
`Case #DD-F004:
Description of Error: The web plate near the center of the girder in the haunched area was 
cut 1" too narrow along the parabolic curve, which caused an indentation approximately 5'-0 long.
Solution Recommended: Grind web to form a gradual curve where the indentation was cut 
so as to create a smooth transition to weld the bottom flange to. 
Provide radial transitions at the 10'-5 1/4" and 9'-5 5/16" web depth locations. 
Adjust stiffener depth as needed in affected area.`
).

% New Solution 31
caseSolution(miscutMember_31,miscutMember,`MCTM-C031`,`Miscut Member Case Solution`,[ddf005],success,
  [
    errorMemberType                     :expansionDevice,
    attachMemberType                    :flangePlate,
    errorMemberLocation                 :splice,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary 
  ],
  ` The finger plate from one end towards the middle 19'-4" was cut too narrow 
which did not allow for enough overhang for the 3/8" fillet weld 
to attach the W12 x 35 top flange to the underneath side of the finger plate.
To trim 1/8" off vertically, of the top flange of the W 12 x 35 in the affected area 
of the finger plate on the side where there was not enough overhang, to allow for a 3/8' weld.`,
`Case #DD-F005:
Description of Error: The finger plate from one end towards the middle 19'-4" was cut too narrow 
which did not allow for enough overhang for the 3/8" fillet weld 
to attach the W12 x 35 top flange to the underneath side of the finger plate.
Solution Recommended: To trim 1/8" off vertically, of the top flange of the W 12 x 35 
in the affected area of the finger plate on the side where there was not enough overhang, 
to allow for a 3/8' weld.`
).

% New Solution 32
caseSolution(miscutMember_32,miscutMember,`MCTM-C032`,`Miscut Member Case Solution`,[],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :diaphragmBrace,
    attachMemberType                    :plateGirder,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary
  ],
  ` Twelve of the cross frames for this project where mistakenly detailed with the bent (skewed) connection angles as "opposite hand". 
While the slope of the angles changed from one side of the bridge to the other, 
their orientation to each other on both sides of this widening project were the same. 
In the plan view they were parallel (in plane) with each other and should not have been detailed as opposite hand.
The top skewed plates were bolted on and could merely be unbolted turned around, and new high-strength bolts installed. 
The bottom bent plate was welded to the cross frame angles and required air-arcing to remove the welds, cleaning, 
re-making new bent plates, and re-welding of this item to the cross frame angles. 
Since these items had a three coat paint system applied, they also required re-blasting and re-painting.`,
`Case #SC-F003:
Description of Error: Twelve of the cross frames for this project where mistakenly detailed 
with the bent (skewed) connection angles as "opposite hand". 
While the slope of the angles changed from one side of the bridge to the other,
their orientation to each other on both sides of this widening project were the same. 
In the plan view they were parallel (in plane) with each other and should not have been detailed as opposite hand.
Solution Recommended: The top skewed plates were bolted on and could merely be unbolted turned around, 
and new high-strength bolts installed. The bottom bent plate was welded to the cross frame angles 
and required air-arcing to remove the welds, cleaning, re-making new bent plates, 
and re-welding of this item to the cross frame angles. Since these items had a three coat paint system applied, 
they also required re-blasting and re-painting. Required final checks: 1. Visual examination of bent plate removal. 
2. Visual examination for fitup of reinstalled plates. 
3. Visual examination of re-installed fillet welds. 
4. Witness turn-of-the-nut tensioning for re-installed bolting. 
5. Verify acceptable blast condition and surface profile. 
6. Check all three coats of the re-applied paint system.
Other Possible solutions: Scrap the cross frames and re-fabricate new ones.`
).

% New Solution 33
caseSolution(miscutMember_33,miscutMember,`MCTM-C033`,`Miscut Member Case Solution`,[],success,
  [
    bridgeType                          :plateGirder,
    errorMemberType                     :plateGirder,
    errorMemberLocation                 :web,
    errorMemberClass                    :primary,
    attachMemberClass                   :primary,
    miscutMemberErrorOccursAt           :end
  ],
  ` While trimming girder to desired length during blocking assembly, 
an error by Q.C. dept. resulted in girder being 100 mm short in length. 
Add on small section of girder by full penetration welding and then trim to proper length, 
relocate holes in field splice material to avoid drilling thru full-penetration welds. 
Required final checks: R.T, U.T, finish grinding, and dimensional and visual inspection.`,
`Case #DL-F005:
Description of Error: While trimming girder to desired length during blocking assembly, 
an error by Q.C. dept. resulted in girder being 100 mm short in length.
Solution Recommended: Add a section 150 to 200mm long to each flange and web, 
butt weld to the end of girder, and trim this section to a length of 100, 
to maintain the overall girder length. 
The following steps are to be taken: 
1. Prop flanges and prepare half of ratholes in web. 
2. Butt weld flange section per approved welding procedure. 
RT butt welds when cooled to ambient temperature. 
3. Prep web section to be added, including remaining half rathole. 
4. Butt weld per approved welding procedure. Wrap welds as required in rathole. 
RT 100% when cooled to ambient temperature. 
5. Complete fillet welds and trim girder to correct length in girder line assembly. 
6. Fit and drill splice connections. The quantity of web and flange holes will remain as designed. 
The web splice plates will not change, 
but the top and bottom flange plate will be elongated to accommodate bolt spacing change for clearance between holes and butt weld.
Other Possible Solutions: Scrap entire girder.`
).

% New Solution 34
caseSolution(miscutMember_34,miscutMember,`MCTM-C034`,`Miscut Member Case Solution`,[],success,
  [
    bridgeType                          :bascule,
    errorMemberType                     :webPlate,
    errorMemberLocation                 :web,
    errorMemberClass                    :primary,
    miscutMemberErrorOccursAt           :end
],
  ` Web plate placed w/rolling direction perpendicular to stress.
Leave it in the wrong way because it might be okay. 
Impacts were 30 # @-30 F. Transverse impacts would okay. 
Ripping the plate out would be horrendous.`,
`Case #CW-F001:
Description of Error: Web plate placed w/rolling direction perpendicular to stress.
Solution Recommended: Leave it in the wrong way because it might be okay. 
Impacts were 30 # @-30 F. Transverse impacts would okay. 
Ripping the plate out would be horrendous.
Remarks: If it cracks we were wrong to accept it.
Other Possible solutions: Cut the plate out and place parallel to roll.`
).







