/*----------------------------------------------------------*/
/*  KNBCMLCH.PL - Mislocated Hole Case Knowledge            */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:-multifile caseSolution/9.


/*----------------------------------------------------------*/
/*                                                          */
/*  Cases                                                   */
/*                                                          */
/*----------------------------------------------------------*/

% Solution 16

caseSolution(mislocatedHole_16,mislocatedHole,`MLCH-C016`,`Mislocated Hole Case Solution`,[mp144],success,
  [ bridgeType                                 :rolled,
    attachMemberType                           :splicePlate,
    errorMemberLocation                        :compressionFlange,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :12,
    holeDetailsNumberInGrouping                :24,
    mislocatedHoleDistanceCorrectLocation      :0.625,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `One half of the splice bolt pattern was misdrilled on the top of the beam.
Make a new splice plate to match the hole pattern on the beam.`,
`Case #MP144:
Description of Error: One half of the splice bolt pattern was drilled 5/8" off of center on top of beam. 
Solution Recommended: Make new splice plates with mismatched hole pattern. 
(Repair procedure was never implemented, as the beam was inadvertently cut 3/4' to short, 
and was rejected for out of tolerance specification on center of holes to edge of beam. 
Repair would have required DOT final visual inspection.`
).

% Solution 17

caseSolution(mislocatedHole_17,mislocatedHole,`MLCH-C017`,`Mislocated Hole Case Solution`,[jj138],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :splicePlate,
    errorMemberLocation                        :tensionFlange,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :1,
    holeDetailsNumberInGrouping                :10,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :false,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :true,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `A hole was mislocated in the bottom flange splice hole pattern.
Custom fabricate new splice plate to match the as built conditions.
The new splice plate requires two additional holes due to the lack of edge distance on the insidesplice plate for the mislocated hole.`,
`Case #JJ138:
Description of Error: Plate gerder has a mislocated bottom flange splice hole.
Solution Recommended: To custom fabricate new splice plates to match as built conditions. 
The new splice plate will require 2 addition holes, 
due to a lack of edge distance on the inside splice plate for the mislocated hole.`
).

% Solution 18

caseSolution(mislocatedHole_18,mislocatedHole,`MLCH-C018`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :girder,
    errorMemberType                            :plateGirder,
    errorMemberLocation                        :web,
    errorMemberClass                           :primary,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `Eight holes were drilled in the web for a diaphragm connection at a location 
where two holes fora drain connection should have been drilled.
Fill the holes with high strength mech. zinc coated bolts with nut and two washers.`,
`Case #DL128:
Description of Error: Eight holes were drilled in girder web for a diaphragm connection at a location 
where 2 holes should have been drilled for a drain connection. 
Solution Recommended: Fill the 8 holes in with 7/8 dia. high strength mechanical zinc coated bolts with nut and 2 washers.`
).

% Solution 19
caseSolution(mislocatedHole_19,mislocatedHole,`MLCH-C019`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    errorMemberLocation                        :compressionFlange,
    errorMemberClass                           :primary,
    mislocatedHoleIncorrectFlange              :true,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `Four holes for auxiliary angles were drilled in top flange instead of bottom flange.
Fill holes in top flange with high strength bolts and double washers.
Drill holes in bottom flange at proper location.`,
`Case #DL130:
Description of Error: Four holes for auxiliary angles were drilled on top flange instead of bottom flange.
Solution Recommended: Fill holes in top flange with high strength bolts and double washers. 
Drill holes in bottom flange at proper location auxiliary angles.`
).

% Solution 20

caseSolution(mislocatedHole_20,mislocatedHole,`MLCH-C020`,`Mislocated Hole Case Solution`,[dl126],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :fillerPlate,
    errorMemberLocation                        :compressionFlange,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    mislocatedHoleDistanceCorrectLocation      :1,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `A hole was mislocated in the top flange for the auxiliary plate.
Make a larger auxiliary plate to fit the hole spacing pattern on the top flange.`,
`Case #DL126:
Description of Error: A hole (see left hole in error sketch) was drilled 1" off in the top flange for the auxiliary plate. 
This causes auxiliary plate to be too small (see left edge of auxiliary plate in error sketch). 
Next hole in pattern was partially drilled. 
Solution Recommended: Make larger auxiliary plate to fit the hole spacing. Feather out partial hole at 10:1. 
Locate new right hole to be in symmetry with existing left hole.`
).

% Solution 21

caseSolution(mislocatedHole_21,mislocatedHole,`MLCH-C021`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :bearingStiffener,
    errorMemberLocation                        :bearing,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :longSlotted,
    holeDetailsNumberWithErrors                :2,
    holeDetailsNumberInGrouping                :2,
    holeDetailsActualHoleDiameter              :2,
    holeDetailsSpecifiedHoleDiameter           :2.375,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :true,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `The fabricator mislocated two of the slotted holes for the bearing attachment 
in the slotted flange plateat the cantilever end of the girder.
The slots were drilled 15/16 in. by 2 in. The holes were allowed to be elongated to 2 3/8 in. to allow thebearing attachment to fit.`,
`Case #:TF198:
Description of Error: The fabricator mislocated two of the slotted holes 
for the bearing attachment in the slotted holes flange plate at the cantilever end of the girder. 
The slots are presently 15/16" X 2". The reason for the error is that this girder is on a different skew than the three adjacent girders. 
However the holes in the partial bearing flange plates for the four girders are drilled to the same skew. 
As a result the holes on the girder will not work as drilled. 
They are 15/16"  x 2" long slotted holes and they need to have the slot length increased to 2 3/8". 
AASHTO spec's set the maximum length equals to 2 1/2" x bolt diameter which is 2 1/2 " x 7/8" =2 3/16"
Solution Recommended: The holes were allowed to be elongated to 2 3/8". 
The holes may not be enlarged with a torch. They must be drilled.`
).

% Solution 22

caseSolution(mislocatedHole_22,mislocatedHole,`MLCH-C022`,`Mislocated Hole Case Solution`,[tf200],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :bearingStiffener,
    errorMemberLocation                        :bearing,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :8,
    holeDetailsNumberInGrouping                :8,
    holeDetailsHoleBoringProcedure             :drilled,
    holeDistanceFromIntersectingMember         :2,
    mislocatedHoleDistanceCorrectLocation      :12,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `The bearing stiffener holes were drilled in the wrong location in the girder flange.
The specified pattern was drilled in the correct location.
The holes drilled in the wrong location were filled with bolts. 
***However the hole nearest the correct location is too close to the correct pattern 
and was filled with weld material and ground smooth. THIS IS NOT A RECOMMENDED REPAIR.***`,
`Case #TF200:
Description of Error: The bearing stiffeners of the girder were initially located wrong. 
This error was identified prior to welding of bearing stiffeners but after holes had already been drilled in top flange. 
The result, as fabricated, is two sets of four bolt hole patterns. 
Solution Recommended: ***THE ACTUAL REPAIR IS NOT RECOMMENDED REPAIR.*** 
In the following, first the actual repair is reported, second the actual repair is critiqued, 
and third a recommended alternative is given.
1) The mislocated hole pattern, hole nearest the correctly located hole pattern, 
allows a center to center of bolt spacing of two inches. As this is less than required by AASHTO, 
the preferred solution of incorporating excess holes into the bolted connection is not feasible. 
To abandon the mislocated holes in entirety, filling the holes with H.S. bolts only for appearance reasons. 
The live bolt hole nearest the dead hole of the abandoned pattern would have an edge distance of 1 7/16 inches. 
AASHTO allows 1 5/16 inches for a planed edge (drilled) using 7/8 inch diameter bolt and 1 1/16 inch diameter oversize hole. 
The fabricator proposed to retain as an open hole the misdrilled hole closest to the corrected pattern, 
the DOT chose instead to plug weld, grind, and then RT inspect that hole. 
2) The actual repair is not recommended due to the adverse effect of plug welds on fatigue performance 
as discussed in tutorial topic on avoiding plug welds. 
Filling abandoned holes with high strength torqued bolts is not cosmetic 
but rather provides the structural benefit of pre compressing the edge of the extraneous hole 
so that fatigue cracking is discouraged. 
The fact that there is adequate edge distance at the corrected hole closest to the abandoned holes means 
that no additional bolts need to be added to the corrected pattern.
3) The alternative solution recommended is to abandon the misplaced holes, 
filling with high strength bolts and tightening so that area around extraneous holes is pre compressed decreasing likelihood of fatigue cracking. 
If 2' distance prevents tightening of hex bolt, use button head bolt for abandoned hole closest to corrected pattern. 
See tutorial topic on avoiding plug welds for further discussion.`
).

% Solution 23

caseSolution(mislocatedHole_23,mislocatedHole,`MLCH-C023`,`Mislocated Hole Case Solution`,[],success,
  [ errorMemberType                            :plateGirder,
    attachMemberType                           :intermediateStiffener,
    errorMemberLocation                        :stiffenerAttachment,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :4,
    holeDetailsNumberInGrouping                :4,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `The holes for fastening horizontal stiffener angles were incorrectly located in the girder web.
The misdrilled holes interfere with a vertical stiffener.
The existing holes will be utilized.The holes do interfere with a vertical stiffener so that stiffener will be moved 2 to 3 in.
The web splice plate will be modified to cover the abandoned hole.
A new stiffener angle will be fabricated to match the balance of existing holes.`,
`Case #TF201:
Description of Error: The holes for fastening two horizontal stiffener angles were incorrectly located, 
and drilled in a girder web.
Solution Recommended: To utilize the existing misdrilled holes. 
A vertical stiffener will be moved 2-3 inches as currently this stiffener interferes with misdrilled hole of the lower horizontal stiffener. 
The first hole of upper stiffener will be abandoned and web splice plate 
will be increased in width so as the abandoned hole will not be visible.
A new upper stiffener angle will be fabricated to match the balance of existing holes. 
This stiffener angle will be increased in length as necessary to maintain the 1/2" distance between vertical and horizontal stiffeners. 
Fabrication drawings will be revised to reflect the "as built" condition.`
).

% Solution 24

caseSolution(mislocatedHole_24,mislocatedHole,`MLCH-C024`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    errorMemberLocation                        :tensionFlange,
    errorMemberClass                           :primary,
    holeDetailsType                            :circular,
    holeDetailsActualTransverseHoleSpacing     :5.5,
    holeDetailsSpecifiedTransverseSpacing      :5,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :true,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `The double row of bolt holes are at 5.5 in. gage for the tee and 5 in. for the existing girder.
Slot each row of holes 1/4 in. and use washers over the slotted holes.`,
`Case #TF202:
Description of Error: A tee is to be bolted to the existing girder. 
The double row of bolt holes are at a 5 " gage for the tee and 5" gage for the existing girder. 
Solution Recommended: To slot each row of bolts " and to use washers over the slotted holes.`
).

% Solution 25

caseSolution(mislocatedHole_25,mislocatedHole,`MLCH-C025`,`Mislocated Hole Case Solution`,[tf204],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :intermediateStiffener,
    errorMemberLocation                        :stiffenerAttachment,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :26,
    holeDetailsNumberInGrouping                :26,
    holeDetailsHoleBoringProcedure             :drilled,
    holeDistanceFromIntersectingMember         :1.5,
    mislocatedHoleDistanceCorrectLocation      :2.25,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `Holes for the horizontal stiffener attachment were mislocated by 2.25 in..
The hole pattern interferes with a splice plate and a vertical stiffener.
The angle will be shortened to eliminate the bolt hole that interferes with the splice plate.
The splice plate will be widened to cover the abandoned hole. 
The vertical stiffener will be relocated so it falls between the bolt holes.`,
`Case #TF204:
Description of Error: Holes for fastening the horizontal stiffener have been misdrilled. 
The actual hole pattern was shifted 2 " to the right (see "as drilled" sketch). 
The hole pattern interferes with a splice plate and a vertical stiffener. 
The vertical stiffener is an angle bolted to the girder web with bolt locations above and below horizontal stiffener. 
In sketches, only outstanding leg of vertical stiffener angle is shown.
Solution Recommended: To shorten the angle by 4 7/8 inch and eliminate one bolt hole. 
The bolt hole to be abandoned will be covered by splice plate wider than called out originally by design. 
The vertical stiffener will be relocated so it falls between bolt holes`
).

% Solution 26

caseSolution(mislocatedHole_26,mislocatedHole,`MLCH-C026`,`Mislocated Hole Case Solution`,[tf206],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :diaphragmBrace,
    errorMemberLocation                        :gussetPlate,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :2,
    holeDetailsNumberInGrouping                :6,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :1,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `At the brace connection the interior bolt holes were drilled 1 in. off.
The interior holes were elongated to accommodate the interior bolts then adding two bolts at the location.
A plate washer must be used above the brace to cover the area in question.`,
`Case #TF206:
Description of Error: A brace has six drilled holes in the end in question. 
The four end holes are in the correct location, the two interior holes were drilled one inch off. 
Solution Recommended: To elongate the interior holes in the brace to 15/16 X 1 7/8" to accommodate the 7/8" bolt, 
then add two bolts at the location shown (see sketch). A plate washer must be used above brace member to cover the slotted hole.`
).

% Solution 27

caseSolution(mislocatedHole_27,mislocatedHole,`MLCH-C027`,`Mislocated Hole Case Solution`,[tf208],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :diaphragmBrace,
    errorMemberLocation                        :gussetPlate,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :8,
    holeDetailsNumberInGrouping                :16,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :4,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `The holes for two gusset plates were drilled 4 in. too high.
Fill the top row of holes with bolts.
Use the bottom set of holes as the new top row.
Then drill the bottom row in the correct location.`,
`Case #TF208:
Description of Error: The holes for two gusset plates were drilled 4" too high. 
There are 16 bolts which attach each gusset plate to the girder.
Solution Recommended: Fill the top row of holes with bolts. 
Use the bottom set of holes as the new top row, then drill the bottom row in the correct location.`
).

% Solution 28

caseSolution(mislocatedHole_28,mislocatedHole,`MLCH-C028`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :plateGirder,
    attachMemberType                           :splicePlate,
    errorMemberLocation                        :splice,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :1,
    holeDetailsNumberInGrouping                :16,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :0.5,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :false,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :true,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `A hole on a field splice in the bottom flange was misdrilled.
It is out alignment by 1/2 in. in the transverse direction.
The inside support bar would have its edge distance decreased below the minimum.
The hole will not have any adverse effects on the splice.
To accommodate the edge distance in the inside support bar the bar is widen by 5/16 in. and
the edge is ground to fit over the web to flange weld.`,
`Case #:TF209:
Description of Error: The field splice on the right end far side of a facia girder has the center hole mislocated in the bottom flange far side. 
The hole lines up through the three plies of the splice, however, it is out of alignment in the transverse direction by 1/2" toward the web. 
This would not have any adverse effect on the outside splice plate on the girder flange. The inside support bar has the edge distance decreased below the minimum at this point.
Solution Recommended: To make a new support bar 3-5/16" wide rather than 3" wide with the edge ground to fit over the web to flange weld.`
).

% Solution 29

caseSolution(mislocatedHole_29,mislocatedHole,`MLCH-C029`,`Mislocated Hole Case Solution`,[],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :splicePlate,
    errorMemberLocation                        :splice,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :80,
    holeDetailsNumberInGrouping                :80,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :true,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `The web splice bolt patterns for the girder were drilled in the opposite ends of the girder.
One end requires 48 bolts while the other end requires 34 bolts.
On the end that has the excess bolts leave the pattern and drill splice plate to match.
On the end that has a shortage of bolts add a third row of bolts and fabricate splice plates to match.`,
`Case #TF211:
Description of Error: The web splice bolt patterns for the girder have been drilled in the opposite ends of the girder. 
F.S #8 requires 46 bolt holes and F.S. #7 requires 34 bolts holes. 
The result is that F.S. #7 is now oversized and F.S. #8 is undersized.
Solution Recommended: 1) Leave F.S. #7 as it now exists with the excess number of bolts and just drill the splice plates to match. 
2) At F.S. #8, add a third row of bolts bringing the total to 51 bolts 
(3 rows of 17 in lieu of 2 rows of 23) splice plates would be oversized to accommodate the revision`
).

% Solution 30

caseSolution(mislocatedHole_30,mislocatedHole,`MLCH-C030`,`Mislocated Hole Case Solution`,[nc503],success,
  [ bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :diaphragmBrace,
    errorMemberLocation                        :web,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :4,
    holeDetailsNumberInGrouping                :4,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :2.375,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :true,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `Holes were misdrilled in girder for connection to exp. joint supports.
Since the holes are nearly aligned with channel web, filling the misdrilled holes would cause interference with channel.
Leave the misdrilled holes as built and drill new holes in correct location.`,
`Case #NC503:
Description of Error: Holes were misdrilled in a girder for connection to exp. joint supports.
Solution Recommended: Since the holes are nearly aligned with channel web, 
filling the misdrilled holes with bolts would cause interference with channel. 
Leave the misdrilled holes as built, and drill new holes in correct location.`
).

% Solution 31

caseSolution(mislocatedHole_31,mislocatedHole,`MLCH-C031`,`Mislocated Hole Case Solution`,[nc504],success,
  [bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :diaphragmBrace,
    errorMemberLocation                        :web,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :1,
    holeDetailsNumberInGrouping                :5,
    holeDetailsHoleBoringProcedure             :punched,
    mislocatedHoleDistanceCorrectLocation      :1,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false],
  `An additional hole was punched in the web of the beam.
The beam is an interior beam so it is allowed to leave the extra hole in place since it will be covered with the two clip angles. 
Since this is an interior beam, it would seem prudent to leave the extra hole in place and cover it 
with the two clip angles already present as part of the connection. 
If the clip angles did not already cover the hole, could fill the hole with a bolt, nut, & double washer.`,
`Case #NC504:
Description of Error: An additional hole was inadvertently punched in the web of this beam.
Solution Recommended: Since this is an interior beam, it would seem prudent to leave the extra hole in place and cover it 
with the two clip angles already present as part of the connection. 
If the clip angles did not already cover the hole, could fill the hole with a bolt, nut, & double washer.`
).

% Solution 32

caseSolution(mislocatedHole_32,mislocatedHole,`MLCH-C032`,`Mislocated Hole Case Solution`,[nc505],success,
  [bridgeType                                 :plateGirder,
    errorMemberType                            :plateGirder,
    attachMemberType                           :splicePlate,
    errorMemberLocation                        :tensionFlange,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :3,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :true,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `The holes in the bottom flange were misdrilled for the field splice.
The correction requires new splice plate material and additional bolts plus
one bolt with hardened washers to be torqued.
Also revise the shop drawings for the new splice.`,
`Case #NC505:
Description of Error: The holes in the bottom flange were misdrilled for the field splice. 
Solution Recommended: Make new splice plate and additional bolts plus one bolt with hardened washers to be torqued.
The modified splice plate has additional bolts over the number shown by the fabricator, 
these additional bolts are required in order to keep the splice symmetrical.`
).

% Solution 33

caseSolution(mislocatedHole_33,mislocatedHole,`MLCH-C033`,`Mislocated Hole Case Solution`,[],success,
  [bridgeType                                 :rolled,
    errorMemberType                            :plateGirder,
    attachMemberType                           :kConnection,
    errorMemberLocation                        :compressionFlange,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :216,
    holeDetailsNumberInGrouping                :216,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :0.3125,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :true,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:true,
    mislocatedHoleIntersectionNewPosition      :false],
  `The mislocated holes in the rolled beams are in the top flange and are used in the K-connection
of the grid deck to the rolled beams.
These holes are spaced in a single row the entire length of the beams.
The longitudinal location of the holes has been fabricated out of position.
Clearance between the grid deck panels has been provided in the design plans to allow for erection tolerance.
This is a detour bridge intended for multiple uses.
The tolerance needs to be maintained during fabrication to allow for the numerous uses of the bridge in the future.
Therefore the beams need to be rejected and the replacement beams fabricated to specification tolerances.`,
`Case #NC509:
Description of Error: The misaligned holes in the W30x173 rolled beams are in the top flange and are used in the K-Connection of the grid deck to the rolled beam. 
These holes are spaced in a single row the entire length of the beams. The longitudinal location of the holes has been fabricated out of position by 1/16" 
at the left end and progressing to 5/16" at the right end. 
Clearance between the grid deck panels has been provided in the design plans to allow for erection tolerance. 
This is a detour bridge intended for multiple uses.
Solution Recommended: Since the tolerance must be maintained during fabrication to allow for the numerous uses of the bridge in the future,
the beam must be rejected and the replacement beams need to be fabricated to specification tolerances. 
The specific configuration already used oversize holes and slots for erection tolerance, which might be solutions in other configurations.`
).














