/*----------------------------------------------------------*/
/*  KNBCMLCH.PL - Mislocated Hole Case Knowledge            */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:-multifile caseSolution/9.

% New Solution  34
caseSolution(mislocatedHole_34,mislocatedHole,`MLCH-C034`,`Mislocated Hole Case Solution`,[dlf004],success,
  [
    bridgeType                                 :plateGirder ,
    errorMemberType                            :solePlate,
    attachMemberType                           :rocker,
    errorMemberLocation                        :bearing,
    errorMemberClass                           :primary,
    attachMemberClass                          :primary,
    holeDetailsType                            :circular,
    holeDetailsNumberWithErrors                :2,
    holeDetailsNumberInGrouping                :4,
    holeDetailsActualBoltDiameter              :0.625,
    holeDetailsSpecifiedBoltDiameter           :0.625,
    holeDetailsHoleBoringProcedure             :drilled,
    mislocatedHoleDistanceCorrectLocation      :0.5625,
    mislocatedHoleIncorrectFlange              :false,
    mislocatedHoleReinforcingSteelHole         :false,
    mislocatedHoleAdditionalRowHolesDrilled    :false,
    mislocatedHoleEdgeEndDistanceSpecification :true,
    mislocatedHoleIntersectionCurrentPosition  :false,
    mislocatedHoleSpecifiedHolePatternCorrect  :false,
    mislocatedHoleInterfereWithSpecifiedPattern:false,
    mislocatedHoleIntersectionNewPosition      :false

  ],
  ` Plug mislocated holes with 5/8 diameter bolts, fully tightened, 
cut bolt off and seal weld, grind flash and re-drill/tap new holes in proper location. 
Verify bolt will thread into hole and of course dimensional verification.`,

`Case #DL-F004:
Description of Error: Detail error on shop drawings resulted in mis-located holes in sole plates. 
Holes are drilled and tapped for 5/8" diameter bolts. 
Solution Recommended: Plug mislocated holes with 5/8 diameter bolts, 
fully tightened, cut bolt off and seal weld, grind flash and re-drill/tap new holes in proper location. Verify bolt will thread into hole and of course dimensional verification.
Other Possible solutions: Plug weld holes in lieu of bolt but the heat input/distortion was of concern.`
).

