/*----------------------------------------------------------*/
/*  KNBCNAGS.PL - Nicks & Gouges Case Knowledge             */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:-multifile caseSolution/9.



% New Solution 14
caseSolution(nicksGouges_14,nicksGouges,`NAGS-C014`,`Nicks & Gouges Case Solution`,[ddf003],success,
  [
    bridgeType                      :plateGirder,
    errorMemberType                 :flangePlate,
    errorMemberLocation             :compressionFlange,
    errorMemberClass                :primary,
    attachMemberClass               :primary,
    nickGougeType                   :edge,
    nickGougeDepth                  :0.375 

  ],
` The designed 16" flanges were cut from 17" down to 15.5625" back up to 16". 
Along with this irregular cut, flame cut defects were created at locations given in table.
Cut down the flange to 16" in the first 20'-0", ground the plate to 16 3/8" between 91'-0" and 95'-0", 
and left the other widths as cut. The edge defect repairs were welded and NDT per code, 
or were ground at a 10 to 1 bevel. 
Each defect description and location is shown in the table with its repair method.`,
`Case #DD-F003:
Description of Error: The designed 16" flanges were cut from 17" down to 15.5625" back up to 16". 
Along with this irregular cut, flame cut defects were created at locations given in table.
Solution Recommended: Cut down the flange to 16" in the first 20'-0", ground the plate to 16 3/8" between 91'-0" and 95'-0", 
and left the other widths as cut. The edge defect repairs were welded and NDT per code, 
or were ground at a 10 to 1 bevel. Each defect description and location is shown in the table with its repair method. 
(also see case 'MCTM-C029' for miscut member error on same member)`
).

% New Solution 15
caseSolution(nicksGouges_15,nicksGouges,`NAGS-C015`,`Nicks & Gouges Case Solution`,[mbf001],success,
  [
    bridgeType                      :plateGirder,
    errorMemberType                 :baseMetal ,
    errorMemberLocation             : baseMetal,
    errorMemberClass                :primary,
    attachMemberClass               :primary,
    nickGougeType                   :edge,
    nickGougeDepth                  :0.4375
  ],
  ` Gouges in cut base metal edges that are 7/16" deep or less, where the surface should be flat.
If the gouge meets the tolerance of greater than 3/16" and less than 7/16" from the cut edge, 
welding with single arc shield metal arc welding (S.M.A.W) is required, 
If gouge is less than 3/16" deep from the cut edge see below for other solution. 
Preheat is required.`,
`Case #MB-F001:
Description of Error: Gouges in cut base metal edges that are 7/16" deep or less, 
where the surface should be flat.
Solution Recommended: If the gouge meets the tolerance of greater than 3/16" 
and less than 7/16" from the cut edge, welding with single arc shield metal arc welding (S.M.A.W) is required, 
If gouge is less than 3/16" deep from the cut edge see below for other solution. 
Preparation is required for welding. (preparation of gouged area includes air-arc gouging or grinding to the bottom of the burn. 
Preheat is required. These are only if welding is involved) If welding is required 
then magnetic particle testing (M.T.) and/or ultrasonic testing (U.T.) is required.
Other Possible solutions: If the gouge is less than 3/16" deep from the cut edge, 
grinding to a slope of 1 inch to remove the gouge is acceptable. No welding required.`
).


% New Solution 16
caseSolution(nicksGouges_16,nicksGouges,`NAGS-C016`,`Nicks & Gouges Case Solution`,[mbf003],success,
  [
    bridgeType                      :plateGirder,
    errorMemberType                 :baseMetal,
    errorMemberLocation             :baseMetal,
    errorMemberClass                :primary,
    attachMemberClass               :primary,
    nickGougeType                   :edge 
  ],
  ` Defect in base metal where base metal should be flat with little or no discontinuities on the base metal surface.
Single pass semi-automatic submerged arc weld (SAW) in place of the defect after preparation of base metal. 
Preparation of the defect area by air-arc gouging or grinding to the bottom of defect is required. 
Preheat is also required. Minimum plate thickness is according to ASTM A6.`,
`Case #MB-F003:
Description of Error: Defect in base metal where base metal should be flat with little or no discontinuities on the base metal surface.
Solution Recommended: Single pass semi-automatic submerged arc weld (SAW) in place of the defect after preparation of base metal. 
Preparation of the defect area by air-arc gouging or grinding to the bottom of defect is required. Preheat is also required. 
Minimum plate thickness is according to ASTM A6. 
Other Possible solutions: Removal of the defect by grinding without welding is permitted, 
providing the thickness of the plate in not reduced by more than the permissible minimum thickness of the plate.` 
).

 % New Solution 17
caseSolution(nicksGouges_17,nicksGouges,`NAGS-C017`,`Nicks & Gouges Case Solution`,[blf002],success,
 [
    bridgeType                      :bascule,
    errorMemberType                 :webPlate,
    errorMemberLocation             :web,
    errorMemberClass                :primary,
    nickGougeType                   :surface,
    nickGougeDepth                  :0.01
  ],
  ` There was a transition of thickness on the web. 
In the process of removing the weld reinforcement the weld was over ground in excess of 0.010"
 (inl violation of 5.04.15c of the 1990 MDOT Standard Specification.) 
Over grinding occurred on both sides of the web.
Build up the defection area using the same weld procedure 
used to make the weld originally followed by grinding properly.`,
`Case #BL-F002:
Description of Error: There was a transition of thickness on the web. 
In the process of removing the weld reinforcement the weld was over ground in excess of 0.010". 
(inl violation of 5.04.15c of the 1990 MDOT Standard Specification.) 
Over grinding occurred on both sides of the web.
Solution Recommended: Build up the defection area using the same weld procedure used 
to make the weld originally followed by grinding properly.
Other Possible solutions: Replace the web.
Remarks: The over grinding was discovered which reviewing the original radiographs.`
).

 