/*
   Proweb Frame Example - Written by Phil Vasey and Rebecca Shalfield
   Note: As written, it is intended to be used in ProWeb's test mode
   ------------------------------------------------------------------

   This is a very simple frame-based ProWeb example. It expects to find
   its template files in the C:\INETPUB\PROWEB\HTML\FRAMES directory.
*/
:- multifile( proweb_page     / 2 ).
:- multifile( proweb_form     / 2 ).
:- multifile( proweb_question / 2 ).
:- multifile( proweb_frameset / 2 ).

main_goal :-
  proweb_post_reply( some_more_text, `You can have many frames defined this way but they will all appear identically!` ),
  proweb_send_form( question_form ),
  proweb_send_form( answer_form ).

proweb_frameset( _, include('html/frames/frameset.htm') ).

proweb_page( _, include('html/frames/page.htm') ).

proweb_form( question_form,
             [ `This is the question: `,
               ?my_question,
               p @ input(type=submit)
             ]
           ).

proweb_form( answer_form,
             [ `This is your answer: `,
               ??my_question
             ]
           ).

proweb_question( my_question,
                 [ method =  radio,
                   select =  [yes,no],
                   prefill = yes
                 ]
               ).
