:-      multifile( proweb_page         / 2 ).
:-      multifile( proweb_form         / 2 ).
:-      multifile( proweb_question     / 2 ).

main_goal :-
  proweb_dynamic( left_pole/1 ),
  proweb_dynamic( centre_pole/1 ),
  proweb_dynamic( right_pole/1 ),
  proweb_asserta( left_pole([1,2,3,4,5]) ),
  proweb_asserta( centre_pole([]) ),
  proweb_asserta( right_pole([]) ),
  send_next_page,
  move( 5, left, centre, right ).

post_goal.

send_next_page :-
  proweb_call( left_pole(LP) ),
  proweb_call( centre_pole(CP) ),
  proweb_call( right_pole(RP) ),
  proweb_send_form( hanoi_page(LP,CP,RP) ).

proweb_page( _, [] ).

proweb_form( hanoi_page(LP,CP,RP),
             [
               table('WIDTH=100%'),
               tr,
               td('WIDTH=25%',align=center,valign=bottom),
               ??lp,
               /td,
               td('WIDTH=25%',align=center,valign=bottom),
               ??cp,
               /td,
               td('WIDTH=25%',align=center,valign=bottom),
               ??rp,
               /td,
               td('WIDTH=25%',align=top,valign=top),
               Value,
               /td,
               /tr,
               tr,
               td('WIDTH=25%',align=center),
               `Pole One`,
               /td,
               td('WIDTH=25%',align=center),
               `Pole Two`,
               /td,
               td('WIDTH=25%',align=center),
               `Pole Three`,
               /td,
               td('WIDTH=25%',align=center),
               /td,
               /tr,
               /table
             ]
           ) :-
  (  ( CP = [],
       RP = []
     )
  -> Value = input(type=submit,value='First Move')
  ;  (  ( LP = [],
          RP = []
        )
     -> Value = `The End!`
     ;  Value = input(type=submit,value='Next Move')
     )
  ),
  construct_graphical_solution( LP, GraphicalLP ),
  add_pole( GraphicalLP, PoleGraphicalLP ),
  add_base( PoleGraphicalLP, BaseGraphicalLP ),
  proweb_post_reply( lp, BaseGraphicalLP ),
  construct_graphical_solution( CP, GraphicalCP ),
  add_pole( GraphicalCP, PoleGraphicalCP ),
  add_base( PoleGraphicalCP, BaseGraphicalCP ),
  proweb_post_reply( cp, BaseGraphicalCP ),
  construct_graphical_solution( RP, GraphicalRP ),
  add_pole( GraphicalRP, PoleGraphicalRP ),
  add_base( PoleGraphicalRP, BaseGraphicalRP ),
  proweb_post_reply( rp, BaseGraphicalRP ).

add_pole( Graphical, PoleGraphical ) :-
  Tag1 = br,
  Tag2 = img( src = verbatims @ `hanoi/pole.gif` ),
  append( [Tag1],[Tag2],Tag3 ),
  append( [Tag3],Graphical,PoleGraphical).

%add_pole( Graphical, PoleGraphical ) :-
%  length( Graphical, Length ),
%  Rest is 5 - Length,
%  add_pole2( Rest, Tag1),
%  append( Tag1,Graphical,PoleGraphical).

%add_pole2( 0, [Tag|Tags] ).  

%add_pole2( Num, [Tag|Tags] ) :-
%   add_pole_segment( Tag ),
%   Num1 is Num - 1,
%   add_pole2( Num1, Tags ).

%add_pole_segment( Tag3 ) :-
%   Tag1 = br,
%   Tag2 = img( src = verbatims @ `hanoi/pole.gif` ),
%   append( [Tag1],[Tag2],Tag3).

add_base( Graphical, BaseGraphical ) :-
  BaseTag1 = br,
  BaseTag2 = img( src = verbatims @ `hanoi/base.gif` ),
  append( [Graphical],[BaseTag1],Tag1),
  append( [Tag1],[BaseTag2],BaseGraphical).  

construct_graphical_solution( [], [] ).

construct_graphical_solution( [Node|Nodes], [Tag|Tags] ) :-
   construct_graphical_node( Node, Tag ),
   construct_graphical_solution( Nodes, Tags ).

construct_graphical_node( Node, Tag3 ) :-
   Tag1 = br,
   Tag2 = img( src = verbatims @ [`hanoi/`,Node,`.gif`] ),
   append( [Tag1],[Tag2],Tag3).

move( 0, _, _, _ ) :-
  !.

move( Num, Left, Centre, Right ) :-
  Move is Num - 1,
  move( Move, Left, Right, Centre ),
  inform( Left, Centre ),
  move( Move, Right, Centre, Left ).

inform( left, centre ) :-
  one( proweb_call(left_pole( [LH|LT] )) ),
  proweb_asserta( left_pole(LT) ),
  one( proweb_call(centre_pole( CT )) ),
  proweb_asserta( centre_pole([LH|CT]) ),
  send_next_page.

inform( left, right ) :-
  one( proweb_call(left_pole( [LH|LT] )) ),
  proweb_asserta( left_pole(LT) ),
  one( proweb_call(right_pole( RT )) ),
  proweb_asserta( right_pole([LH|RT]) ),
  send_next_page.

inform( centre, left ) :-
  one( proweb_call(centre_pole( [CH|CT] )) ),
  proweb_asserta( centre_pole(CT) ),
  one( proweb_call(left_pole( LT )) ),
  proweb_asserta( left_pole([CH|LT]) ),
  send_next_page.

inform( centre, right ) :-
  one( proweb_call(centre_pole( [CH|CT] )) ),
  proweb_asserta( centre_pole(CT) ),
  one( proweb_call(right_pole( RT )) ),
  proweb_asserta( right_pole([CH|RT]) ),
  send_next_page.

inform( right, left ) :-
  one( proweb_call(right_pole( [RH|RT] )) ),
  proweb_asserta( right_pole(RT) ),
  one( proweb_call(left_pole( LT )) ),
  proweb_asserta( left_pole([RH|LT]) ),
  send_next_page.

inform( right, centre ) :-
  one( proweb_call(right_pole( [RH|RT] )) ),
  proweb_asserta( right_pole(RT) ),
  one( proweb_call(centre_pole( CT )) ),
  proweb_asserta( centre_pole([RH|CT]) ),
  send_next_page.
