:-      multifile( proweb_page         / 2 ).
:-      multifile( proweb_form         / 2 ).
:-      multifile( proweb_question     / 2 ).

main_goal :-
  /*************
   * path_html *
   *************/
  proweb_setting( path_html, PathHTML ),
  proweb_post_reply( path_html, PathHTML ),
  atom_string( PathHTML, PathHTMLStr ),
  cat([PathHTMLStr,`*.htm*`], Whole1, _ ),
  atom_string( WholeStr1, Whole1 ),
  dir( WholeStr1, 0, FileList1 ),
  length( FileList1, Length1 ),
  (  Length1 > 0
  -> proweb_post_reply( path_html_point, FileList1 )
  ;  proweb_post_reply( path_html_point, `** NO HTML TEMPLATE FILES HERE! **` )
  ),
  /*************
   * path_data *
   *************/
  proweb_setting( path_data, PathData ),
  proweb_post_reply( path_data, PathData ),
  atom_string( PathData, PathDataStr ),
  cat([PathDataStr,`*.jp*`], Whole2, _ ),
  atom_string( WholeStr2, Whole2 ),
  dir( WholeStr2, 0, FileList2 ),
  cat([PathDataStr,`*.gif`], Whole3, _ ),
  atom_string( WholeStr3, Whole3 ),
  dir( WholeStr3, 0, FileList3 ),
  append( FileList2, FileList3, FileList4 ),
  length( FileList4, Length2 ),
  (  Length2 > 0
  -> sort( FileList4, SortedFileList4 ),
     proweb_post_reply( path_data_point, SortedFileList4 )
  ;  proweb_post_reply( path_data_point, `** NO GRAPHICS FILES HERE! **` )
  ),
  /*************
   * path_temp *
   *************/
  proweb_setting( path_temp, PathTemp ),
  proweb_post_reply( path_temp, PathTemp ),
  atom_string( PathTemp, PathTempStr ),
  cat([PathTempStr,`\proweb.exe`], Whole4, _ ),
  atom_string( WholeStr4, Whole4 ),
  dir( WholeStr4, 0, FileList5 ),
  length( FileList5, Length3 ),
  (  Length3 = 1
  -> proweb_post_reply( path_temp_point, `** WARNING: THIS SHOULD NOT BE POINTING AT A DIRECTORY CONTAINING PROWEB.EXE! **` )
  ;  proweb_post_reply( path_temp_point, `` )
  ),
  /**************
   * alias_home *
   **************/
  proweb_setting( alias_home, AliasHome ),
  proweb_post_reply( alias_home, AliasHome ),
  atom_string( AliasHome, AliasHomeStr ),
  cat( [`c:\inetpub`,AliasHomeStr,`\proweb.*`], Whole5, _),
  atom_string( WholeStr5, Whole5 ),
  dir(WholeStr5,0,FileList6),
  length( FileList6, Length4 ),
  (  Length4 > 0
  -> proweb_post_reply( alias_home_point, FileList6 )
  ;  proweb_post_reply( alias_home_point, `** WHERE ARE THE PROWEB FILES? **` )
  ),
  /**************
   * alias_data *
   **************/
  proweb_setting( alias_data, AliasData ),
  proweb_post_reply( alias_data, AliasData ),

  atom_string( AliasData, AliasDataStr ),
  cat( [`c:\inetpub`,AliasDataStr,`\*.GIF`], Whole6, _),
  atom_string( WholeStr6, Whole6 ),
  dir(WholeStr6,0,FileList7),
  length( FileList7, Length5 ),
  (  Length5 > 0
  -> proweb_post_reply( alias_data_point, FileList7 )
  ;  proweb_post_reply( alias_data_point, `** NO GRAPHICS FILES HERE! **` )
  ),

  proweb_setting( alias_temp, AliasTemp ),
  proweb_post_reply( alias_temp, AliasTemp ),
  proweb_send_form( path_analysis_form ).

test( FileList5 ) :-
  proweb_setting( alias_home, AliasHome ),
  atom_string( AliasHome, AliasHomeStr ),
  cat([AliasHomeStr,`/proweb.exe`], Whole4, _ ),
  atom_string( WholeStr4, Whole4 ),
  dir( WholeStr4, 0, FileList5 ).
  

proweb_page( path_analysis_form, [] ).

proweb_form( path_analysis_form,
             [
               h2,
               `ProWeb Path Analysis`,
               /h2,
               table(border=1,'width=100%'),
               tr,
               td(valign=top),
               h3,`path_html`,/h3,`Default value=Win-Prolog home directory i.e. 'C:\PRO386W\'`,p,
               `Current value='`,??path_html,`'`,
               p,`Pointing at:`,
               ul @ ??path_html_point,
               /td,
               td(valign=top),
               h3,`alias_home`,/h3,`Default value='/ProWeb'`,p,
               `Current value='`,??alias_home,`'`,
               p,`Pointing at:`,
               ul @ ??alias_home_point,
               /td,
               /tr,
               tr,
               td(valign=top),
               h3,`path_data`,/h3,`Default value=Win-Prolog home directory i.e. 'C:\PRO386W\'`,p,
               `Current value='`,??path_data,`'`,
               p,`Pointing at:`,
               ul @ ??path_data_point,
               /td,
               td(valign=top),
               h3,`alias_data`,/h3,`Default value='/ProWeb/DATA'`,p,
               `Current value='`,??alias_data,`'`,
               p,`Pointing at:`,
               ul @ ??alias_data_point,
               /td,
               /tr,
               tr,
               td(valign=top),
               h3,`path_temp`,/h3,`Default value='C:\TEMP'`,p,
               `Current value='`,??path_temp,`'`,
               p,
               ??path_temp_point,
               /td,
               td(valign=top),
               h3,`alias_temp`,/h3,`Default value='/ProWeb/TEMP'`,p,
               `Current value='`,??alias_temp,`'`,
               /td,
               /tr,
               /table
             ]
           ).
