/*
   Proweb Frame Example - Written by Phil Vasey and Rebecca Shalfield
   Note: As written, it is intended to be used in ProWeb's test mode
   ------------------------------------------------------------------

   This is a very simple frame-based ProWeb example. It expects to find
   its template files in the C:\INETPUB\PROWEB\HTML\FRAMES directory.
*/

:- ensure_loaded( system(proweb) ).

proweb_startup :-
  proweb_setting( main_goal, main_goal ),
  proweb_setting( path_html, 'c:\inetpub\proweb\html' ).

:- proweb_startup.

main_goal :-
  proweb_send_form( question_form ),
  proweb_send_form( answer_form ).

proweb_frameset( _, include('frames/frameset.html') ).

proweb_page( _, include('frames/page.html') ).

proweb_form( question_form,
             [ `This is the question: `,
               ?my_question,
               p @ input(type=submit)
             ]
           ).

proweb_form( answer_form,
             [ `This is your answer: `,
               ??my_question
             ]
           ).

proweb_question( my_question,
                 [ method =  radio,
                   select =  [yes,no],
                   prefill = yes
                 ]
               ).
