/*
   Proweb Menu Creation Example - Written by Rebecca Shalfield
   -----------------------------------------------------------

   This example creates a menu for ProWeb within the
   Win-Prolog development environment.
   
*/

make_proweb_menu :-
  wmcreate( proweb ),
  wmnuadd( proweb, -1, `&Load Toolkit`,     1000 ),
  wmnuadd( proweb, -1, `Launch &Netscape`,  1001 ),
  wmnuadd( proweb,  3, ``,                     0 ),
  wmnuadd( proweb, -1, `&Register`,         1002 ),
  wmnuadd( proweb, -1, `&Unregister`,       1003 ),
  wmnuadd( proweb,  6, ``,                     0 ),
  wmnuadd( proweb, -1, `&View Settings`,    1004 ),
  wmnuadd( proweb,  8, ``,                     0 ),
  wmnuadd( proweb, -1, `&Forget`,           1005 ),
  wmnuadd( proweb, 10, ``,                     0 ),
  wmnuadd( proweb, -1, `&Make Overlay`,     1006 ),
  wmnuadd( proweb, 12, ``,                     0 ),
  wmnuadd( proweb, -1, `&About ProWeb`,     1007 ),
  wmnuadd( 0, 3, `&Proweb`, proweb ),
  window_handler( 1, proweb_menu_handler ).

proweb_menu_handler(W,msg_menu,1000,R) :-
  write('ensure_loaded(system(proweb)).'),
  nl,
  (  ensure_loaded(system(proweb))
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,msg_menu,1001,R) :-
  write(`exec('c:\program files\netscape\navigator\program\netscape.exe','',_).`),
  nl,
  (  exec('c:\program files\netscape\navigator\program\netscape.exe','',_)
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,msg_menu,1002,R) :-
  write('proweb_nn_register.'),
  nl,
  (  proweb_nn_register
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,msg_menu,1003,R) :-
  write('proweb_nn_unregister.'),
  nl,
  (  proweb_nn_unregister
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,msg_menu,1004,R) :-
  write(`proweb_setting( Setting, Value ), writeq( Setting = Value ), nl, fail.`),
  nl,
  proweb_setting( Setting, Value ),
  writeq( Setting = Value ),
  nl,
  fail.  

proweb_menu_handler(W,msg_menu,1005,R) :-
  write(`retractall(proweb_data_form(_)),dir('C:\INETPUB\PROWEB\TEMP\*.www',-255,Filelist),forall( member(F,Filelist),del(F)).`),
  nl,
  (  retractall(proweb_data_form(_)),
     dir('C:\INETPUB\PROWEB\TEMP\*.www',-255,Filelist),
     forall( member(F,Filelist),
             del(F)
     )
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl. 

proweb_menu_handler(W,msg_menu,1006,R) :-
  write(`procgi_make('c:\inetpub\proweb\proweb.ovl').`),
  nl,
  (  procgi_make('c:\inetpub\proweb\proweb.ovl')
  -> write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,msg_menu,1007,R) :-
  write(`proweb_string( version, X ).`),
  nl,
  (  proweb_string( version, X )
  -> write( 'X = `' ),
     write( X ),
     write( '`' ),
     nl,
     write('yes')
  ;  write('no')
  ),
  nl,
  nl.

proweb_menu_handler(W,M,D,R) :-
  window_handler(W,M,D,R).
