/* ProWeb Illegal Form Clause Definition Example
   Written by Rebecca Shalfield
   Note: As written, it is intended for use in ProWeb's test mode
   --------------------------------------------------------------

   This example demonstrates how one of ProWeb's standard forms can be
   user-redefined. The standard form redefined is the one that gets sent
   when the form is illegal for whatever reason; the reason here being that
   no proweb_form/2 clause exists for undefined_form. 

*/

:- ensure_loaded( system(proweb) ).

:- proweb_setting( main_goal, main_goal ).

main_goal :-
  proweb_send_form( undefined_form ).

proweb_page( undefined_form, [] ).

proweb_form( proweb_illegal_form(Form),
             [`The definition of `,
              i @ Form,
              ` is illegal because `,
              unencoded @ Reason,
              `!`
             ]
           ) :- (  proweb_form( Form, _ )
                -> true
                ;  Reason = `no <I>proweb_form/2</I> clause could be found`
                ).

