/* ProWeb Form Input Sample Example - Written by Rebecca Shalfield
   Note: As written, it is intended to be used in ProWeb's test mode
   -----------------------------------------------------------------

   This example creates a page showing all the HTML Forms form input
   fields possible with ProWeb. It is provided for reference only,
   not as a working example.
*/

:- ensure_loaded(system(proweb)).

:- proweb_setting( main_goal, main_goal ).

main_goal :-
  proweb_send_form( proweb_home_form ).

proweb_page( [proweb_home_form], [] ).

proweb_form( proweb_home_form,
             [ `Atom: `, 
               ?atom_input,
               ` String: `,
               ?unlimited_string_input,
               ` String: `,
               ?limited_string_input,
               br,
               `Number: `,
               ?number_input,
               ` Integer: `,
               ?integer_input,
               ` Password: `,
               ?password_input,
               ` On: `,
               ?checkbox_input1,
               ` Off: `,
               ?checkbox_input2,
               br,
               `Choice: `,
               ?radio_input,
               br,
               `Formatted Choice: `,
               br,
               ?formatted_radio_input,
               br,
               `Simple Menubox: `,
               ?oneline_menubox_input,
               ` Advanced Menubox: `,
               ?threeline_menubox_input,
               ` Multibox: `,
               ?multibox_input,
               br,
               `Simple Date: `,
               ?date_input1,
               br,
               `Advanced Date1: `,
               ?date_input2,
               ` Advanced Date2: `,
               ?date_input3,
               br,
               `12 Hour Clock: `,
               ?hour12_input,
               br,
               `24 Hour Clock: `,
               ?hour24_input
             ]
           ).

proweb_question( atom_input,
                 [ method = input,
                   type = atom,
                   prefill = 'Enter an atom',
                   rows = 1,
                   cols = 15
                 ]
               ).

proweb_question( unlimited_string_input,
                 [ method = input,
                   type = string,
                   prefill = `Enter an unlimited string`,
                   rows = 3,
                   cols = 28
                 ]
               ).

proweb_question( limited_string_input,
                 [ method = input,
                   type = string,
                   prefill = `Enter a limited string`,
                   cols = 28,
                   maxlength = 28
                 ]
               ).

proweb_question( number_input,
                 [ method = input,
                   type = number,
                   prefill = 0.333,
                   lwb = 0,
                   upb = 1
                 ]
               ).

proweb_question( integer_input,
                 [ method = input,
                   type = integer,
                   prefill = 12345
                 ]
               ).

proweb_question( password_input,
                 [ method = password,
                   prefill = 'password'
                 ]
               ).

proweb_question( checkbox_input1,
                 [ method = checkbox,
                   prefill = on
                 ]
               ).

proweb_question( checkbox_input2,
                 [ method = checkbox,
                   prefill = off
                 ]
               ).

proweb_question( radio_input,
                 [ method = radio,
                   select = ['Win-Prolog','DOS-Prolog','Mac-Prolog'],
                   prefill = 'Win-Prolog'
                 ]
               ).

proweb_question( formatted_radio_input,
                 [ method = radio,
                   select = [a,b,c],
                   prefill = b,
                   infix = br
                 ]
               ).

proweb_question( oneline_menubox_input,
                 [ method = menubox,
                   select = ['Win-Prolog','DOS-Prolog','Mac-Prolog'],
                   prefill = 'Win-Prolog'
                 ]
               ).

proweb_question( threeline_menubox_input,
                 [ method = menubox,
                   select = ['Win-Prolog','DOS-Prolog','Mac-Prolog'],
                   prefill = 'Win-Prolog',
                   rows = 3
                 ]
               ).

proweb_question( multibox_input,
                 [ method = multibox,
                   select = ['Win-Prolog','DOS-Prolog','Mac-Prolog'],
                   prefill = ['Win-Prolog','DOS-Prolog'],
                   rows = 3
                 ]
               ).

proweb_question( date_input1,
                 [ method = date,
                   format = '/dd/mm/yy',
                   prefill = [98,5,15]
                 ]
               ).

proweb_question( date_input2,
                 [ method = date,
                   format = '/dth/M/yyyy',
                   prefill = [2000,5,15]
                 ]
               ).

proweb_question( date_input3,
                 [ method = date,
                   format = 'Day: /dth Month: /M Year: /yyyy',
                   prefill = [2000,5,15]
                 ]
               ).

proweb_question( hour12_input,
                 [ method = time,
                   format = '/h/mm/ss',
                   prefill = [23,59,59]
                 ]
               ).

proweb_question( hour24_input,
                 [ method = time,
                   format = 'Hours: /hh Minutes: /mm Seconds: /ss',
                   prefill = [23,59,59]
                 ]
               ).
