/* ProWeb Log File Example - Written by Rebecca Shalfield
   Note: As written, it is intended for use in ProWeb's test mode
   --------------------------------------------------------------

   This example reads the first 65535 bytes of ProWeb's log file,
   PROWEB.LOG, and places them into the LPA string, LogDetails. This
   partial log is then 'posted' to Prolog's internal database and
   picked-up for inclusion in the form, log_form.
*/
:- ensure_loaded( system(proweb) ).

proweb_startup :-
   proweb_setting( main_goal, main_goal ),
   proweb_setting( path_temp, 'c:\inetpub\proweb\temp' ).

:- proweb_startup.

main_goal :-
   see( 'c:\inetpub\proweb\temp\proweb.log' ),
   copy(65535,_) ~> LogDetails,
   seen,
   proweb_post_reply( log_details, LogDetails ),
   proweb_send_form( log_form ).

proweb_page( _,
             []
           ).

proweb_form( log_form,
             [ h2,
               `ProWeb Log File`,
               /h2,
               pre,
               b @ `UCO          Page     Date           Time                 I.P. Addr~M~J`,
               ??log_details,
               /pre
             ]
           ).











            
