/* ProWeb View Settings Example - Written by Rebecca Shalfield
   Note: As written, it is intended for use in ProWeb's test mode
   --------------------------------------------------------------

   This example creates an HTML page containing the names of all
   the ProWeb settings together with their values. It executes a
   proweb_setting/2 call for each ProWeb setting and places its
   value at the appropriate location in the form's definition.
*/

:- ensure_loaded(system(proweb)).

proweb_startup :-
  proweb_setting( main_goal, main_goal ).

:- proweb_startup.

main_goal :-
  proweb_send_form( proweb_setting_form ).

proweb_page( [proweb_setting_form], [] ).

proweb_form( proweb_setting_form,
             [ h2,
               `ProWeb Settings`,
               /h2,
               `[GENERAL]`,
               p,
               `Main goal: `,
               b @ MainGoal,
               p,
               `Post goal: `,
               b @ PostGoal,
               p,
               `Max forms per page: `,
               b @ MaxFormsPerPage,
               p,
               `Help: `,
               b @ Help,
               p,
               `[CACHE]`,
               p,
               `Cache help: `,
               b @ CacheHelp,
               p,
               `Cache html: `,
               b @ CacheHtml,
               p,
               `[PATH]`,
               p,
               `Path html: `,
               b @ PathHtml,
               p,
               `Path data: `,
               b @ PathData,
               p,
               `Path temp: `,
               b @ PathTemp,
               p,
               `[ALIAS]`,
               p,
               `Alias home: `,
               b @ AliasHome,
               p,
               `Alias data: `,
               b @ AliasData,
               p,
               `Alias temp: `,
               b @ AliasTemp,
               p,
               `[SYSTEM]`,
               p,
               `Buffer size: `,
               b @ BufferSize,
               p,
               `Buffer name: `,
               b @ BufferName,
               p,
               `Mutex name: `,
               b @ MutexName,
               p,
               `Mutex timeout: `,
               b @ MutexTimeout,
               p,
               `Start timeout: `,
               b @ StartTimeout,
               p,
               `Query timeout: `,
               b @ QueryTimeout,
               p,
               `Temp timeout: `,
               b @ TempTimeout,
               p,
               `Idle timeout: `,
               b @ IdleTimeout,
               p,
               `[CONVERSATION]`,
               p,
               `conversation src: `,
               b @ ConversationSrc,
               p,
               `Conversation uco: `,
               b @ ConversationUco,
               p,
               `Conversation ufo: `,
               b @ ConversationUfo
             ]
           ) :-
  proweb_setting( main_goal, MainGoal ),
  proweb_setting( post_goal, PostGoal ),
  proweb_setting( max_forms_per_page, MaxFormsPerPage ),
  proweb_setting( help, Help ),
  proweb_setting( cache_help, CacheHelp ),
  proweb_setting( cache_html, CacheHtml ),
  proweb_setting( path_html, PathHtml ),
  proweb_setting( path_data, PathData ),
  proweb_setting( path_temp, PathTemp ),
  proweb_setting( alias_home, AliasHome ),
  proweb_setting( alias_data, AliasData ),
  proweb_setting( alias_temp, AliasTemp ),
  proweb_setting( buffer_size, BufferSize ),
  proweb_setting( buffer_name, BufferName ),
  proweb_setting( mutex_name, MutexName ),
  proweb_setting( mutex_timeout, MutexTimeout ),
  proweb_setting( start_timeout, StartTimeout ),
  proweb_setting( qery_timeout, QueryTimeout ), % Copes with bug in PROWEB.PL
  proweb_setting( temp_timeout, TempTimeout ),
  proweb_setting( idle_timeout, IdleTimeout ),
  proweb_setting( conversation_src, ConversationSrc ),
  proweb_setting( conversation_uco, ConversationUco ),
  proweb_setting( conversation_ufo, ConversationUfo ).
