/* ProWeb String Example - Written by Rebecca Shalfield
   Note: As written, this example is intended for use in ProWeb's test mode
   ------------------------------------------------------------------------

   This example demonstrates how a LPA string containing HTML syntax can
   be created using html_print/1 and html_print_nl/1. The resulting string
   is then displayed 'as is' and unencoded so as to observe the difference
   in its output.

*/

:- ensure_loaded( system(proweb) ).
:- proweb_setting( main_goal, main_goal ).

main_goal :-
   create_string ~> String,
   proweb_post_reply( string, String ),
   proweb_send_form(first_form).

proweb_page( [first_form], [] ).

proweb_form( first_form,
	     [ ??string,
               p,
               unencoded @ ??string
             ]
           ).

create_string :-
   html_print_nl(table),
   html_print_nl(td),
   html_print(b),
   html_print(i @ `Hello`),
   tab(5),
   write(`World!`),
   html_print_nl(/b),
   html_print_nl(/td),
   html_print_nl(/table).
