/*

   Tests for the Access NWIND.MDB database

   (c) 1996 Keylink Computers Ltd

*/
% :- ensure_loaded(system(dblink)).

% db_connect(mydbf).

% db_attach(dept,'DEPT').

% dept(Deptno,Dname,Loc).

% dept(A,'RESEARCH',C).

% dept(10,B,C).

% db_tuple('DEPT',R).

%db_sql_select('select ename,empno from emp',L).

%db_sql_select('SELECT ENAME,LOC FROM EMP,DEPT WHERE EMP.DEPTNO=DEPT.DEPTNO ORDER BY ENAME',R).

unify_sql(HDBC,Q,R) :-
     db_sql_select(HDBC,Q,R1),
     R=R1.


test1:- db_show_schema(sources).

test2:- db_get_schema(sources, L),
        write(L),nl.

test3:- db_connect(access(nwind)).

test4:- db_show_schema(accessible).

test5:- db_get_schema(accessible, L),
        write(L),nl.

test6:- db_show_schema(arity('Employees')).

test7:- db_get_schema(arity('Employees'), A),
        write(A),nl.

test8:- db_show_schema(columns('Employees')).

test9:- db_get_schema(columns('Employees'), L),
        write(L),nl.

test10:- db_show_schema(tuples('Shippers')).

test11:- db_sql_select('select * from Shippers', L),
         write(L),nl,fail.

test12:- db_attach(emp, 'Employees').

test13:- emp(A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q),
         write(A),nl,
         write(B),nl,
         write(C),nl,
         write(D),nl,
         write(E),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,
         write(J),nl,
         write(K),nl,
         write(L),nl,
         write(M),nl,
         write(N),nl,
         write(O),nl,
         write(P),nl,
         write(Q),nl,
         write('---------------------'),nl,ttyflush,
         fail.

test14:- emp(3,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q),
         write(B),nl,
         write(C),nl,
         write(D),nl,
         write(E),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,
         write(J),nl,
         write(K),nl,
         write(L),nl,
         write(M),nl,
         write(N),nl,
         write(O),nl,
         write(P),nl,
         write(Q),nl,
         write('---------------------'),nl,ttyflush,
         fail.

test15:- emp(A,'Leverling',C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q),
         write(A),nl,
         write(C),nl,
         write(D),nl,
         write(E),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,
         write(J),nl,
         write(K),nl,
         write(L),nl,
         write(M),nl,
         write(N),nl,
         write(O),nl,
         write(P),nl,
         write(Q),nl,
         write('---------------------'),nl,
         fail.

test16:- emp(A,B,C,D,date([1963,8,30],[]),F,G,H,I,J,K,L,M,N,O,P,Q),
         write(A),nl,
         write(B),nl,
         write(C),nl,
         write(D),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,
         write(J),nl,
         write(K),nl,
         write(L),nl,
         write(M),nl,
         write(N),nl,
         write(O),nl,
         write(P),nl,
         write(Q),nl,
         write('---------------------'),nl,
         fail.

test17:- emp(A,B,C,D,op(E > date([1963,8,30],[])),F,G,H,I,J,K,L,M,N,O,P,Q),
         write(A),nl,
         write(B),nl,
         write(C),nl,
         write(D),nl,
         write(E),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,
         write(J),nl,
         write(K),nl,
         write(L),nl,
         write(M),nl,
         write(N),nl,
         write(O),nl,
         write(P),nl,
         write(Q),nl,
         write('---------------------'),nl,
         fail.


test18:- db_attach(orderdetails, 'Order Details').

test19:- db_attach(orders, 'Orders').

test20:- orderdetails(A,B,C,D,E),
         orders(A,F,G,H,I,_,_,_,_,_,_,_,_,_),
         write(A),nl,
         write(B),nl,
         write(C),nl,
         write(D),nl,
         write(E),nl,
         write(F),nl,
         write(G),nl,
         write(H),nl,
         write(I),nl,nl,
         fail.


test21:- db_tuple('Shippers', L),
         write(L),nl,fail.


test30:- db_add_record('Shippers',[4,'Keylink Computers']),
         db_show_schema(tuples('Shippers')).

test31:- db_delete_record('Shippers', [4|_]),
         db_show_schema(tuples('Shippers')).

test32:- db_begintran,
         test30,
         db_rollback,
         db_show_schema(tuples('Shippers')).

test33:- db_begintran,
         test30,
         db_commit,
         db_show_schema(tuples('Shippers')).


test40:- db_set_max_blob_size(4096).

test41:- emp(3,B,C,D,E,F,G,H,I,J,K,L,M,N,Address,P,Q),
         db_get_byte_at_address(Address,0,V0),
         db_get_byte_at_address(Address,1,V1),
         db_get_byte_at_address(Address,2,V2),
         db_get_byte_at_address(Address,3,V3),
         write('Value at offset 0 = '),write(V0),nl,
         write('Value at offset 1 = '),write(V1),nl,
         write('Value at offset 2 = '),write(V2),nl,
         write('Value at offset 3 = '),write(V3),nl.

test42:- db_sql_select('select Description from Categories',[N]),name(N,L),length(L,Len),
         write(N),nl,write(Len).
