proweb_page( [ hand_form(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- hand_form_title_file( Form, Title, _ ).

proweb_form( hand_form(Form), [include(File),Footer] ) :-
  hand_form_title_file( Form, _, File ),
  hand_form_footer( Form, Footer ).

hand_form_title_file( manage_case_form,   `Manage Cases Form`,    'white.htm' ).
hand_form_title_file( list_case_form,   `list_case_form`,    'white.htm' ).
hand_form_title_file( show_case_form,   `show_case_form`,    'white.htm' ).
hand_form_title_file( add_cases_form,   `add_cases_form`,    'white.htm' ).
hand_form_title_file( edit_cases_form,   `edit_cases_form`,    'white.htm' ).
hand_form_title_file( delete_cases_form,   `delete_cases_form`,    'white.htm' ).


/*----------------------------------------------------------*/
/*  FIXS handcases.pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

hand_form_footer(manage_case_form, 
             [h3 @ `Select Items you want to manage`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage New Case Items`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Pick items`,/b,/td,
               td,b,?caseItems,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

proweb_question( caseItems,
                 [ method = radio,
                   select = [check_case,check_comment],
                   prefill = check_case,
                   infix   = br
                 ]).
 


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for CASES
   ---------------------------------------------------------------------------------- */

hand_form_footer(list_case_form, 
             [h3 @ `Select User's Acount ID. (Single Choice Reguired)`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Case Names`,/b,/td,
               td,b,?caseName_input,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ).

proweb_question(caseName_input,
                 [ method = radio,
                   select = Case_list,
                   prefill =FList, 
                   infix   = br
                 ]):-
  caseliststore(Case_list),
  member(FList,Case_list,1).

hand_form_footer(show_case_form,
              [h3 @ `Case information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Case Name`,/b,/td,
               td,b,b@SCaseName,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,b@SEmail_case_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,b@SDate_case_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Main Member Type`,/b,/td,
               td,b,b@SMain_member_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Attached Member Type:`,/b,/td,
               td,b,b@SAttached_member_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Error Type:`,/b,/td,
               td,b,b@SError_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Description of Error (Attach Sketches):`,/b,/td,
               td,b,b@SDescript_error,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Approval Necessary:`,/b,/td,
               td,b,b@SApproval_nec,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Solution Recommended:`,/b,/td,
               td,b,b@SSolution_re,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Was Solution Successful`,/b,/td,
               td,b,b@SWas_success,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Other Possible Solutions:`,/b,/td,
               td,b,b@SOther_possible,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Required Final Checks:`,/b,/td,
               td,b,b@SRequired_final,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Remarks:`,/b,/td,
               td,b,b@SRemarks,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Listing of Attachments:`,/b,/td,
               td,b,b@SListing_atta,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Information Obtained From:`,/b,/td,
               td,b,b@SInform_from,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Error Occurred:`,/b,/td,
               td,b,b@SDate_occur,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Name:`,/b,/td,
               td,b,b@SState_DOT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Bridge No/Name:`,/b,/td,
               td,b,b@SBridge_no,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`URL address of Image files`,/b,/td,
               td,b,b@SAdd_image_URL,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Buttons`,/b,/td,
               td,b,?findcaseID,/b,/td,
               /tr,
                 /table,p,              
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        )
   :-
   ecasestore(CaseName),
   case_ac(CaseID,CaseName,
                 Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL),
  putwrite(CaseName,SCaseName),  
  putwrite(Email_case_Pre,SEmail_case_Pre),
  putwrite(Date_case_Pre,SDate_case_Pre),
  putwrite(Main_member_type,SMain_member_type),  
  putwrite(Attached_member_type,SAttached_member_type), 
  putwrite(Error_type,SError_type),     
  putwrite(Descript_error,SDescript_error),   
  putwrite(Approval_nec,SApproval_nec), 
  putwrite(Solution_re,SSolution_re),  
  putwrite(Was_success,SWas_success), 
  putwrite(Other_possible,SOther_possible),     
  putwrite(Required_final,SRequired_final),   
  putwrite(Remarks,SRemarks),
  putwrite(Listing_atta,SListing_atta),  
  putwrite(Inform_from,SInform_from), 
  putwrite(Date_occur,SDate_occur),     
  putwrite(State_DOT,SState_DOT),   
  putwrite(Bridge_no,SBridge_no), 
  putwrite(Add_image_URL,SAdd_image_URL). 

proweb_question( findcaseID,
                 [ method = radio,
                   select = [add_acount,delete_acount,edit_acount],
                   prefill = add_acount,
                   infix   = br
                 ]).

hand_form_footer(add_cases_form,
              [h3 @ `Add Case information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`User Name`,/b,/td,
               td,b,?caseNameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,?email_case_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,?date_case_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Main Member Type`,/b,/td,
               td,b,?main_member_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Attached Member Type:`,/b,/td,
               td,b,?attached_member_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Error Type:`,/b,/td,
               td,b,?error_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Description of Error (Attach Sketches):`,/b,/td,
               td,b,?descript_errorINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Approval Necessary:`,/b,/td,
               td,b,?approval_necINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Solution Recommended:`,/b,/td,
               td,b,?solution_reINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Was Solution Successful?`,/b,/td,
               td,b,?was_successINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Other Possible Solutions:`,/b,/td,
               td,b,?other_possibleINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Required Final Checks:`,/b,/td,
               td,b,?required_finalINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Remarks:`,/b,/td,
               td,b,?remarksINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Listing of Attachments:`,/b,/td,
               td,b,?listing_attaINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Information Obtained From:`,/b,/td,
               td,b,?inform_fromINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Error Occurred:`,/b,/td,
               td,b,?date_occurINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Name:`,/b,/td,
               td,b,?state_DOTINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Bridge No/Name:`,/b,/td,
               td,b,?bridge_noINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`URL address of Image files`,/b,/td,
               td,b,?add_image_URLINPUT,/b,/td,
               /tr,
              /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

   proweb_question(caseNameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(email_case_PreINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(date_case_PreINPUT, 
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(main_member_typeINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(attached_member_typeINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(error_typeINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(descript_errorINPUT, 
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(approval_necINPUT,
                 [ method = radio,
                   select = ['In-Shop','State-Inspector','State-Design-Engineer','Other'],
                   prefill = 'In-Shop'
                  ]).
   proweb_question(solution_reINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(was_successINPUT,
                 [ method = radio,
                   select = ['Yes','No'],
                   prefill = 'Yes'
                 ]).
   proweb_question(other_possibleINPUT,
           [ method  = input,type = string,prefill = MyString,rows = 3,cols = 50]) :- MyString = ``.    
   proweb_question(required_finalINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(remarksINPUT,
           [ method  = input,type = string,prefill = MyString,rows = 3,cols = 50]) :- MyString = ``.    
   proweb_question(descript_errorINPUT,
           [ method  = input,type = string,prefill = MyString,rows = 3,cols = 50]) :- MyString = ``.    
   proweb_question(listing_attaINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(inform_fromINPUT,
           [ method  = input,type = string,prefill = MyString,rows = 3,cols = 50]) :- MyString = ``.    
   proweb_question(date_occurINPUT,
                 [ method = date,format = '/dth/M/yyyy',prefill = [2001,11,29]]).
   proweb_question(state_DOTINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(bridge_noINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(add_image_URLINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    


hand_form_footer(edit_cases_form,
              [h3 @ `Edit Case information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current User Name`,/b,/td,
               td,b,b@SCaseName,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`User Name`,/b,/td,
               td,b,?caseNameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Email of Presenter`,/b,/td,
               td,b,b@SEmail_case_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,?email_case_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Date Presented`,/b,/td,
               td,b,b@SDate_case_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,?date_case_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Main Member Type`,/b,/td,
               td,b,b@SMain_member_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Main Member Type`,/b,/td,
               td,b,?main_member_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Attached Member Type:`,/b,/td,
               td,b,b@SAttached_member_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Attached Member Type:`,/b,/td,
               td,b,?attached_member_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Error Type:`,/b,/td,
               td,b,b@SError_type,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Error Type:`,/b,/td,
               td,b,?error_typeINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Description of Error (Attach Sketches):`,/b,/td,
               td,b,b@SDescript_error,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Description of Error (Attach Sketches):`,/b,/td,
               td,b,?descript_errorINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Approval Necessary:`,/b,/td,
               td,b,b@SApproval_nec,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Approval Necessary:`,/b,/td,
               td,b,?approval_necINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Solution Recommended:`,/b,/td,
               td,b,b@SSolution_re,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Solution Recommended:`,/b,/td,
               td,b,?solution_reINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Was Solution Successfulb@`,/b,/td,
               td,b,b@SWas_success,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Was Solution Successful?`,/b,/td,
               td,b,?was_successINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Other Possible Solutions:`,/b,/td,
               td,b,b@SOther_possible,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Other Possible Solutions:`,/b,/td,
               td,b,?other_possibleINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Required Final Checks:`,/b,/td,
               td,b,b@SRequired_final,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Required Final Checks:`,/b,/td,
               td,b,?required_finalINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Remarks:`,/b,/td,
               td,b,b@SRemarks,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Remarks:`,/b,/td,
               td,b,?remarksINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Listing of Attachments:`,/b,/td,
               td,b,b@SListing_atta,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Listing of Attachments:`,/b,/td,
               td,b,?listing_attaINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Information Obtained From:`,/b,/td,
               td,b,b@SInform_from,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Information Obtained From:`,/b,/td,
               td,b,?inform_fromINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Date Error Occurred:`,/b,/td,
               td,b,b@SDate_occur,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Error Occurred:`,/b,/td,
               td,b,?date_occurINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current State DOT Name:`,/b,/td,
               td,b,b@SState_DOT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Name:`,/b,/td,
               td,b,?state_DOTINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current State DOT Bridge No/Name:`,/b,/td,
               td,b,b@SBridge_no,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`State DOT Bridge No/Name:`,/b,/td,
               td,b,?bridge_noINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current URL address of Image files`,/b,/td,
               td,b,b@SAdd_image_URL,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`URL address of Image files`,/b,/td,
               td,b,?add_image_URLINPUT,/b,/td,
               /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ) :-
   ecasestore(CaseName),
   case_ac(CaseID,CaseName,
                 Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL),
  putwrite(CaseName,SCaseName),  
  putwrite(Email_case_Pre,SEmail_case_Pre),
  putwrite(Date_case_Pre,SDate_case_Pre),
  putwrite(Main_member_type,SMain_member_type),  
  putwrite(Attached_member_type,SAttached_member_type), 
  putwrite(Error_type,SError_type),     
  putwrite(Descript_error,SDescript_error),   
  putwrite(Approval_nec,SApproval_nec), 
  putwrite(Solution_re,SSolution_re),  
  putwrite(Was_success,SWas_success), 
  putwrite(Other_possible,SOther_possible),     
  putwrite(Required_final,SRequired_final),   
  putwrite(Remarks,SRemarks),
  putwrite(Listing_atta,SListing_atta),  
  putwrite(Inform_from,SInform_from), 
  putwrite(Date_occur,SDate_occur),     
  putwrite(State_DOT,SState_DOT),   
  putwrite(Bridge_no,SBridge_no), 
  putwrite(Add_image_URL,SAdd_image_URL). 


hand_form_footer(delete_cases_form,
              [h3 @ `Are you sure to delete following case ?`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
                td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Case Name`,/b,/td,
                td,b,b@SCaseName,/b,/td,
              /tr,
               /table,p, 
               input(type='submit',name='yesno',value='YES'),p,
               input(type='submit',name='yesno',value='NO'),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
   ecasestore(CaseName),
   putwrite(CaseName,SCaseName). 
 
