/*----------------------------------------------------------*/
/*  FIXS Find Solution Control Info.pl                      */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                                                          */
/*  Control Group Specific Handling Code                    */
/*                                                          */
/*----------------------------------------------------------*/
/*----------------------------------------------------------*/
/*  Handling Code for: General Information #1               */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(generalInfo1,50000).

% Ending control id
findSolutionDlgEndControlId(generalInfo1,50011).

% Ending highlight id
% There are no highlights for this control group so the ending
% highlight id is set to 50499 to prevent a problem from occuring.
findSolutionDlgEndHighlightId(generalInfo1,50499).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(generalInfo1,0).

% Title
findSolutionDlgTitle(generalInfo1,`Project Information`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(generalInfo1,[]).

% Next dialog in sequence
findSolutionDlgControlsNext(generalInfo1,generalInfo2).

% Initialize controls
findSolutionDlgControlsInit(generalInfo1) :-
  findSolutionDlgInitTextItem(50001,projectName(_),string,_,stateDataProjectName(`A`)),
  findSolutionDlgInitTextItem(50003,projectNumber(_),string,_,stateDataProjectNumber(`A`)),
  findSolutionDlgInitTextItem(50005,fabricator(_),string,_,stateDataFabricator(`A`)),
  findSolutionDlgInitTextItem(50007,dataOfError(_),string,_,stateDataDateOfError(`A`)),
  findSolutionDlgInitTextItem(50009,userName(_),string,_,stateDataUserName(`A`)),
  findSolutionDlgInitTextItem(50011,userCompany(_),string,_,userPrefsCompany(`A`)).

% Assert dialog data
findSolutionAssertData(generalInfo1) :-
  findSolutionDlgAssertTextItem(50001,projectName(_),string,stateDataProjectName(_)),
  findSolutionDlgAssertTextItem(50003,projectNumber(_),string,stateDataProjectNumber(_)),
  findSolutionDlgAssertTextItem(50005,fabricator(_),string,stateDataFabricator(_)),
  findSolutionDlgAssertTextItem(50007,dataOfError(_),string,stateDataDateOfError(_)),
  findSolutionDlgAssertTextItem(50009,userName(_),string,stateDataUserName(_)),
  findSolutionDlgAssertTextItem(50011,userCompany(_),string,userPrefsCompany(_)).

% Dialog control data which is required
findSolutionDlgReqData(generalInfo1).


/*----------------------------------------------------------*/
/*  Handling Code for: General Information #2               */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(generalInfo2,51000).

% Ending control id
findSolutionDlgEndControlId(generalInfo2,51011).

% Ending highlight id
% There are no highlights for this control group so the ending
% highlight id is set to 51499 to prevent a problem from occuring.
findSolutionDlgEndHighlightId(generalInfo2,51499).

% Context help
findSolutionDlgHelp(generalInfo2,51000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(generalInfo2,0).

% Title
findSolutionDlgTitle(generalInfo2,`Bridge Information`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(generalInfo2,[]).

% Next dialog in sequence
findSolutionDlgControlsNext(generalInfo2,generalInfo25).

% Initialize controls
findSolutionDlgControlsInit(generalInfo2) :-
  findSolutionDlgInitTextItem(51001,bridgeName(_),string,_,stateDataBridgeName(`B`)),
  findSolutionDlgInitTextItem(51003,bridgeNumber(_),string,_,stateDataBridgeNumber(`B`)),
  findSolutionDlgInitComboBoxItem(51005,bridgeType(_),stateDataBridgeType(boxGrider)),
  findSolutionDlgInitComboBoxItem(51007,endSupports(_),stateDataEndSupports(simple)),
  findSolutionDlgInitComboBoxItem(51009,intSupports(_),stateDataIntSupports(simple)),
  findSolutionDlgInitTextItem(51011,numberOfSpans(_),number,_,stateDataNumberOfSpans(3)).

% Assert dialog data
findSolutionAssertData(generalInfo2) :-
  findSolutionDlgAssertTextItem(51001,bridgeName(_),string,stateDataBridgeName(_)),
  findSolutionDlgAssertTextItem(51003,bridgeNumber(_),string,stateDataBridgeNumber(_)),
  findSolutionDlgAssertComboBoxItem(51005,bridgeType(_),stateDataBridgeType(_)),
  findSolutionDlgAssertComboBoxItem(51007,endSupports(_),stateDataEndSupports(_)),
  findSolutionDlgAssertComboBoxItem(51009,intSupports(_),stateDataIntSupports(_)),
  findSolutionDlgAssertTextItem(51011,numberOfSpans(_),number,stateDataNumberOfSpans(_)).

% Dialog control data which is required
findSolutionDlgReqData(generalInfo2).
/*----------------------------------------------------------*/
/*  Handling Code for: General Information #2.5               */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(generalInfo25,51000).

% Ending control id
findSolutionDlgEndControlId(generalInfo25,51011).

% Ending highlight id
% There are no highlights for this control group so the ending
% highlight id is set to 51499 to prevent a problem from occuring.
findSolutionDlgEndHighlightId(generalInfo25,51499).

% Context help
findSolutionDlgHelp(generalInfo25,51000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(generalInfo25,0).

% Title
findSolutionDlgTitle(generalInfo25,`Bridge Information`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(generalInfo25,[]).

% Next dialog in sequence
findSolutionDlgControlsNext(generalInfo25,generalInfo3).

% Initialize controls
findSolutionDlgControlsInit(generalInfo25) :-
  findSolutionDlgInitComboBoxItem(52002,errorMemberType(_)),
  findSolutionDlgInitComboBoxItem(52004,errorMemberLocation(_)),
  findSolutionDlgInitComboBoxItem(52006,errorMemberClass(_)),
  findSolutionDlgInitComboBoxItem(52009,attachMemberType(_)).

% Assert dialog data
findSolutionAssertData(generalInfo25) :-
  findSolutionDlgAssertComboBoxItem(52002,errorMemberType(_)),
  findSolutionDlgAssertComboBoxItem(52004,errorMemberLocation(_)),
  findSolutionDlgAssertComboBoxItem(52006,errorMemberClass(_)),
  findSolutionDlgAssertComboBoxItem(52009,attachMemberType(_)).
%  proweb_abort.

% Dialog control data which is required
findSolutionDlgReqData(generalInfo25).


/*----------------------------------------------------------*/
/*  Handling Code for: General Information #3               */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(generalInfo3,52000).

% Ending control id
findSolutionDlgEndControlId(generalInfo3,52037).

% Ending highlight id
% There are no highlights for this control group so the ending
% highlight id is set to 52499 to prevent a problem from occuring.
findSolutionDlgEndHighlightId(generalInfo3,52499).

% Context help
findSolutionDlgHelp(generalInfo3,52000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(generalInfo3,0).

% Title
findSolutionDlgTitle(generalInfo3,`Fabrication Error Information`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(generalInfo3,[]).

% Initialize controls
findSolutionDlgControlsInit(generalInfo3) :-
  findSolutionDlgInitComboBoxItem(52011,attachMemberClass(_)),
  findSolutionDlgInitComboBoxItem(52013,unitsType(_)),
  findSolutionDlgInitComboBoxItem(52017,errorClassification(_),stateDataerrorClassification(coating)).

% Assert dialog data
findSolutionAssertData(generalInfo3) :-
  findSolutionDlgAssertComboBoxItem(52011,attachMemberClass(_)),
  findSolutionDlgAssertComboBoxItem(52013,unitsType(_)),
  findSolutionDlgAssertComboBoxItem(52017,errorClassification(_)),
  fixsKnowledgeLoad.                             % Load knowledge now that errorClassification(_) has been established

% Dialog control data which is required
findSolutionDlgReqData(generalInfo3).



/*----------------------------------------------------------*/
/*  Handling Code for: Coating1                              */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(coating1,118000).

% Ending control id
findSolutionDlgEndControlId(coating1,118002).

% Ending highlight id
findSolutionDlgEndHighlightId(coating1,118500).

% Context help
findSolutionDlgHelp(coating1,118000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(coating1,1).

% Title
findSolutionDlgTitle(coating1,`Coating or Painting`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(coating1,[]).


% Initialize controls
   findSolutionDlgControlsInit(coating1) :-
   findSolutionDlgInitTextItem(118001,coatingtemperature(_),number,``).

% Assert dialog data
   findSolutionAssertData(coating1) :-
   findSolutionDlgAssertTextItem(118001,coatingtemperature(_),number).

% Dialog control data which is required
findSolutionDlgReqData(coating1).
/*----------------------------------------------------------*/
/*  FIXS Find Solution Controls 1.pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
/*----------------------------------------------------------*/
/*  FIXS Find Solution Control Info.pl                      */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                                                          */
/*  Control Group Specific Handling Code                    */
/*                                                          */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*  Handling Code for: Error Stage                          */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(errorStage1,100000).

% Ending control id
findSolutionDlgEndControlId(errorStage1,100006).

% Ending highlight id
findSolutionDlgEndHighlightId(errorStage1,100502).

% Context help
findSolutionDlgHelp(errorStage1,100000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(errorStage1,1).

% Title
findSolutionDlgTitle(errorStage1,`Error Stage`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(errorStage1,[]).

% Create controls
findSolutionDlgControlsCreate(errorStage1) :-
  findSolutionDlg_1(errorStage1).

% Initialize controls
findSolutionDlgControlsInit(errorStage1) :-
  findSolutionDlgInitComboBoxItem(100001,errorStageErrorMemberAttached(_)),
  findSolutionDlgInitComboBoxItem(100004,errorStageOccured(_)),
  findSolutionDlgInitComboBoxItem(100006,errorStageFound(_)).

% Assert dialog data
findSolutionAssertData(errorStage1) :-
  findSolutionDlgAssertComboBoxItem(100001,errorStageErrorMemberAttached(_)),
  findSolutionDlgAssertComboBoxItem(100004,errorStageOccured(_)),
  findSolutionDlgAssertComboBoxItem(100006,errorStageFound(_)).

% Dialog control data which is required
findSolutionDlgReqData(errorStage1).


/*----------------------------------------------------------*/
/*  Handling Code for: Error Member Dimensions              */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(errorMemberDimensions1,101000).

% Ending control id
findSolutionDlgEndControlId(errorMemberDimensions1,101023).

% Ending highlight id
findSolutionDlgEndHighlightId(errorMemberDimensions1,101507).

% Context help
findSolutionDlgHelp(errorMemberDimensions1,101000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(errorMemberDimensions1,1).

% Title
findSolutionDlgTitle(errorMemberDimensions1,`Error Member Dimensions`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(errorMemberDimensions1,[3,6,9,15,18,21]).

% Create controls
findSolutionDlgControlsCreate(errorMemberDimensions1) :-
  findSolutionDlg_1(errorMemberDimensions1).

% Initialize controls
findSolutionDlgControlsInit(errorMemberDimensions1) :-
  findSolutionDlgInitTextItem(101002,errorMemberDesignLength(_),number,``),
  findSolutionDlgInitTextItem(101005,errorMemberDesignWidth(_),number,``),
  findSolutionDlgInitTextItem(101008,errorMemberDesignThickness(_),number,``),
  findSolutionDlgInitComboBoxItem(101011,errorMemberDesignEdgeType(_)),
  findSolutionDlgInitTextItem(101014,errorMemberActualLength(_),number,``),
  findSolutionDlgInitTextItem(101017,errorMemberActualWidth(_),number,``),
  findSolutionDlgInitTextItem(101020,errorMemberActualThickness(_),number,``),
  findSolutionDlgInitComboBoxItem(101023,errorMemberActualEdgeType(_)).

% Assert dialog data
findSolutionAssertData(errorMemberDimensions1) :-
  findSolutionDlgAssertTextItem(101002,errorMemberDesignLength(_),number),
  findSolutionDlgAssertTextItem(101005,errorMemberDesignWidth(_),number),
  findSolutionDlgAssertTextItem(101008,errorMemberDesignThickness(_),number),
  findSolutionDlgAssertComboBoxItem(101011,errorMemberDesignEdgeType(_)),
  findSolutionDlgAssertTextItem(101014,errorMemberActualLength(_),number),
  findSolutionDlgAssertTextItem(101017,errorMemberActualWidth(_),number),
  findSolutionDlgAssertTextItem(101020,errorMemberActualThickness(_),number),
  findSolutionDlgAssertComboBoxItem(101023,errorMemberActualEdgeType(_)).

% Dialog control data which is required
findSolutionDlgReqData(errorMemberDimensions1).


/*----------------------------------------------------------*/
/*  Handling Code for: Attached Member Dimensions           */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(attachMemberDimensions1,102000).

% Ending control id
findSolutionDlgEndControlId(attachMemberDimensions1,102023).

% Ending highlight id
findSolutionDlgEndHighlightId(attachMemberDimensions1,102507).

% Context help
findSolutionDlgHelp(attachMemberDimensions1,102000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(attachMemberDimensions1,1).

% Title
findSolutionDlgTitle(attachMemberDimensions1,`Attached or Intersecting Member Dimensions`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(attachMemberDimensions1,[3,6,9,15,18,21]).

% Create controls
findSolutionDlgControlsCreate(attachMemberDimensions1) :-
  findSolutionDlg_1(attachMemberDimensions1).

% Initialize controls
findSolutionDlgControlsInit(attachMemberDimensions1) :-
  findSolutionDlgInitTextItem(102002,attachMemberDesignLength(_),number,``),
  findSolutionDlgInitTextItem(102005,attachMemberDesignWidth(_),number,``),
  findSolutionDlgInitTextItem(102008,attachMemberDesignThickness(_),number,``),
  findSolutionDlgInitComboBoxItem(102011,attachMemberDesignEdgeType(_)),
  findSolutionDlgInitTextItem(102014,attachMemberActualLength(_),number,``),
  findSolutionDlgInitTextItem(102017,attachMemberActualWidth(_),number,``),
  findSolutionDlgInitTextItem(102020,attachMemberActualThickness(_),number,``),
  findSolutionDlgInitComboBoxItem(102023,attachMemberActualEdgeType(_)).

% Assert dialog data
findSolutionAssertData(attachMemberDimensions1) :-
  findSolutionDlgAssertTextItem(102002,attachMemberDesignLength(_),number),
  findSolutionDlgAssertTextItem(102005,attachMemberDesignWidth(_),number),
  findSolutionDlgAssertTextItem(102008,attachMemberDesignThickness(_),number),
  findSolutionDlgAssertComboBoxItem(102011,attachMemberDesignEdgeType(_)),
  findSolutionDlgAssertTextItem(102014,attachMemberActualLength(_),number),
  findSolutionDlgAssertTextItem(102017,attachMemberActualWidth(_),number),
  findSolutionDlgAssertTextItem(102020,attachMemberActualThickness(_),number),
  findSolutionDlgAssertComboBoxItem(102023,attachMemberActualEdgeType(_)).

% Dialog control data which is required
findSolutionDlgReqData(attachMemberDimensions1).


/*----------------------------------------------------------*/
/*  Handling Code for: Hole Details #1                      */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(holeDetails1,103000).

% Ending control id
findSolutionDlgEndControlId(holeDetails1,103019).

% Ending highlight id
findSolutionDlgEndHighlightId(holeDetails1,103507).

% Context help
findSolutionDlgHelp(holeDetails1,103000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(holeDetails1,1).

% Title
findSolutionDlgTitle(holeDetails1,`Hole Details`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(holeDetails1,[]).

% Create controls
findSolutionDlgControlsCreate(holeDetails1) :-
  findSolutionDlg_1(holeDetails1).

% Initialize controls
findSolutionDlgControlsInit(holeDetails1) :-
  findSolutionDlgInitComboBoxItem(103001,holeDetailsType(_)),
  findSolutionDlgInitComboBoxItem(103003,holeDetailsHoleBoringProcedure(_)),
  findSolutionDlgInitTextItem(103005,holeDetailsNumberWithErrors(_),number,``),
  findSolutionDlgInitTextItem(103007,holeDetailsNumberInGrouping(_),number,``),
  findSolutionDlgInitComboBoxItem(103009,holeDetailsJointSlipCritical(_)),
  findSolutionDlgInitComboBoxItem(103012,holeDetailsPartDrilledHole(_)),
  findSolutionDlgInitComboBoxItem(103015,holeDetailsSlotsAtCorrectSlope(_)),
  findSolutionDlgInitComboBoxItem(103018,holeDetailsEdgeEndDistanceSpecification(_)).

% Assert dialog data
findSolutionAssertData(holeDetails1) :-
  findSolutionDlgAssertComboBoxItem(103001,holeDetailsType(_)),
  findSolutionDlgAssertComboBoxItem(103003,holeDetailsHoleBoringProcedure(_)),
  findSolutionDlgAssertTextItem(103005,holeDetailsNumberWithErrors(_),number),
  findSolutionDlgAssertTextItem(103007,holeDetailsNumberInGrouping(_),number),
  findSolutionDlgAssertComboBoxItem(103009,holeDetailsJointSlipCritical(_)),
  findSolutionDlgAssertComboBoxItem(103012,holeDetailsPartDrilledHole(_)),
  findSolutionDlgAssertComboBoxItem(103015,holeDetailsSlotsAtCorrectSlope(_)),
  findSolutionDlgAssertComboBoxItem(103018,holeDetailsEdgeEndDistanceSpecification(_)).

% Dialog control data which is required
findSolutionDlgReqData(holeDetails1).


/*----------------------------------------------------------*/
/*  Handling Code for: Hole Details #2                      */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(holeDetails2,104000).

% Ending control id
findSolutionDlgEndControlId(holeDetails2,104028).

% Ending highlight id
findSolutionDlgEndHighlightId(holeDetails2,104508).

% Context help
findSolutionDlgHelp(holeDetails2,104000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(holeDetails2,1).

% Title
findSolutionDlgTitle(holeDetails2,`Hole Details - Dimensions`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(holeDetails2,[3,6,9,12,16,19,22,25,28]).

% Create controls
findSolutionDlgControlsCreate(holeDetails2) :-
  findSolutionDlg_1(holeDetails2).

% Initialize controls
findSolutionDlgControlsInit(holeDetails2) :-
  findSolutionDlgInitTextItem(104002,holeDetailsSpecifiedBoltDiameter(_),number,``),
  findSolutionDlgInitTextItem(104005,holeDetailsSpecifiedHoleDiameter(_),number,``),
  findSolutionDlgInitTextItem(104008,holeDetailsSpecifiedLongHoleSpacing(_),number,``),
  findSolutionDlgInitTextItem(104011,holeDetailsSpecifiedTransverseHoleSpacing(_),number,``),
  findSolutionDlgInitTextItem(104015,holeDetailsActualBoltDiameter(_),number,``),
  findSolutionDlgInitTextItem(104018,holeDetailsActualHoleDiameter(_),number,``),
  findSolutionDlgInitTextItem(104021,holeDetailsActualLongHoleSpacing(_),number,``),
  findSolutionDlgInitTextItem(104024,holeDetailsActualTransverseHoleSpacing(_),number,``),
  findSolutionDlgInitTextItem(104027,holeDetailsActualHoleElongation(_),number,``).

% Assert dialog data
findSolutionAssertData(holeDetails2) :-
  findSolutionDlgAssertTextItem(104002,holeDetailsSpecifiedBoltDiameter(_),number),
  findSolutionDlgAssertTextItem(104005,holeDetailsSpecifiedHoleDiameter(_),number),
  findSolutionDlgAssertTextItem(104008,holeDetailsSpecifiedLongHoleSpacing(_),number),
  findSolutionDlgAssertTextItem(104011,holeDetailsSpecifiedTransverseHoleSpacing(_),number),
  findSolutionDlgAssertTextItem(104015,holeDetailsActualBoltDiameter(_),number),
  findSolutionDlgAssertTextItem(104018,holeDetailsActualHoleDiameter(_),number),
  findSolutionDlgAssertTextItem(104021,holeDetailsActualLongHoleSpacing(_),number),
  findSolutionDlgAssertTextItem(104024,holeDetailsActualTransverseHoleSpacing(_),number),
  findSolutionDlgAssertTextItem(104027,holeDetailsActualHoleElongation(_),number).

% Dialog control data which is required
findSolutionDlgReqData(holeDetails2).


/*----------------------------------------------------------*/
/*  Handling Code for: Hole Details #3                      */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(holeDetails3,105000).

% Ending control id
findSolutionDlgEndControlId(holeDetails3,105008).

% Ending highlight id
findSolutionDlgEndHighlightId(holeDetails3,105502).

% Context help
findSolutionDlgHelp(holeDetails3,105000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(holeDetails3,1).

% Title
findSolutionDlgTitle(holeDetails3,`Hole Details - Partially Drilled Hole(s)`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(holeDetails3,[2,5]).

% Create controls
findSolutionDlgControlsCreate(holeDetails3) :-
  findSolutionDlg_1(holeDetails3).

% Initialize controls
findSolutionDlgControlsInit(holeDetails3) :-
  findSolutionDlgInitTextItem(105001,holeDetailsPartDrilledHoleDepth(_),number,``),
  findSolutionDlgInitTextItem(105004,holeDetailsPartDrilledHoleDiameter(_),number,``),
  findSolutionDlgInitTextItem(105007,holeDetailsPartDrilledHoleCoverage(_),number,``).

% Assert dialog data
findSolutionAssertData(holeDetails3) :-
  findSolutionDlgAssertTextItem(105001,holeDetailsPartDrilledHoleDepth(_),number),
  findSolutionDlgAssertTextItem(105004,holeDetailsPartDrilledHoleDiameter(_),number),
  findSolutionDlgAssertTextItem(105007,holeDetailsPartDrilledHoleCoverage(_),number).

% Dialog control data which is required
findSolutionDlgReqData(holeDetails3).


/*----------------------------------------------------------*/
/*  Handling Code for: Hole Distance                        */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(holeDistance1,106000).

% Ending control id
findSolutionDlgEndControlId(holeDistance1,106012).

% Ending highlight id
findSolutionDlgEndHighlightId(holeDistance1,106503).

% Context help
findSolutionDlgHelp(holeDistance1,106000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(holeDistance1,1).

% Title
findSolutionDlgTitle(holeDistance1,`Hole Distance`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(holeDistance1,[3,6,9,12]).

% Create controls
findSolutionDlgControlsCreate(holeDistance1) :-
  findSolutionDlg_1(holeDistance1).

% Initialize controls
findSolutionDlgControlsInit(holeDistance1) :-
  findSolutionDlgInitTextItem(106002,holeDistanceFromErrorMember(_),number,``),
  findSolutionDlgInitTextItem(106005,holeDistanceFromIntersectingMember(_),number,``),
  findSolutionDlgInitTextItem(106008,holeDistanceFromEdge(_),number,``),
  findSolutionDlgInitTextItem(106011,holeDistanceFromEnd(_),number,``).

% Assert dialog data
findSolutionAssertData(holeDistance1) :-
  findSolutionDlgAssertTextItem(106002,holeDistanceFromErrorMember(_),number),
  findSolutionDlgAssertTextItem(106005,holeDistanceFromIntersectingMember(_),number),
  findSolutionDlgAssertTextItem(106008,holeDistanceFromEdge(_),number),
  findSolutionDlgAssertTextItem(106011,holeDistanceFromEnd(_),number).

% Dialog control data which is required
findSolutionDlgReqData(holeDistance1).


/*----------------------------------------------------------*/
/*  Handling Code for: Mislocated Hole                      */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(mislocatedHole1,107000).

% Ending control id
findSolutionDlgEndControlId(mislocatedHole1,107026).

% Ending highlight id
findSolutionDlgEndHighlightId(mislocatedHole1,107508).

% Context help
findSolutionDlgHelp(mislocatedHole1,107000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(mislocatedHole1,1).

% Title
findSolutionDlgTitle(mislocatedHole1,`Mislocated Hole(s)`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(mislocatedHole1,[2]).

% Create controls
findSolutionDlgControlsCreate(mislocatedHole1) :-
  findSolutionDlg_1(mislocatedHole1).

% Initialize controls
findSolutionDlgControlsInit(mislocatedHole1) :-
  findSolutionDlgInitTextItem(107001,mislocatedHoleDistanceCorrectLocation(_),number,``),
  findSolutionDlgInitComboBoxItem(107004,mislocatedHoleIncorrectFlange(_)),
  findSolutionDlgInitComboBoxItem(107007,mislocatedHoleReinforcingSteelHole(_)),
  findSolutionDlgInitComboBoxItem(107010,mislocatedHoleAdditionalRowHolesDrilled(_)),
  findSolutionDlgInitComboBoxItem(107013,mislocatedHoleEdgeEndDistanceSpecification(_)),
  findSolutionDlgInitComboBoxItem(107016,mislocatedHoleIntersectionCurrentPosition(_)),
  findSolutionDlgInitComboBoxItem(107019,mislocatedHoleSpecifiedHolePatternCorrect(_)),
  findSolutionDlgInitComboBoxItem(107022,mislocatedHoleInterfereWithSpecifiedPattern(_)),
  findSolutionDlgInitComboBoxItem(107025,mislocatedHoleIntersectionNewPosition(_)).

% Assert dialog data
findSolutionAssertData(mislocatedHole1) :-
  findSolutionDlgAssertTextItem(107001,mislocatedHoleDistanceCorrectLocation(_),number),
  findSolutionDlgAssertComboBoxItem(107004,mislocatedHoleIncorrectFlange(_)),
  findSolutionDlgAssertComboBoxItem(107007,mislocatedHoleReinforcingSteelHole(_)),
  findSolutionDlgAssertComboBoxItem(107010,mislocatedHoleAdditionalRowHolesDrilled(_)),
  findSolutionDlgAssertComboBoxItem(107013,mislocatedHoleEdgeEndDistanceSpecification(_)),
  findSolutionDlgAssertComboBoxItem(107016,mislocatedHoleIntersectionCurrentPosition(_)),
  findSolutionDlgAssertComboBoxItem(107019,mislocatedHoleSpecifiedHolePatternCorrect(_)),
  findSolutionDlgAssertComboBoxItem(107022,mislocatedHoleInterfereWithSpecifiedPattern(_)),
  findSolutionDlgAssertComboBoxItem(107025,mislocatedHoleIntersectionNewPosition(_)).

% Dialog control data which is required
findSolutionDlgReqData(mislocatedHole1).


/*----------------------------------------------------------*/
/*  Handling Code for: Mislocated Member                    */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(mislocatedMember1,108000).

% Ending control id
findSolutionDlgEndControlId(mislocatedMember1,108010).

% Ending highlight id
findSolutionDlgEndHighlightId(mislocatedMember1,108503).

% Context help
findSolutionDlgHelp(mislocatedMember1,108000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(mislocatedMember1,1).

% Title
findSolutionDlgTitle(mislocatedMember1,`Mislocated Member`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(mislocatedMember1,[10]).

% Create controls
findSolutionDlgControlsCreate(mislocatedMember1) :-
  findSolutionDlg_2(mislocatedMember1).

% Initialize controls
findSolutionDlgControlsInit(mislocatedMember1) :-
  findSolutionDlgInitComboBoxItem(108001,mislocatedMemberIntersection(_)),
  findSolutionDlgInitComboBoxItem(108004,mislocatedMemberIntersectedItem(_)),
  findSolutionDlgInitComboBoxItem(108006,mislocatedMemberInvertedPlacement(_)),
  findSolutionDlgInitTextItem(108009,mislocatedMemberDistanceCorrectLocation(_),number,``).

% Assert dialog data
findSolutionAssertData(mislocatedMember1) :-
  findSolutionDlgAssertComboBoxItem(108001,mislocatedMemberIntersection(_)),
  findSolutionDlgAssertComboBoxItem(108004,mislocatedMemberIntersectedItem(_)),
  findSolutionDlgAssertComboBoxItem(108006,mislocatedMemberInvertedPlacement(_)),
  findSolutionDlgAssertTextItem(108009,mislocatedMemberDistanceCorrectLocation(_),number).

% Dialog control data which is required
findSolutionDlgReqData(mislocatedMember1).


/*----------------------------------------------------------*/
/*  Handling Code for: Stiffener #1                         */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(stiffener1,109000).

% Ending control id
findSolutionDlgEndControlId(stiffener1,109039).

% Ending highlight id
findSolutionDlgEndHighlightId(stiffener1,109512).

% Context help
findSolutionDlgHelp(stiffener1,109000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(stiffener1,1).

% Title
findSolutionDlgTitle(stiffener1,`Stiffener`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(stiffener1,[5,8,11,14,17,20,23]).

% Create controls
findSolutionDlgControlsCreate(stiffener1) :-
  findSolutionDlg_2(stiffener1).

% Initialize controls
findSolutionDlgControlsInit(stiffener1) :-
  findSolutionDlgInitComboBoxItem(109002,stiffenerType(_)),
  findSolutionDlgInitTextItem(109004,stiffenerSpecifiedThickness(_),number,``),
  findSolutionDlgInitTextItem(109007,stiffenerSpecifiedLength(_),number,``),
  findSolutionDlgInitTextItem(109010,stiffenerSpecifiedWidth(_),number,``),
  findSolutionDlgInitTextItem(109013,stiffenerSpecifiedWebThickness(_),number,``),
  findSolutionDlgInitTextItem(109016,stiffenerSpecifiedWebClipDimension(_),number,``),
  findSolutionDlgInitTextItem(109019,stiffenerSpecifiedFlangeClipDimension(_),number,``),
  findSolutionDlgInitTextItem(109022,stiffenerSpecifiedSpacing(_),number,``),
  findSolutionDlgInitComboBoxItem(109026,stiffenerActualCategoryCFlange(_)),
  findSolutionDlgInitComboBoxItem(109029,stiffenerActualTensionFlangeClipped(_)),
  findSolutionDlgInitComboBoxItem(109032,stiffenerActualCompFlangeClipped(_)),
  findSolutionDlgInitComboBoxItem(109035,stiffenerActualMiddleOfSolePlate(_)),
  findSolutionDlgInitTextItem(109038,stiffenerActualPlumbness(_),number,``).

% Assert dialog data
findSolutionAssertData(stiffener1) :-
  findSolutionDlgAssertComboBoxItem(109002,stiffenerType(_)),
  findSolutionDlgAssertTextItem(109004,stiffenerSpecifiedThickness(_),number),
  findSolutionDlgAssertTextItem(109007,stiffenerSpecifiedLength(_),number),
  findSolutionDlgAssertTextItem(109010,stiffenerSpecifiedWidth(_),number),
  findSolutionDlgAssertTextItem(109013,stiffenerSpecifiedWebThickness(_),number),
  findSolutionDlgAssertTextItem(109016,stiffenerSpecifiedWebClipDimension(_),number),
  findSolutionDlgAssertTextItem(109019,stiffenerSpecifiedFlangeClipDimension(_),number),
  findSolutionDlgAssertTextItem(109022,stiffenerSpecifiedSpacing(_),number),
  findSolutionDlgAssertComboBoxItem(109026,stiffenerActualCategoryCFlange(_)),
  findSolutionDlgAssertComboBoxItem(109029,stiffenerActualTensionFlangeClipped(_)),
  findSolutionDlgAssertComboBoxItem(109032,stiffenerActualCompFlangeClipped(_)),
  findSolutionDlgAssertComboBoxItem(109035,stiffenerActualMiddleOfSolePlate(_)),
  findSolutionDlgAssertTextItem(109038,stiffenerActualPlumbness(_),number).

% Dialog control data which is required
findSolutionDlgReqData(stiffener1).


/*----------------------------------------------------------*/
/*  Handling Code for: Stiffener #2                         */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(stiffener2,110000).

% Ending control id
findSolutionDlgEndControlId(stiffener2,110020).

% Ending highlight id
findSolutionDlgEndHighlightId(stiffener2,110507).

% Context help
findSolutionDlgHelp(stiffener2,110000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(stiffener2,1).

% Title
findSolutionDlgTitle(stiffener2,`Stiffener - Attachment Details`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(stiffener2,[]).

% Create controls
findSolutionDlgControlsCreate(stiffener2) :-
  findSolutionDlg_2(stiffener2).

% Initialize controls
findSolutionDlgControlsInit(stiffener2) :-
  findSolutionDlgInitComboBoxItem(110002,stiffenerSpecifiedDiaphragmAttachment(_)),
  findSolutionDlgInitComboBoxItem(110005,stiffenerSpecifiedFlangeAttachment(_)),
  findSolutionDlgInitComboBoxItem(110007,stiffenerSpecifiedTensionFlangeAttachmentType(_)),
  findSolutionDlgInitComboBoxItem(110009,stiffenerSpecifiedCompFlangeAttachmentType(_)),
  findSolutionDlgInitComboBoxItem(110012,stiffenerActualTensionFlangeAttached(_)),
  findSolutionDlgInitComboBoxItem(110015,stiffenerActualCompFlangeAttached(_)),
  findSolutionDlgInitComboBoxItem(110018,stiffenerActualTensionFlangeAttachmentType(_)),
  findSolutionDlgInitComboBoxItem(110020,stiffenerActualCompFlangeAttachmentType(_)).

% Assert dialog data
findSolutionAssertData(stiffener2) :-
  findSolutionDlgAssertComboBoxItem(110002,stiffenerSpecifiedDiaphragmAttachment(_)),
  findSolutionDlgAssertComboBoxItem(110005,stiffenerSpecifiedFlangeAttachment(_)),
  findSolutionDlgAssertComboBoxItem(110007,stiffenerSpecifiedTensionFlangeAttachmentType(_)),
  findSolutionDlgAssertComboBoxItem(110009,stiffenerSpecifiedCompFlangeAttachmentType(_)),
  findSolutionDlgAssertComboBoxItem(110012,stiffenerActualTensionFlangeAttached(_)),
  findSolutionDlgAssertComboBoxItem(110015,stiffenerActualCompFlangeAttached(_)),
  findSolutionDlgAssertComboBoxItem(110018,stiffenerActualTensionFlangeAttachmentType(_)),
  findSolutionDlgAssertComboBoxItem(110020,stiffenerActualCompFlangeAttachmentType(_)).

% Dialog control data which is required
findSolutionDlgReqData(stiffener2).


/*----------------------------------------------------------*/
/*  Handling Code for: Miscut Member                        */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(miscutMember1,111000).

% Ending control id
findSolutionDlgEndControlId(miscutMember1,111016).

% Ending highlight id
findSolutionDlgEndHighlightId(miscutMember1,111505).

% Context help
findSolutionDlgHelp(miscutMember1,111000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(miscutMember1,1).

% Title
findSolutionDlgTitle(miscutMember1,`Miscut Member`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(miscutMember1,[4,7]).

% Create controls
findSolutionDlgControlsCreate(miscutMember1) :-
  findSolutionDlg_2(miscutMember1).

% Initialize controls
findSolutionDlgControlsInit(miscutMember1) :-
  findSolutionDlgInitComboBoxItem(111001,miscutMemberErrorOccursAt(_)),
  findSolutionDlgInitTextItem(111003,miscutMemberSpecifiedSweep(_),number,``),
  findSolutionDlgInitTextItem(111006,miscutMemberActualSweep(_),number,``),
  findSolutionDlgInitComboBoxItem(111009,miscutMemberSpecifiedClipped(_)),
  findSolutionDlgInitComboBoxItem(111012,miscutMemberActualClipped(_)),
  findSolutionDlgInitComboBoxItem(111015,miscutMemberClippedDimensionsCorrect(_)).

% Assert dialog data
findSolutionAssertData(miscutMember1) :-
  findSolutionDlgAssertComboBoxItem(111001,miscutMemberErrorOccursAt(_)),
  findSolutionDlgAssertTextItem(111003,miscutMemberSpecifiedSweep(_),number),
  findSolutionDlgAssertTextItem(111006,miscutMemberActualSweep(_),number),
  findSolutionDlgAssertComboBoxItem(111009,miscutMemberSpecifiedClipped(_)),
  findSolutionDlgAssertComboBoxItem(111012,miscutMemberActualClipped(_)),
  findSolutionDlgAssertComboBoxItem(111015,miscutMemberClippedDimensionsCorrect(_)).

% Dialog control data which is required
findSolutionDlgReqData(miscutMember1).


/*----------------------------------------------------------*/
/*  Handling Code for: Stress #1                            */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(stress1,112000).

% Ending control id
findSolutionDlgEndControlId(stress1,112010).

% Ending highlight id
findSolutionDlgEndHighlightId(stress1,112504).

% Context help
findSolutionDlgHelp(stress1,112000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(stress1,1).

% Title
findSolutionDlgTitle(stress1,`Stress`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(stress1,[]).

% Create controls
findSolutionDlgControlsCreate(stress1) :-
  findSolutionDlg_2(stress1).

% Initialize controls
findSolutionDlgControlsInit(stress1) :-
  findSolutionDlgInitComboBoxItem(112001,stressErrorMemberType(_)),
  findSolutionDlgInitComboBoxItem(112003,stressErrorMemberLevel(_)),
  findSolutionDlgInitComboBoxItem(112005,stressAttachMemberLevel(_)),
  findSolutionDlgInitComboBoxItem(112007,stressFatigueConcerns(_)),
  findSolutionDlgInitComboBoxItem(112009,stressFractures(_)).

% Assert dialog data
findSolutionAssertData(stress1) :-
  findSolutionDlgAssertComboBoxItem(112001,stressErrorMemberType(_)),
  findSolutionDlgAssertComboBoxItem(112003,stressErrorMemberLevel(_)),
  findSolutionDlgAssertComboBoxItem(112005,stressAttachMemberLevel(_)),
  findSolutionDlgAssertComboBoxItem(112007,stressFatigueConcerns(_)),
  findSolutionDlgAssertComboBoxItem(112009,stressFractures(_)).

% Dialog control data which is required
findSolutionDlgReqData(stress1).


/*----------------------------------------------------------*/
/*  Handling Code for: Stress #2                            */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(stress2,113000).

% Ending control id
findSolutionDlgEndControlId(stress2,113006).

% Ending highlight id
findSolutionDlgEndHighlightId(stress2,113502).

% Context help
findSolutionDlgHelp(stress2,113000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(stress2,1).

% Title
findSolutionDlgTitle(stress2,`Stress Fractures`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(stress2,[2]).

% Create controls
findSolutionDlgControlsCreate(stress2) :-
  findSolutionDlg_2(stress2).

% Initialize controls
findSolutionDlgControlsInit(stress2) :-
  findSolutionDlgInitTextItem(113001,stressMaxGap(_),number,``),
  findSolutionDlgInitTextItem(113004,stressAngleOfBend(_),number,``),
  findSolutionDlgInitComboBoxItem(113006,stressNumberOfFractures(_)).

% Assert dialog data
findSolutionAssertData(stress2) :-
  findSolutionDlgAssertTextItem(113001,stressMaxGap(_),number),
  findSolutionDlgAssertTextItem(113004,stressAngleOfBend(_),number),
  findSolutionDlgAssertComboBoxItem(113006,stressNumberOfFractures(_)).

% Dialog control data which is required
findSolutionDlgReqData(stress2).


/*----------------------------------------------------------*/
/*  Handling Code for: Lamination                           */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(lamination1,114000).

% Ending control id
findSolutionDlgEndControlId(lamination1,114013).

% Ending highlight id
findSolutionDlgEndHighlightId(lamination1,114505).

% Context help
findSolutionDlgHelp(lamination1,114000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(lamination1,1).

% Title
findSolutionDlgTitle(lamination1,`Lamination`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(lamination1,[10,13]).

% Create controls
findSolutionDlgControlsCreate(lamination1) :-
  findSolutionDlg_2(lamination1).

% Initialize controls
findSolutionDlgControlsInit(lamination1) :-
  findSolutionDlgInitComboBoxItem(114001,laminationSurfaceType(_)),
  findSolutionDlgInitComboBoxItem(114003,laminationMappingDocumentation(_)),
  findSolutionDlgInitComboBoxItem(114005,laminationTestRequired(_)),
  findSolutionDlgInitComboBoxItem(114007,laminationAreaToPlateArea(_)),
  findSolutionDlgInitTextItem(114009,laminationLengthOfDeformity(_),number,``),
  findSolutionDlgInitTextItem(114012,laminationWidthOfDeformity(_),number,``).

% Assert dialog data
findSolutionAssertData(lamination1) :-
  findSolutionDlgAssertComboBoxItem(114001,laminationSurfaceType(_)),
  findSolutionDlgAssertComboBoxItem(114003,laminationMappingDocumentation(_)),
  findSolutionDlgAssertComboBoxItem(114005,laminationTestRequired(_)),
  findSolutionDlgAssertComboBoxItem(114007,laminationAreaToPlateArea(_)),
  findSolutionDlgAssertTextItem(114009,laminationLengthOfDeformity(_),number),
  findSolutionDlgAssertTextItem(114012,laminationWidthOfDeformity(_),number).

% Dialog control data which is required
findSolutionDlgReqData(lamination1).


/*----------------------------------------------------------*/
/*  Handling Code for: Nicks & Gouges                       */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(nicksGouges1,115000).

% Ending control id
findSolutionDlgEndControlId(nicksGouges1,115017).

% Ending highlight id
findSolutionDlgEndHighlightId(nicksGouges1,115506).

% Context help
findSolutionDlgHelp(nicksGouges1,115000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(nicksGouges1,1).

% Title
findSolutionDlgTitle(nicksGouges1,`Nicks && Gouges`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(nicksGouges1,[4,7]).

% Create controls
findSolutionDlgControlsCreate(nicksGouges1) :-
  findSolutionDlg_2(nicksGouges1).

% Initialize controls
findSolutionDlgControlsInit(nicksGouges1) :-
  findSolutionDlgInitComboBoxItem(115001,nickGougeType(_)),
  findSolutionDlgInitTextItem(115003,nickGougeDepth(_),number,``),
  findSolutionDlgInitTextItem(115006,nickGougeLength(_),number,``),
  findSolutionDlgInitComboBoxItem(115009,nickGougeReductionOfArea(_)),
  findSolutionDlgInitComboBoxItem(115011,nickGougeNumberNearLocation(_)),
  findSolutionDlgInitComboBoxItem(115013,nickGougePerpendicularToBoltHole(_)),
  findSolutionDlgInitComboBoxItem(115016,nickGougeGrindEdgeEndDistance(_)).

% Assert dialog data
findSolutionAssertData(nicksGouges1) :-
  findSolutionDlgAssertComboBoxItem(115001,nickGougeType(_)),
  findSolutionDlgAssertTextItem(115003,nickGougeDepth(_),number),
  findSolutionDlgAssertTextItem(115006,nickGougeLength(_),number),
  findSolutionDlgAssertComboBoxItem(115009,nickGougeReductionOfArea(_)),
  findSolutionDlgAssertComboBoxItem(115011,nickGougeNumberNearLocation(_)),
  findSolutionDlgAssertComboBoxItem(115013,nickGougePerpendicularToBoltHole(_)),
  findSolutionDlgAssertComboBoxItem(115016,nickGougeGrindEdgeEndDistance(_)).

% Dialog control data which is required
findSolutionDlgReqData(nicksGouges1).


/*----------------------------------------------------------*/
/*  Handling Code for: Surface Alignment                    */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(surfaceAlignment1,116000).

% Ending control id
findSolutionDlgEndControlId(surfaceAlignment1,116017).

% Ending highlight id
findSolutionDlgEndHighlightId(surfaceAlignment1,116505).

% Context help
findSolutionDlgHelp(surfaceAlignment1,116000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(surfaceAlignment1,1).

% Title
findSolutionDlgTitle(surfaceAlignment1,`Surface Alignment`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(surfaceAlignment1,[11,17]).

% Create controls
findSolutionDlgControlsCreate(surfaceAlignment1) :-
  findSolutionDlg_2(surfaceAlignment1).

% Initialize controls
findSolutionDlgControlsInit(surfaceAlignment1) :-
  findSolutionDlgInitComboBoxItem(116001,surfaceFullSurfaceContact(_)),
  findSolutionDlgInitComboBoxItem(116004,surfaceFillPlate(_)),
  findSolutionDlgInitComboBoxItem(116007,surfaceHeatProcedure(_)),
  findSolutionDlgInitTextItem(116010,surfaceContactSpacing(_),number,``),
  findSolutionDlgInitTextItem(116013,surfacePercentContact(_),number,``),
  findSolutionDlgInitTextItem(116016,surfaceFillPlateThickness(_),number,``).

% Assert dialog data
findSolutionAssertData(surfaceAlignment1) :-
  findSolutionDlgAssertComboBoxItem(116001,surfaceFullSurfaceContact(_)),
  findSolutionDlgAssertComboBoxItem(116004,surfaceFillPlate(_)),
  findSolutionDlgAssertComboBoxItem(116007,surfaceHeatProcedure(_)),
  findSolutionDlgAssertTextItem(116010,surfaceContactSpacing(_),number),
  findSolutionDlgAssertTextItem(116013,surfacePercentContact(_),number),
  findSolutionDlgAssertTextItem(116016,surfaceFillPlateThickness(_),number).

% Dialog control data which is required
findSolutionDlgReqData(surfaceAlignment1).

/*----------------------------------------------------------*/
/*  Handling Code for: HeatingDistortion                           */
/*----------------------------------------------------------*/

% Beginning control id
findSolutionDlgBeginControlId(distortion1,119000).

% Ending control id
findSolutionDlgEndControlId(distortion1,119009).

% Ending highlight id
findSolutionDlgEndHighlightId(distortion1,119503).

% Context help
findSolutionDlgHelp(distortion1,119000).

% Why button status (enable/disable : 0 - disable, 1 - enable)
findSolutionDlgWhyStatus(distortion1,1).

% Title
findSolutionDlgTitle(distortion1,`Heating or Welding Distortion`).

% Unit control indexes (the list is a listing of indexes for control items)
findSolutionDlgUnitIds(distortion1,[]).

% Create controls
findSolutionDlgControlsCreate(distortion1) :-
  findSolutionDlg_2(distortion1).

% Initialize controls
findSolutionDlgControlsInit(distortion1):-
 proweb_trace( `ControlsInit_distortion1  causeOfDistortion`),
  findSolutionDlgInitComboBoxItem(119001,causeOfDistortion(_)),
 proweb_trace( `ControlsInit_distortion1typeOfDistortion`),
  findSolutionDlgInitComboBoxItem(119003,typeOfDistortion(_)),
 proweb_trace( `ControlsInit_distortion1 designedTemperature`),
  findSolutionDlgInitTextItem(119005,designedTemperature(_),number,``),
 proweb_trace( `ControlsInit_distortion1`),
  findSolutionDlgInitTextItem(119008,actualTemperature(_),number,``).

% Assert dialog data
findSolutionAssertData(distortion1) :-
 proweb_trace( `AssertData_distortion1  causeOfDistortion`),
  findSolutionDlgAssertComboBoxItem(119001,causeOfDistortion(_)),
  findSolutionDlgAssertComboBoxItem(119003,typeOfDistortion(_)),
  findSolutionDlgAssertTextItem(119005,designedTemperature(_),number),
  findSolutionDlgAssertTextItem(119008,actualTemperature(_),number).

% Dialog control data which is required
findSolutionDlgReqData(distortion1).
