/*----------------------------------------------------------*/
/*  Why Button Event Handler                                */
/*----------------------------------------------------------*/
findSolutionDlgWhy(start) :-
  proweb_trace(`@@@@@@@@@@@@@@@@@@@@@@@@@@@top`).
%  fixsDisplayWhy(start).                                        % Display why for START process

findSolutionDlgWhy(mess) :-
  fixsDisplayWhy(mess).                                         % Display why for MESS process

findSolutionDlgWhy(scbr) :-
  fixsDisplayWhy(scbr).                                         % Display why for SCBR process

/*----------------------------------------------------------*/
/*                                                          */
/*  Why Dialog Functions                                    */
/*                                                          */
/*----------------------------------------------------------*/
/*----------------------------------------------------------*/
/*  Display Why for START Process Functions                 */
/*----------------------------------------------------------*/
fixsWriteStartHeader :-
  write(`Why are you being asked for information ?`),
  nl,nl,write(`Information collected by this dialog is used to direct the Find Solution process as well as for documentation purposes.`),
  nl,nl,write(`Please use the BACK buttom on your web browser to return your orignial pages.`).

fixsDisplayWhy(start) :-
  fixsWriteStartHeader ~> HeaderStr,proweb_trace(HeaderStr), 
  proweb_post_reply( my_reply(1),HeaderStr),
  findwhytext(``),
  proweb_send_form(why_form(1)), proweb_returned_form(why_form(1)).

  findwhytext(Text):-
  (def(fixsWhyDetails,1,_) -> retractall(fixsWhyDetails(_));true),
  assert(fixsWhyDetails(Text)).

/*----------------------------------------------------------*/
/*  Display Why Utility for MESS Process Functions          */
/*----------------------------------------------------------*/

application_display(why_top, Text, Continuation, _) :-
          cat([`Why you are being asked about "`,Text,`" ?`],TopGoalStr,_),
%  proweb_post_reply( my_reply(1),TopGoalStr),
%          wtext((whyDlg,1000), TopGoalStr),
  proweb_trace(`@@@@@@@@@@@@@@@@@@@@@@@@@@@top`),
  proweb_trace(TopGoalStr),
          Continuation.

application_display(why_clause(_), Text, Continuation, _) :-
          cat([Text,`~M~J`],ClauseMsg,_),
%  findwhytext(ClauseMsg),
%  proweb_send_form(why_form(1)), proweb_returned_form(why_form(1)),
%          wtext((whyDlg,1001), ClauseMsg),
%          call_dialog(whyDlg,Result),
% proweb_returned_form(why_form(1)),
% proweb_returned_input(continue_iput,Result),
  proweb_trace(`@@@@@@@@@@@@@@@@@@@@@@@@@@@@clause`),
  proweb_trace(ClauseMsg),
 proweb_trace(Result),
         (Result == continue
            -> Continuation
          ; true
          ).

/*----------------------------------------------------------*/
/*  Display How Utility for MESS Process Functions          */
/*----------------------------------------------------------*/

application_display(explain_how(ShownGoals, MoreGoals), Text, Continuation, _) :-
          cat([Text,`~M~J`],ClauseMsg,_),
  proweb_trace(`HOW@@@@@@@@@@@@@@@@@@@@@@@@@@@@clause`),
  proweb_trace(ClauseMsg),
%  proweb_post_reply( my_reply(1),``),
%  findwhytext(ClauseMsg),
%  proweb_send_form(why_form(1)), proweb_returned_form(why_form(1)),
%          wtext((whyDlg,1000), ``),		% ensure the "top" explanation is blank (may have been set by a "Why" interaction earlier).
%          wtext((whyDlg,1001), ClauseMsg),
%          call_dialog(whyDlg,Result),
% proweb_returned_input(continue_iput,Result),
% proweb_trace(Result),
          (Result == continue,
           ShownGoals \= true			% there is at least one item in ShownGoals.
            -> how_dialog(ShownGoals, MoreGoals),
               Continuation
          ; true
          ).

/*----------------------------------------------------------*/
/*  Display Why for MESS Process Functions                  */
/*----------------------------------------------------------*/


/*
fixsDisplayWhy(mess) :-
  proweb_trace(`fixsDisplayWhy(mess)`),
  findSolutionDlgGoal(TopGoal) ->
  fixsDisplayWhyTopGoal(TopGoal),
  findSolutionDlgGoalsUsed(GoalsUsed),
  fixsDisplayWhyGoalsUsed(GoalsUsed);true.


fixsDisplayWhyTopGoal(TopGoal) :-
  predicate_description(TopGoal,TopGoalDescAtomList),
  !,
  (atomic(TopGoalDescAtomList)
    -> TopGoalDesc = TopGoalDescAtomList
    ; member(TopGoalDesc,TopGoalDescAtomList,1)
  ),
  fixsListToString(TopGoalDesc,TopGoalDescStr),
  cat([`Why you are being asked about "`,TopGoalDescStr,`" ?`],TopGoalStr,_),
  proweb_trace(`@@@@@@@@@@@@@@@@@@@@@TopGoalStr`),
  proweb_trace(TopGoalStr).
%  proweb_post_reply( my_reply(1),TopGoalStr).
%  wtext(Window,TopGoalStr).


fixsDisplayWhyGoalsUsed([],_).

fixsDisplayWhyGoalsUsed([Head|Tail]) :-
  fixsDisplayWhyFormatClause(Head,ClauseStr),
  cat([ClauseStr,`~M~J`],ClauseMsg,_),
%  findwhytext(ClauseMsg),
  proweb_trace(`@@@@@@@@@@@@@@@@@@@@@TopGoalStr`),
  proweb_trace(ClauseMsg).
%  wtext((Dialog,Id),ClauseMsg),
%  call_dialog(Dialog,Result),
%  proweb_send_form(why_form(1)),
% proweb_returned_input(continue_iput,Result),
% proweb_trace(Result),
  (Result == continue
    -> fixsDisplayWhyGoalsUsed(Tail,(Dialog,Id))
    ; true
  ).


fixsDisplayWhyFormatClause((Head:-Body),ClauseStr) :-
  predicate_description(Head,HeadDescAtomList),
  !,
  fixsListToString(HeadDescAtomList,HeadDescStr),
  fixsDisplayWhyFormatBody(Body,BodyStr),
  cat([HeadDescStr,` can be shown using:~M~J~M~J`,BodyStr,`.~M~J`],ClauseStr,_).

fixsDisplayWhyFormatClause((not Goal),ClauseStr) :-
  predicate_description(Goal,GoalDescAtomList),
  !,
  fixsListToString(GoalDescAtomList,GoalDescStr),
  cat([`not `,GoalDescStr,` can be shown by failing to prove:~M~J`,GoalDescStr,`.~M~J`],ClauseStr,_).


fixsDisplayWhyFormatBody(Goal,BodyStr) :-
  fixsDisplayWhyWriteBody(Goal,[]) ~> BodyStr.


fixsDisplayWhyWriteBody(((not Goal),OtherGoals),Prefix) :-
  !,
  fixsDisplayWhyWriteBody(Goal,['not '|Prefix]),
  write(' and'),
  nl,
  fixsDisplayWhyWriteBody(OtherGoals,Prefix).

fixsDisplayWhyWriteBody((Goal,OtherGoals),Prefix) :-
  !,
  fixsDisplayWhyWriteBody(Goal,Prefix),
  write(' and'),
  nl,
  fixsDisplayWhyWriteBody(OtherGoals,Prefix).

fixsDisplayWhyWriteBody(((not Goal);OtherGoals),Prefix) :-
  !,
  fixsDisplayWhyWriteBody(Goal,['not '|Prefix]),
  write(' or'),
  nl,
  fixsDisplayWhyWriteBody(OtherGoals,Prefix).

fixsDisplayWhyWriteBody((Goal;OtherGoals),Prefix) :-
  !,
  fixsDisplayWhyWriteBody(Goal,Prefix),
  write(' or'),
  nl,
  fixsDisplayWhyWriteBody(OtherGoals,Prefix).

fixsDisplayWhyWriteBody(Goal(InternalValue),Prefix) :-
  write('    '),
  writeseq(Prefix),
  ((var(InternalValue) ; number(InternalValue))
    -> ExternalValue = InternalValue
    ; (string(InternalValue)
        -> atom_string(ExternalValue,InternalValue)
        ; (fixsPredicateValue(Goal(InternalValue),ExternalString)
            -> atom_string(ExternalValue,ExternalString)
            ; ExternalValue = InternalValue
          )
      )
  ),
  predicate_description(Goal(ExternalValue),GoalDescAtomList),
  !,
  fixsListToString(GoalDescAtomList,GoalDescStr),
  write(GoalDescStr).

fixsDisplayWhyWriteBody(Goal,Prefix) :-
  write('    '),
  writeseq(Prefix),
  predicate_description(Goal,GoalDescAtomList),
  !,
  fixsListToString(GoalDescAtomList,GoalDescStr),
  write(GoalDescStr).
*/

/*----------------------------------------------------------*/
/*  Display Why for SCBR Process Functions                  */
/*----------------------------------------------------------*/
fixsWriteFeatureList(ErrorType) :-
  fixsKnowledge(ErrorType,_,ErrorTypeName),                     % Convert error type atom to a name string
  write(`Listing of features for `),write(ErrorTypeName),write(`:`),nl,
  feature_weights(ErrorType,FeatureWeightList),                 % Get listing of features and feature weights
  forall(member(Feature:_,FeatureWeightList),                   % Write a list of all features for error type
         (predicate_description(Feature(_),FeatureAtomList),    % Get predicate description
          !,
          (atomic(FeatureAtomList)
            -> FeatureAtom = FeatureAtomList
            ; member(FeatureAtom,FeatureAtomList,1)
          ),
          fixsListToString(FeatureAtom,FeatureName),
          nl,write(`  > `),write(FeatureName))).

fixsWriteFeatureListHeader :-
  write(`Why are you being asked for information ?`),
  nl,nl,write(`Case solutions are found using the following features list:`).

fixsDisplayWhy(scbr) :-
  proweb_trace(`fixsDisplayWhy(scbr)`),
  exists_confirmation(errorClassification(ErrorType)) ->
  proweb_trace(ErrorType),
  fixsWriteFeatureListHeader ~> HeaderStr,                      % Write header to a string
%  wtext((whyDlg,1000),HeaderStr),
  proweb_trace(HeaderStr),
  fixsWriteFeatureList(ErrorType) ~> FeaturesListStr,           % Write feature list to a string
  (def(whystore,2,_) -> retractall(whystore(_,_));true),
  assert(whystore(HeaderStr,FeaturesListStr)),
  proweb_trace(FeaturesListStr);true.
%  proweb_post_reply( my_reply(1),HeaderStr),
%  findwhytext(FeaturesListStr),
%  proweb_trace(FeaturesListStr),
%  proweb_send_form(why_form(1)), proweb_returned_form(why_form(1)).
%  wtext((whyDlg,1001),FeaturesListStr),
%  call_dialog(whyDlg,_).                                        % Open explanation dialog




/*----------------------------------------------------------*/
/*  Restore Settings                                        */
/*----------------------------------------------------------*/
fixsRestoreSettings :-
  fixsGetINIFile(File),                                         % Get .INI file name
  % Restore position of windows
  fixsRestoreUserPrefs(File).

/*----------------------------------------------------------*/
/*  Error Handler (Error Hook) (Handles WIN-PROLOG errors)  */
/*----------------------------------------------------------*/
fixsErrorHandler(Error,Goal) :-
  error_message(Error,MessageAtom),                             % Convert error to a message
  atom_string(MessageAtom,MessageString),
  write(Goal) ~> GoalString,                                    % Convert goal to a text string
  cat([MessageString,`~M~JGoal: `,GoalString],Message,_),       % Create error message
  msgbox(`Error !`,Message,16'00000010,_),                      % Display error message
  halt(2).                                                      % Close application


/*----------------------------------------------------------*/
/*  Error Handler  (Handles FIXS generated errors)          */
/*----------------------------------------------------------*/
fixsInternalErrorHandler(Error,OtherStrings) :-
  fixsErrorMessage(Error,Message),                              % Convert error to a message
  cat([Message|OtherStrings],AllMessages,_),                    % Combine message strings
  msgbox(`Error !`,AllMessages,16'00000010,_),                  % Display error messages
  halt(2).                                                      % Close application

fixsInternalErrorHandler(Error) :-
  fixsInternalErrorHandler(Error,[]).

/*----------------------------------------------------------*/
/*  FIXS Error Messages.pl                                  */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*  Find Solution Errors                                    */
/*----------------------------------------------------------*/
fixsErrorMessage(1000,`Assert data function failed. (1000)`).
fixsErrorMessage(1001,`Close control group function failed. (1001)`).
fixsErrorMessage(1002,`Case data collection process failed. (1002)`).
fixsErrorMessage(1003,`Build input case function failed. (1003)`).
fixsErrorMessage(1004,`Create control group function failed. (1004)`).
fixsErrorMessage(1005,`Initialize control group function failed. (1005)`).
fixsErrorMessage(1006,`Set control group units function failed. (1006)`).
fixsErrorMessage(1007,`Show control group function failed. (1007)`).
fixsErrorMessage(1008,`Set control group highlights function failed. (1008)`).

