
/*----------------------------------------------------------*/
/*  FIXS others                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

forfixs :-
 proweb_trace( `Before fixsAssertAppPath`),
  fixsAssertAppPath,
 proweb_trace( `fixsGetWEBFile(File)`),
  fixsGetWEBFile(File),                                         % Returns WEB path in File
 proweb_trace(File),
 proweb_trace( `fixsLoadKnowledgeUtils`),
  fixsLoadKnowledgeUtils,                                       % Load knowledge utilites file
 proweb_trace( `mess_basic_loader`),
  mess_basic_loader,                                            % Initialize MESS
 proweb_trace( `Before Settings`),
  fixsRestoreSettings,                                          % Restore previous settings from .INI file
 proweb_trace( `end Settings`),
  fixsSetFlag(whatIsActive,none),                               % Set active process flag to no process
  fixsSetFlag(findSolutionActive,false),                        % Set find solution not active flag
  assert(fixsSessionFile(new)).                                % Assert session file


preferences:-
   forfixs,
   proweb_send_form(preferences_form ),
   proweb_returned_answer( caseFlag_input, CaseFlag ),
   proweb_returned_answer( maxCases_input, MaxCases ),
   proweb_returned_answer( minSim_input, MinSim ),
   fixsGetINIFile(File),
   asserta(userPrefsCaseFlag(CaseFlag)),
   asserta(userPrefsMaxCases(MaxCases)),
   asserta( userPrefsMinSim(MinSim)),
  proweb_send_form(preferencesout_form).

/*----------------------------------------------------------*/
/*  FIXS Find Browse  1.pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
bsolution :-
   forfixs,
  proweb_send_form(bserrortype_form),proweb_returned_form(bserrortype_form),
  proweb_returned_answer( errortypeID_input, ErrortypeID ),
  fixsErrorTypeValuesList(FAList),
  fixsErrorTypeStringList(FSList),
  member(ErrortypeID,FSList,ListNumber),
  member(ErrortypeIDAtom,FAList,ListNumber),
  fixsInitBrowseSolutions(ErrortypeIDAtom),
  proweb_send_form(browseSolutions_form),proweb_returned_form(browseSolutions_form),
  proweb_returned_answer( browse_errortype, BrowseErrorType ),
  fixsGetBrowseSolutionsLBItem(BrowseErrorType),
  proweb_call(fixsBrowseDetailItems(_,_,_,FigureName)),
  ( write(`<IMG SRC=../FIXS/Fixsimages/`),
        write(FigureName),
        write(`.gif>`)
      ) ~> GraphicalName,
  proweb_trace( 'Bsolution ax='),
  proweb_trace( GraphicalName),
      proweb_post_reply( ax, unencoded @ GraphicalName ),
  proweb_send_form(browseDetail_form).

 
/*----------------------------------------------------------*/
/*  FIXS Find Solution Controls pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
  fsolution :-
   forfixs,
 assert(whystore(`Why are you being asked for information ?`
 ,`Information collected by this dialog is used to direct the Find Solution process as well as for documentation purposes.`)),
 proweb_trace( `Before findSolution`),
 findSolutionStartup,                                          % Initialize for find solution
 findSolutionDlgControlsSet(generalInfo1,_),
 proweb_trace( `After findSolutionStartup`).


proweb_shutdown :-
beep(260,250),
beep(260,250).

  

  fixsErrorTypeValuesList([mislocatedHole,edgeDistance,endDistance,mislocatedMember,misalignedMember,miscutMember,
misattachedMember,stressFracture,nicksGouges,misshapedHole,missizedHole,partiallyDrilledHole,internalLamination,
edgeLamination,surfaceLamination,weldingHeatingDistortion,coating]).
  fixsErrorTypeStringList(['Mis-located Hole','Edge Distance','End Distance','Mis-located Member','Mis-aligned Member','Mis-cut Member',
'Mis-attached Member','Stress Fracture','Nicks or Gouges','Mis-shaped Hole','Mis-sized Hole','Partially Drilled Hole','Internal Lamination',
'Edge Lamination','Surface Lamination','Welding/Heating Distortion','Coating/Painting']).

findSTextIDList([50001,50003,50005,50007,50009,50011,51001,51003,51005,51007,51009,51011,52002,52004,52006,52009,52011,52013,52017,
118001,100001,100004,100006,101002,101005,101008,101011,101014,101017,101020,101023,102002,102005,102008,102011,102014,102017,102020,102023,103001,
103003,103005,103007,103009,103012,103015,103018,104002,104005,104008,104011,104015,104018,104021,104024,104027,105001,105004,
105007,106002,106005,106008,106011,107001,107004,107007,107010,107013,107016,107019,107022,107025,108001,108004,108006,108009,
109002,109004,109007,109010,109013,109016,109019,109022,109026,109029,109032,109035,109038,110002,110005,110007,110009,110012,
110015,110018,110020,111001,111003,111006,111009,111012,111015,112001,112003,112005,112007,112009,113001,113004,113006,114001,
114003,114005,114007,114009,114012,115001,115003,115006,115009,115011,115013,115016,116001,116004,116007,116010,116013,116016,
119001,119003,119005,119008]).

findSTextNameList([projectName_input,projectNumber_input,fabricator_input,dateofError_input,userName_put,userCompany_put,
bridgeName_input,bridgeNumber_input,bridgeType_input,endSupports_input,intSupports_input,numberofSpans_input,
errorMemberType_input,errorMemberLocation_input,errorMemberClass_input,attachMemberType_input,attachMemberClass_input,
unitsType_input,errorClassification_input,coatingtemperature_input,
errorStageErrorMemberAttached_input,errorStageOccured_input,errorStageFound_input,errorMemberDesignLength_input,
errorMemberDesignWidth_input,errorMemberDesignThickness_input,errorMemberDesignEdgeType_input,errorMemberActualLength_input,
errorMemberActualWidth_input,errorMemberActualThickness_input,errorMemberActualEdgeType_input,attachMemberDesignLength_input,
attachMemberDesignWidth_input,attachMemberDesignThickness_input,attachMemberDesignEdgeType_input,attachMemberActualLength_input,
attachMemberActualWidth_input,attachMemberActualThickness_input,attachMemberActualEdgeType_input,holeDetailsType_input,
holeDetailsHoleBoringProcedure_input,holeDetailsNumberWithErrors_input,holeDetailsNumberInGrouping_input,
holeDetailsJointSlipCritical_input,holeDetailsPartDrilledHole_input,holeDetailsSlotsAtCorrectSlope_input,
holeDetailsEdgeEndDistanceSpecification_input,holeDetailsSpecifiedBoltDiameter_input,holeDetailsSpecifiedHoleDiameter_input,
holeDetailsSpecifiedLongHoleSpacing_input,holeDetailsSpecifiedTransverseHoleSpacing_input,holeDetailsActualBoltDiameter_input,
holeDetailsActualHoleDiameter_input,holeDetailsActualLongHoleSpacing_input,holeDetailsActualTransverseHoleSpacing_input,
holeDetailsActualHoleElongation_input,holeDetailsPartDrilledHoleDepth_input,holeDetailsPartDrilledHoleDiameter_input,
holeDetailsPartDrilledHoleCoverage_input,holeDistanceFromErrorMember_input,holeDistanceFromIntersectingMember_input,
holeDistanceFromEdge_input,holeDistanceFromEnd_input,mislocatedHoleDistanceCorrectLocation_input,mislocatedHoleIncorrectFlange_input,
mislocatedHoleReinforcingSteelHole_input,mislocatedHoleAdditionalRowHolesDrilled_input,mislocatedHoleEdgeEndDistanceSpecification_input,
mislocatedHoleIntersectionCurrentPosition_input,mislocatedHoleSpecifiedHolePatternCorrect_input,mislocatedHoleInterfereWithSpecifiedPattern_input,
mislocatedHoleIntersectionNewPosition_input,mislocatedMemberIntersection_input,mislocatedMemberIntersectedItem_input,
mislocatedMemberInvertedPlacement_input,mislocatedMemberDistanceCorrectLocation_input,stiffenerType_input,
stiffenerSpecifiedThickness_input,stiffenerSpecifiedLength_input,stiffenerSpecifiedWidth_input,stiffenerSpecifiedWebThickness_input,
stiffenerSpecifiedWebClipDimension_input,stiffenerSpecifiedFlangeClipDimension_input,stiffenerSpecifiedSpacing_input,
stiffenerActualCategoryCFlange_input,stiffenerActualTensionFlangeClipped_input,stiffenerActualCompFlangeClipped_input,
stiffenerActualMiddleOfSolePlate_input,stiffenerActualPlumbness_input,stiffenerSpecifiedDiaphragmAttachment_input,
stiffenerSpecifiedFlangeAttachment_input,stiffenerSpecifiedTensionFlangeAttachmentType_input,stiffenerSpecifiedCompFlangeAttachmentType_input,
stiffenerActualTensionFlangeAttached_input,stiffenerActualCompFlangeAttached_input,stiffenerActualTensionFlangeAttachmentType_input,
stiffenerActualCompFlangeAttachmentType_input,miscutMemberErrorOccursAt_input,miscutMemberSpecifiedSweep_input,
miscutMemberActualSweep_input,miscutMemberSpecifiedClipped_input,miscutMemberActualClipped_input,miscutMemberClippedDimensionsCorrect_input,
stressErrorMemberType_input,stressErrorMemberLevel_input,stressAttachMemberLevel_input,stressFatigueConcerns_input,
stressFractures_input,stressMaxGap_input,stressAngleOfBend_input,stressNumberOfFractures_input,laminationSurfaceType_input,
laminationMappingDocumentation_input,laminationTestRequired_input,laminationAreaToPlateArea_input,laminationLengthOfDeformity_input,
laminationWidthOfDeformity_input,nickGougeType_input,nickGougeDepth_input,nickGougeLength_input,nickGougeReductionOfArea_input,
nickGougeNumberNearLocation_input,nickGougePerpendicularToBoltHole_input,nickGougeGrindEdgeEndDistance_input,
surfaceFullSurfaceContact_input,surfaceFillPlate_input,surfaceHeatProcedure_input,surfaceContactSpacing_input,
surfacePercentContact_input,surfaceFillPlateThickness_input,causeOfDistortion_input,typeOfDistortion_input,
designedTemperature_input,actualTemperature_input]).

groupform1([generalInfo1,generalInfo2,generalInfo25,generalInfo3]).

groupform2([coating1,errorStage1,errorMemberDimensions1,attachMemberDimensions1,holeDetails1,holeDetails2,holeDetails3,holeDistance1,mislocatedHole1]).

groupform3([mislocatedMember1,stiffener1,stiffener2,miscutMember1,stress1,stress2,lamination1,nicksGouges1,surfaceAlignment1,distortion1]).


numberIndexlist([0,1,2,3,4,5,6,7,8,9,10,11,12]).

allhighlights(coating1,0).
allhighlights(errorStage1,2).
allhighlights(errorMemberDimensions1,7).
allhighlights(attachMemberDimensions1,7).
allhighlights(holeDetails1,7).
allhighlights(holeDetails2,8).
allhighlights(holeDetails3,2).
allhighlights(holeDistance1,3).
allhighlights(mislocatedHole1,8).
allhighlights(mislocatedMember1,3).
allhighlights(stiffener1,12).
allhighlights(stiffener2,7).
allhighlights(miscutMember1,5).
allhighlights(stress1,4).
allhighlights(stress2,2).
allhighlights(lamination1,5).
allhighlights(nicksGouges1,6).
allhighlights(surfaceAlignment1,5).
allhighlights(distortion1,3).