
/*----------------------------------------------------------*/
/*  FIXS manage utilits                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/
/*----------------------------------------------------------*/
/*  Get Database File                                           */
/*----------------------------------------------------------*/
fixsGetcaseFile(File) :-                                         % Returns INI path in File
  webAppPath(Path,Name,_),                                     % Get components of current application path
  cat([Path,'casefixs','.TXT'],File,_).                               % Combine components to form .INI file path

/*----------------------------------------------------------*/
/*  Get .txt Users,Topics and Answers Accounts                                 */
/*----------------------------------------------------------*/
  fixsinitialcaseData(File) :-
  proweb_trace(`fixsGetDatafixs`),
  profile(File,`GENERAL`,`NumberofCase`,NuCases),                             % Get previous position of window  
  profile(File,`GENERAL`,`NumberofComment`,NuComments),                             % Get previous position of window  
  number_string(Num_cases,NuCases),
  proweb_trace(NuCases),
  proweb_trace(NuComments),
   (def(case_ac,20,_) -> 
    retractall(case_ac(_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_));true),
   (def(fixsNumcases,1,_) -> retractall(fixsNumcases(_));true),
   assert(fixsNumcases(Num_cases)),                           
  number_string(Num_comments,NuComments),
   (def(comment_ac,6,_) -> retractall(comment_ac(_,_,_,_,_,_));true),
   (def(fixsNumcomments,1,_) -> retractall(fixsNumcomments(_));true),
   assert(fixsNumcomments(Num_comments)).


/*----------------------------------------------------------*/
/*  Read Case Accounts                                 */
/*----------------------------------------------------------*/
 

 getCase(NuCase) :-
 open('C:\InetPub\Fixsdb\case.txt',read),
 readStringToList('C:\InetPub\Fixsdb\case.txt',ALLList),
 proweb_trace(ALLList),
 close('C:\InetPub\Fixsdb\case.txt'),
 genCases(1,NuCase,ALLList).

  fixGetCaseOne(ALLList,CaseID) :-  
  member(Pos,ALLList,CaseID),
  write(Pos) ~> String,  proweb_trace(String),
  webStringToList(String,List),           
 mem(List,[1],Remarks),
   mem(List,[2],CaseName),  
  mem(List,[3],Email_case_Pre),
  mem(List,[4],Date_case_Pre),
  mem(List,[5],Main_member_type),  
  mem(List,[6],Attached_member_type), 
  mem(List,[7],Error_type),     
  mem(List,[8],Descript_error),   
  mem(List,[9],Approval_nec), 
  mem(List,[10],Solution_re),  
  mem(List,[11],Was_success), 
  mem(List,[12],Other_possible),     
  mem(List,[13],Required_final),   
  mem(List,[14],Listing_atta),  
  mem(List,[15],Inform_from), 
  mem(List,[16],Date_occur),     
  mem(List,[17],State_DOT),   
  mem(List,[18],Bridge_no), 
  mem(List,[19],Add_image_URL),  
  assert(case_ac(CaseID,CaseName,Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL)).
  

 genCases(N,N,ALLList):-
  fixGetCaseOne(ALLList,N).


 genCases(N1,N2,ALLList):-
 N1<N2,
 M is N1+1,
 fixGetCaseOne(ALLList,N1),
  genCases(M,N2,ALLList).


/*----------------------------------------------------------*/
/*  Save CASES Accounts                                */
/*----------------------------------------------------------*/

 saveCase(NuCase) :-
 (def(weblistStore,1,_) -> retractall(weblistStore(_));true),
 savecaseall(1,NuCase),
 assert(weblistStore(``)),
 findall(BRL,weblistStore(BRL),List), 
 webListToString(List,String),
 proweb_trace(String),
 open('C:\InetPub\Fixsdb\case.txt',write),
 write(String) ~> 'C:\InetPub\Fixsdb\case.txt',
 close('C:\InetPub\Fixsdb\case.txt'),
 proweb_trace(String).

  fixSaveCaseOne(ID) :-
  case_ac(ID,CaseName,
                 Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL),
  putwrite(Remarks,SRemarks),
  putwrite(CaseName,SCaseName),  
  putwrite(Email_case_Pre,SEmail_case_Pre),
  putwrite(Date_case_Pre,SDate_case_Pre),
  putwrite(Main_member_type,SMain_member_type),  
  putwrite(Attached_member_type,SAttached_member_type), 
  putwrite(Error_type,SError_type),     
  putwrite(Descript_error,SDescript_error),   
  putwrite(Approval_nec,SApproval_nec), 
  putwrite(Solution_re,SSolution_re),  
  putwrite(Was_success,SWas_success), 
  putwrite(Other_possible,SOther_possible),     
  putwrite(Required_final,SRequired_final),   
  putwrite(Listing_atta,SListing_atta),  
  putwrite(Inform_from,SInform_from), 
  putwrite(Date_occur,SDate_occur),     
  putwrite(State_DOT,SState_DOT),   
  putwrite(Bridge_no,SBridge_no), 
  putwrite(Add_image_URL,SAdd_image_URL),  
  % Combine status, position & size strings
  cat([SRemarks,``,SCaseName,``,SEmail_case_Pre,``,SDate_case_Pre,``,SMain_member_type,``,SAttached_member_type,``,
                 SError_type,``,SDescript_error,``,SApproval_nec,``,SSolution_re,``,SWas_success,``,
                 SOther_possible,``,SRequired_final,``,SListing_atta,``,SInform_from,``,SDate_occur,``,
                 SState_DOT,``,SBridge_no,``,SAdd_image_URL,``],ALLString,_),
  proweb_trace(ALLString),
  assert(weblistStore(ALLString)).


  savecaseall(N,N):-
  fixSaveCaseOne(N).

  savecaseall(N1,N2):-
  N1<N2,
  M is N1+1,
  fixSaveCaseOne(N1),
  savecaseall(M,N2).

 
/*----------------------------------------------------------*/
/*  delete  CASES Accounts                                */
/*----------------------------------------------------------*/
  fixsdeletecases(File):-
  proweb_trace(`fixsdelete`),
   fixsNumcases(Num_cases),
   Num_cases1 is Num_cases - 1,
   (def(fixsNumcases,1,_) -> retractall(fixsNumcases(_));true),
   assert(fixsNumcases(Num_cases1)),  
  number_string(Num_cases1,Matomn),
  profile(File,`GENERAL`,`NumberofCase`,Matomn), 
  ecasestore(CaseName),
  retract(case_ac(_,CaseName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_)),
  saveCase(Num_cases1).

/*----------------------------------------------------------*/
/*  FIXS manage comment accounts                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/

 getComment(NuComment) :-
 open('C:\InetPub\Fixsdb\comment.txt',read),
 readStringToList('C:\InetPub\Fixsdb\comment.txt',ALLList),
 proweb_trace(ALLList),
 close('C:\InetPub\Fixsdb\comment.txt'),
 genComments(1,NuComment,ALLList).

  fixGetCommentOne(ALLList,CommentID) :-  
  member(Pos,ALLList,CommentID),
  write(Pos) ~> String,  proweb_trace(String),
  webStringToList(String,List),           
  mem(List,[1],Com_Text),
  mem(List,[2],CommentName),  
  mem(List,[3],Email_com_Pre),
  mem(List,[4],Date_com_Pre),
  mem(List,[5],Rel_casename),
  assert(comment_ac(CommentID,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text)).
  

 genComments(N,N,ALLList):-
  fixGetCommentOne(ALLList,N).


 genComments(N1,N2,ALLList):-
 N1<N2,
 M is N1+1,
 fixGetCommentOne(ALLList,N1),
  genComments(M,N2,ALLList).


/*----------------------------------------------------------*/
/*  Save COMMENTS Accounts                                */
/*----------------------------------------------------------*/

 saveComment(NuComment) :-
 (def(weblistStore,1,_) -> retractall(weblistStore(_));true),
 savecommentall(1,NuComment),
 assert(weblistStore(``)),
 findall(BRL,weblistStore(BRL),List), 
 webListToString(List,String),
 proweb_trace(String),
 open('C:\InetPub\Fixsdb\comment.txt',write),
 write(String) ~> 'C:\InetPub\Fixsdb\comment.txt',
 close('C:\InetPub\Fixsdb\comment.txt'),
 proweb_trace(String).

  fixSaveCommentOne(ID) :-
  comment_ac(ID,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text),
  putwrite(Com_Text,SCom_Text),  
  putwrite(CommentName,SCommentName),  
  putwrite(Email_com_Pre,SEmail_com_Pre),
  putwrite(Date_com_Pre,SDate_com_Pre),
  putwrite(Rel_casename,SRel_casename),  
  % Combine status, position & size strings
  cat([SCom_Text,``,SCommentName,``,
       SEmail_com_Pre,``,SDate_com_Pre,``,SRel_casename,``],ALLString,_),
  proweb_trace(ALLString),
  assert(weblistStore(ALLString)).


  savecommentall(N,N):-
  fixSaveCommentOne(N).

  savecommentall(N1,N2):-
  N1<N2,
  M is N1+1,
  fixSaveCommentOne(N1),
  savecommentall(M,N2).

 
/*----------------------------------------------------------*/
/*  delete  COMMENTS Accounts                                */
/*----------------------------------------------------------*/
  fixsdeletecomments(File):-
  proweb_trace(`fixsdelete`),
   fixsNumcomments(Num_comments),
   Num_comments1 is Num_comments - 1,
   (def(fixsNumcomments,1,_) -> retractall(fixsNumcomments(_));true),
   assert(fixsNumcomments(Num_comments1)),  
  number_string(Num_comments1,Matomn),
  profile(File,`GENERAL`,`NumberofComment`,Matomn), 
  ecommentstore(CommentName),
  retract(comment_ac(_,CommentName,_,_,_,_)),
  saveComment(Num_comments1).

