/*----------------------------------------------------------*/
/*  FIXS manage user                                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
 getUser(NuUser) :-
 open('C:\InetPub\Fixsdb\user.txt',read),
 readStringToList('C:\InetPub\Fixsdb\user.txt',ALLList),
 proweb_trace(ALLList),
 close('C:\InetPub\Fixsdb\user.txt'),
 genUsers(1,NuUser,ALLList).

  fixGetUserOne(ALLList,UserID) :-  
  member(Pos,ALLList,UserID),
  write(Pos) ~> String,  proweb_trace(String),
  webStringToList(String,List),           
  mem(List,[1],UserName),     
  mem(List,[2],UserEmail),  
  mem(List,[3],UserPsword),  
  mem(List,[4],UserAddress),  
  mem(List,[5],UserCompany),
  mem(List,[6],UserTelno),   
  mem(List,[7],UserGroupno),
  assert(account(UserID,UserName,UserEmail,UserPsword,UserAddress,UserCompany,UserTelno,UserGroupno)).
  
 genUsers(N,N,ALLList):-
  fixGetUserOne(ALLList,N).

 genUsers(N1,N2,ALLList):-
 N1<N2,
 M is N1+1,
 fixGetUserOne(ALLList,N1),
  genUsers(M,N2,ALLList).
/*----------------------------------------------------------*/
/*  delete Users Accounts                                */
/*----------------------------------------------------------*/
  fixsdeleteusers(File):-
  proweb_trace(`fixsdelete`),
   fixsNumusers(Num_users),
   Num_users1 is Num_users - 1,
   (def(fixsNumusers,1,_) -> retractall(fixsNumusers(_));true),
   assert(fixsNumusers(Num_users1)),  
  number_string(Num_users1,Matomn),
  profile(File,`GENERAL`,`NumberofUser`,Matomn), 
  euserstore(UserName),
  retract(account(_,_,UserEmail,_,_,_,_,_)),
  saveUser(Num_users1).
/*----------------------------------------------------------*/
/*  save Users Accounts                                */
/*----------------------------------------------------------*/

 saveUser(NuUser) :-
 (def(weblistStore,1,_) -> retractall(weblistStore(_));true),
 saveuserall(1,NuUser),
 assert(weblistStore(``)),
 findall(BRL,weblistStore(BRL),List), 
 webListToString(List,String),
 proweb_trace(String),
 open('C:\InetPub\Fixsdb\user.txt',write),
 write(String) ~> 'C:\InetPub\Fixsdb\user.txt',
 close('C:\InetPub\Fixsdb\user.txt'),
 proweb_trace(String).

  fixSaveUserOne(ID) :-
  account(ID,UserName,UserEmail,UserPsword,UserAddress,UserCompany,UserPhoneNO,UserGroupID),
  putwrite(UserName,SUserName),
  putwrite(UserEmail,SUserEmail),
  putwrite(UserPsword,SUserPsword),
  putwrite(UserAddress,SUserAddress),
  putwrite(UserCompany,SUserCompany),
  putwrite(UserPhoneNO,SUserPhoneNO),
  putwrite(UserGroupID,SUserGroupID),
  cat([SUserName,``,SUserEmail,``,SUserPsword
  ,``,SUserAddress,``,SUserCompany,``,SUserPhoneNO,``,SUserGroupID,``],ALLString,_),
  proweb_trace(ALLString),
  assert(weblistStore(ALLString)).


  saveuserall(N,N):-
  fixSaveUserOne(N).

  saveuserall(N1,N2):-
  N1<N2,
  M is N1+1,
  fixSaveUserOne(N1),
  saveuserall(M,N2).

/*----------------------------------------------------------*/
/*  FIXS manage user Topics                                 */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*  Read Topic Accounts                                 */
/*----------------------------------------------------------*/
 getTopic(NuTopic) :-
 open('C:\InetPub\Fixsdb\topic.txt',read),
 readStringToList('C:\InetPub\Fixsdb\topic.txt',ALLList),
 proweb_trace(ALLList),
 close('C:\InetPub\Fixsdb\topic.txt'),
 genTopics(1,NuTopic,ALLList).

  fixGetTopicOne(ALLList,TopicID) :-  
  member(Pos,ALLList,TopicID),
  write(Pos) ~> String,  proweb_trace(String),
  webStringToList(String,List),           
  mem(List,[1],TopicText),    
  mem(List,[2],TopicName),                           
  mem(List,[3],TopicP),     
  mem(List,[4],TopicDate),   
  assert(topic_ac(TopicID,TopicName,TopicP,TopicDate,TopicText)).
  

 genTopics(N,N,ALLList):-
  fixGetTopicOne(ALLList,N).


 genTopics(N1,N2,ALLList):-
 N1<N2,
 M is N1+1,
 fixGetTopicOne(ALLList,N1),
  genTopics(M,N2,ALLList).


/*----------------------------------------------------------*/
/*  Save TOPICS Accounts                                */
/*----------------------------------------------------------*/

 saveTopic(NuTopic) :-
 (def(weblistStore,1,_) -> retractall(weblistStore(_));true),
 savetopicall(1,NuTopic),
 assert(weblistStore(``)),
 findall(BRL,weblistStore(BRL),List), 
 webListToString(List,String),
 proweb_trace(String),
 open('C:\InetPub\Fixsdb\topic.txt',write),
 write(String) ~> 'C:\InetPub\Fixsdb\topic.txt',
 close('C:\InetPub\Fixsdb\topic.txt'),
 proweb_trace(String).

  fixSaveTopicOne(ID) :-
  topic_ac(ID,TopicName,TopicP,TopicDate,TopicText),
  putwrite(TopicText,STopicText),   
  putwrite(TopicName,STopicName),  
  putwrite(TopicP,STopicP),  
  putwrite(TopicDate,STopicDate),  
  cat([STopicText,``,STopicName,``,STopicP,``,STopicDate
  ,``],ALLString,_),
  proweb_trace(ALLString),
  assert(weblistStore(ALLString)).


  savetopicall(N,N):-
  fixSaveTopicOne(N).

  savetopicall(N1,N2):-
  N1<N2,
  M is N1+1,
  fixSaveTopicOne(N1),
  savetopicall(M,N2).

 
/*----------------------------------------------------------*/
/*  delete  TOPICS Accounts                                */
/*----------------------------------------------------------*/
  fixsdeletetopics(File):-
  proweb_trace(`fixsdelete`),
   fixsNumtopics(Num_topics),
   Num_topics1 is Num_topics - 1,
   (def(fixsNumtopics,1,_) -> retractall(fixsNumtopics(_));true),
   assert(fixsNumtopics(Num_topics1)),  
  number_string(Num_topics1,Matomn),
  profile(File,`GENERAL`,`NumberofTopic`,Matomn), 
  etopicstore(TopicName),
  retract(topic_ac(_,TopicName,_,_,_)),
  saveTopic(Num_topics1).

/*----------------------------------------------------------*/
/*  FIXS manage user Answer                                 */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*  Read Answer  Accounts                                     */
/*----------------------------------------------------------*/
 getAnswer(NuAnswer) :-
 open('C:\InetPub\Fixsdb\answer.txt',read),
 readStringToList('C:\InetPub\Fixsdb\answer.txt',ALLList),
 proweb_trace(ALLList),
 close('C:\InetPub\Fixsdb\answer.txt'),
 genAnswers(1,NuAnswer,ALLList).

  fixGetAnswerOne(ALLList,AnswerID) :-  
  member(Pos,ALLList,AnswerID),
  write(Pos) ~> String,  proweb_trace(String),
  webStringToList(String,List),           
  mem(List,[1],AnswerText),
  mem(List,[2],AnswerName),      
  mem(List,[3],AnswerP),      
  mem(List,[4],AnswerDate),  
  mem(List,[5],AnAnswern),         
  assert(answer_ac(AnswerID,AnswerName,AnswerP,AnswerDate,AnswerText,AnAnswern)).
  

 genAnswers(N,N,ALLList):-
  fixGetAnswerOne(ALLList,N).

 genAnswers(N1,N2,ALLList):-
 N1<N2,
 M is N1+1,
 fixGetAnswerOne(ALLList,N1),
  genAnswers(M,N2,ALLList).


/*----------------------------------------------------------*/
/*  save ANSWERS Accounts                                */
/*----------------------------------------------------------*/

 saveAnswer(NuAnswer) :-
 (def(weblistStore,1,_) -> retractall(weblistStore(_));true),
 saveanswerall(1,NuAnswer),
 assert(weblistStore(``)),
 findall(BRL,weblistStore(BRL),List), 
 webListToString(List,String),
 proweb_trace(String),
 open('C:\InetPub\Fixsdb\answer.txt',write),
 write(String) ~> 'C:\InetPub\Fixsdb\answer.txt',
 close('C:\InetPub\Fixsdb\answer.txt'),
 proweb_trace(String).

  fixSaveAnswerOne(ID) :-
  answer_ac(ID,AnswerName,AnswerP,AnswerDate,AnswerText,AnTopicn),
  putwrite(AnswerText,SAnswerText), 
  putwrite(AnswerName,SAnswerName),                                     % Convert status to a string
  putwrite(AnswerP,SAnswerP),                                           % Convert top to a string
  putwrite(AnswerDate,SAnswerDate),                                           % Convert top to a string
  putwrite(AnTopicn,SAnTopicn), 
  % Combine status, position & size strings
  cat([SAnswerText,``,SAnswerName,``,SAnswerP,``,SAnswerDate
  ,``,SAnTopicn,``],ALLString,_),
  proweb_trace(ALLString),
  assert(weblistStore(ALLString)).


  saveanswerall(N,N):-
  fixSaveAnswerOne(N).

  saveanswerall(N1,N2):-
  N1<N2,
  M is N1+1,
  fixSaveAnswerOne(N1),
  saveanswerall(M,N2).

 
/*----------------------------------------------------------*/
/*  delete  ANSWERS Accounts                                */
/*----------------------------------------------------------*/
  fixsdeleteanswers(File):-
  proweb_trace(`fixsdelete`),
   fixsNumanswers(Num_answers),
   Num_answers1 is Num_answers - 1,
   (def(fixsNumanswers,1,_) -> retractall(fixsNumanswers(_));true),
   assert(fixsNumanswers(Num_answers1)),  
  number_string(Num_answers1,Matomn),
  profile(File,`GENERAL`,`NumberofAnswer`,Matomn), 
  eanswerstore(AnswerName),
  retract(answer_ac(_,AnswerName,_,_,_,_)),
  saveAnswer(Num_answers1).

