


/*----------------------------------------------------------*/
/*  FIXS manage utilits                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/
/*----------------------------------------------------------*/
/*  Get Database File                                       */
/*----------------------------------------------------------*/

webGetFile(File) :- 
  webAppPath(Path,Name,_),  
  cat([Path,'datafixs','.TXT'],File,_). 

/*----------------------------------------------------------*/
/*  Get .txt Users,Topics and Answers Accounts              */
/*----------------------------------------------------------*/
  fixsinitialDatafixs(File) :-
  proweb_trace(`fixsGetDatafixs`),
  profile(File,`GENERAL`,`NumberofUser`,NuUser),    
  profile(File,`GENERAL`,`NumberofTopic`,NuTopic),  
  profile(File,`GENERAL`,`NumberofAnswer`,NuAnswer),    
  number_string(Num_users,NuUser),
   (def(account,8,_) -> retractall(account(_,_,_,_,_,_,_,_));true),
   (def(fixsNumusers,1,_) -> retractall(fixsNumusers(_));true),
   assert(fixsNumusers(Num_users)),                           
  number_string(Num_topics,NuTopic),
   (def(topic_ac,5,_) -> retractall(topic_ac(_,_,_,_,_));true),
   (def(fixsNumtopics,1,_) -> retractall(fixsNumtopics(_));true),
   assert(fixsNumtopics(Num_topics)),                           
  number_string(Num_answers,NuAnswer),
   (def(answer_ac,6,_) -> retractall(answer_ac(_,_,_,_,_,_));true),
   (def(fixsNumanswers,1,_) -> retractall(fixsNumanswers(_));true),
   assert(fixsNumanswers(Num_answers)).


/*----------------------------------------------------------*/
/*  Get .txt Users,Topics and Answers Accounts              */
/*----------------------------------------------------------*/
  fixsinitialUsersonly(File) :-
  proweb_trace(`fixsGetDatafixs`),
  profile(File,`GENERAL`,`NumberofUser`,NuUser),     
  number_string(Num_users,NuUser),
   (def(account,8,_) -> retractall(account(_,_,_,_,_,_,_,_));true),
   (def(fixsNumusers,1,_) -> retractall(fixsNumusers(_));true),
   assert(fixsNumusers(Num_users)),                           
   getUser(Num_users).

/*----------------------------------------------------------*/
/*  List To String Function                                 */
/*----------------------------------------------------------*/

webListToString(List,String) :-
  webListToString(List) ~> String.

webListToString(List) :-
  (atomic(List)                                                 % Determine if list is actually a list
    -> write(List)                                              % Write single item
    ; forall(member(Item,List),write(Item))                     % Write multiple items
  ).

/*----------------------------------------------------------*/
/* String To List Function                                  */
/*----------------------------------------------------------*/

readStringToList(String,List) :-
 read_GetStringList(List) <~ String.

read_GetStringList(List) :-
  get0(Char),
  read_GetRest(Char,List).

read_GetRest(253,[]) :- !.

read_GetRest(252,List) :-
  !,
  read_GetStringList(List).

read_GetRest(Char,[String|List]) :-
  read_GetStrings(Char,Chars,NextChar),
  name(String,Chars),
  read_GetRest(NextChar,List).

read_GetStrings(253,[],253) :- !.

read_GetStrings(252,[],252) :- !.

read_GetStrings(Char,[Char|Chars],NextChar) :-
  get0(Ch),
  read_GetStrings(Ch,Chars,NextChar).


ok_string(String) :-
	string_chars(String,List),
	\+member(252,List),
	\+member(253,List),
	\+member(254,List).


/*----------------------------------------------------------*/
/*  FIXS manage utilits                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/

webAssertAppPath :-                                              % Assert the current application path to memory
  (def(webAppPath,3,_) -> retractall(webAppPath(_,_,_));true),
  atom_string(ExeFile,`C:\InetPub\Fixsdb\FIXS.EXE`),
  fname(ExeFile,Path,Name,Ext),                                 % Parse file name into components
  assert(webAppPath(Path,Name,Ext)).                           % Assert application path


/*----------------------------------------------------------*/
/*  String To List Function                                 */
/*----------------------------------------------------------*/
%
% Parses a string of words to a list of words (adapted from LPA example)
%
webStringToList(String,List) :-
 cat([String,``],Str,_),
 web_GetStringList(List) <~ Str.

web_GetStringList(List) :-
  get0(Char),
  web_GetRest(Char,List).

web_GetRest(253,[]) :- !.

web_GetRest(254,List) :-
  !,
  web_GetStringList(List).

web_GetRest(Char,[String|List]) :-
  web_GetStrings(Char,Chars,NextChar),
  name(String,Chars),
  web_GetRest(NextChar,List).

web_GetStrings(253,[],253) :- !.

web_GetStrings(254,[],254) :- !.

web_GetStrings(Char,[Char|Chars],NextChar) :-
  get0(Ch),
  web_GetStrings(Ch,Chars,NextChar).


putwrite(Name,SName):-                              % Convert status to a string                                     
Name == `` -> write(`default`) ~> SName;
write(Name) ~> SName.

