/*----------------------------------------------------------*/
/*  FIXS others                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/
proweb_page( [ comment_form(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- comment_form_title_file( Form, Title, _ ).

proweb_form( comment_form(Form), [include(File),Footer] ) :-
  comment_form_title_file( Form, _, File ),
  comment_form_footer( Form, Footer ).

comment_form_title_file( list_comment_form,   `list_comment_form`,    'white.htm' ).


  
proweb_page( [ manage_form(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- manage_form_title_file( Form, Title, _ ).

proweb_form( manage_form(Form), [include(File),Footer] ) :-
  manage_form_title_file( Form, _, File ), 
  manage_form_footer( Form, Footer ).

manage_form_title_file( manage_welcome_form,   `manage_welcome_form`,    'white.htm' ).

manage_form_title_file( manage_user_form,   `manage_user_form`,    'white.htm' ).
manage_form_title_file( show_users_form,   `show_users_form`,    'white.htm' ).
manage_form_title_file( add_users_form,   `add_users_form`,    'white.htm' ).
manage_form_title_file( edit_users_form,   `edit_users_form`,    'white.htm' ).
manage_form_title_file( delete_users_form,   `delete_users_form`,    'white.htm' ).

manage_form_title_file( manage_topic_form,   `manage_topic_form`,    'white.htm' ).
manage_form_title_file( show_topic_form,   `show_topic_form`,    'white.htm' ).
manage_form_title_file( add_topic_form,   `add_topic_form`,    'white.htm' ).
manage_form_title_file( edit_topic_form,   `edit_topic_form`,    'white.htm' ).
manage_form_title_file( delete_topic_form,   `delete_topic_form`,    'white.htm' ).

manage_form_title_file( manage_answer_form,   `manage_answer_form`,    'white.htm' ).
manage_form_title_file( show_answer_form,   `show_answer_form`,    'white.htm' ).
manage_form_title_file( add_answer_form,   `add_answer_form`,    'white.htm' ).
manage_form_title_file( edit_answer_form,   `edit_answer_form`,    'white.htm' ).
manage_form_title_file( delete_answer_form,   `delete_answer_form`,    'white.htm' ).

/* ---------------------------------------------------------------------------------- 
  Follows are common forms in the system !
   ---------------------------------------------------------------------------------- */

manage_form_footer(manage_welcome_form, 
             [h3 @ `Select Items you want to manage`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Pick items`,/b,/td,
               td,b,?pickItems,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

proweb_question( pickItems,
                 [ method = radio,
                   select = [check_user,check_topic,check_answer],
                   prefill = check_user,
                   infix   = br
                 ]).
 


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for USERS
   ---------------------------------------------------------------------------------- */


manage_form_footer(manage_user_form, 
             [h3 @ `Select User's Acount ID. (Single Choice Reguired)`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Users Emails`,/b,/td,
               td,b,?userEmailID_input,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ).

proweb_question(userEmailID_input,
                 [ method = radio,
                   select = Email_list,
                   prefill =FList, 
                   infix   = br
                 ]):-
  eliststore(Email_list),
  member(FList,Email_list,1).
proweb_question( pickID,
                 [ method = radio,
                   select = [check_user,check_topic,check_answer],
                   prefill = check_user,
                   infix   = br
                 ]).

manage_form_footer(show_users_form,
              [h3 @ `User information`,
               table(border='1',cellspacing='0',cellpadding='3'),
             tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email`,/b,/td,
               td,b@SUserEmail,/b,/td,
              /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Name`,/b,/td,
               td,b@SUserName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
               td,b@SUserPsword,/b,/td,
                tr(bgcolor='#FFFFC0'),
               td,b,`Address`,/b,/td,
               td,b@SUserAddress,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Company`,/b,/td,
               td,b@SUserCompany,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`GroupID`,/b,/td,
               td,b@SUserGroupno,/b,/td,
              /tr,
                 tr(bgcolor='#FFFFC0'),
               td,b,`PhoneNO`,/b,/td,
               td,b@SUserTelno,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Buttons`,/b,/td,
               td,b,?findID,/b,/td,
               /tr,
                /table,p,              
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        )
   :-
   epickstore(Email_input),
  account(UserID,UserName,Email_input,UserPsword,UserAddress,UserCompany,UserTelno,UserGroupno),
  putwrite(UserName,SUserName),
  putwrite(Email_input,SUserEmail),
  putwrite(UserPsword,SUserPsword),
  putwrite(UserAddress,SUserAddress),
  putwrite(UserCompany,SUserCompany),
  putwrite(UserTelno,SUserTelno),
  putwrite(UserGroupno,SUserGroupno).


proweb_question( findID,
                 [ method = radio,
                   select = [add_acount,delete_acount,edit_acount],
                   prefill = add_acount,
                   infix   = br
                 ]).

manage_form_footer(add_users_form,
              [h3 @ `Add User information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Name`,/b,/td,
               td,b,?userNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Email`,/b,/td,
                td,b,?userEmailINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
                td,b,?userPasswordINPUT,/b,/td,
                tr(bgcolor='#FFFFC0'),
               td,b,`Address`,/b,/td,
               td,b,?userAddressINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Company`,/b,/td,
               td,b,?userCompanyINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`PhoneNO`,/b,/td,
                td,b,?userPhoneNOINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`GroupID`,/b,/td,
               td,b,?userGroupIDINPUT,/b,/td,
               /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

manage_form_footer(edit_users_form,
              [h3 @ `Edit User information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Name`,/b,/td,
               td,b@SUserName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Name`,/b,/td,
               td,b,?userNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Email`,/b,/td,
               td,b@SUserEmail,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Email`,/b,/td,
                td,b,?userEmailINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Password`,/b,/td,
               td,b@SUserPsword,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
                td,b,?userPasswordINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Address`,/b,/td,
               td,b@SUserAddress,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Address`,/b,/td,
               td,b,?userAddressINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Company`,/b,/td,
               td,b@SUserCompany,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Company`,/b,/td,
               td,b,?userCompanyINPUT,/b,/td,
              /tr,
                 tr(bgcolor='#FFFFC0'),
               td,b,`Current PhoneNO`,/b,/td,
               td,b@SUserTelno,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`PhoneNO`,/b,/td,
                td,b,?userPhoneNOINPUT,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current GroupID`,/b,/td,
               td,b@SUserGroupno,/b,/td,
              /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`GroupID`,/b,/td,
               td,b,?userGroupIDINPUT,/b,/td,
               /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ) :-
   epickstore(Email_input),
   account(UserID,UserName,Email_input,UserPsword,UserAddress,UserCompany,UserTelno,UserGroupno),
  putwrite(UserName,SUserName),
  putwrite(Email_input,SUserEmail),
  putwrite(UserPsword,SUserPsword),
  putwrite(UserAddress,SUserAddress),
  putwrite(UserCompany,SUserCompany),
  putwrite(UserTelno,SUserTelno),
  putwrite(UserGroupno,SUserGroupno).

proweb_question(userNameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(userEmailINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(userPasswordINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(userAddressINPUT,
           [ method  = input,type = string,prefill = MyString, rows= 2, cols = 70]) :- MyString = ``. 
   
proweb_question(userCompanyINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(userPhoneNOINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(userGroupIDINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    

manage_form_footer(delete_users_form,
              [h3 @ `Are you sure to delete following account:`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
                td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Email`,/b,/td,
                td,b,b@SUserEmail,/b,/td,
              /tr,
               /table,p, 
               input(type='submit',name='yesno',value='YES'),p,
               input(type='submit',name='yesno',value='NO'),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
     epickstore(Email_input),
  putwrite(Email_input,SUserEmail).
 

/* ---------------------------------------------------------------------------------- 
  Follows are the forms for TOPICS
   ---------------------------------------------------------------------------------- */


manage_form_footer(manage_topic_form, 
             [h3 @ `Select an Topic Name (used as Primary Key)`,
               p,`add/edit/delete operations will be given after viewing an account informatiom.`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Names`,/b,/td,
               td,b,?topicName_input,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ).

proweb_question(topicName_input,
                 [ method = radio,
                   select = TopicName_input,
                   prefill =FList, 
                   infix   = br
                 ]):-
    tliststore(TopicName_input),
  member(FList,TopicName_input,1).

manage_form_footer(show_topic_form,
              [h3 @ `Topic information`,
               table(border='1',cellspacing='0',cellpadding='3'),
             tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Name`,/b,/td,
               td,b@STopicName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Presenter`,/b,/td,
               td,b@STopicP,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Present Date`,/b,/td,
               td,b@STopicDate,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Text`,/b,/td,
               td,b@STopicText,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Buttons`,/b,/td,
               td,b,?findID,/b,/td,
               /tr,
                /table,p,              
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]):-
  etopicstore(Topicn_input),
  topic_ac(TopicID,Topicn_input,TopicP,TopicDate,TopicText),
  putwrite(Topicn_input,STopicName),
  putwrite(TopicP,STopicP),
  putwrite(TopicDate,STopicDate),
  putwrite(TopicText,STopicText).


manage_form_footer(add_topic_form,
              [h3 @ `Add Topic information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Name`,/b,/td,
               td,b,?topicNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Presenter`,/b,/td,
                td,b,?topicPINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Present Date`,/b,/td,
                td,b,?topicDateINPUT,/b,/td,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Text`,/b,/td,
               td,b,?topicTextINPUT,/b,/td,
              /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

vform_footer(edit_topic_form,
              [h3 @ `Edit Topic information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Topic Name`,/b,/td,
               td,b@StopicName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Name`,/b,/td,
               td,b,?topicNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Topic Presenter`,/b,/td,
               td,b@StopicP,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Presenter`,/b,/td,
                td,b,?topicPINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Topic Present Date`,/b,/td,
               td,b@StopicDate,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Present Date`,/b,/td,
                td,b,?topicDateINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Topic Text`,/b,/td,
               td,b@StopicText,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Text`,/b,/td,
                td,b,?topicTextINPUT,/b,/td,
              /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ) :-
   etopicstore(TopicName),
   topic_ac(Num_topicsID,TopicName,TopicP,TopicDate,TopicText),
  putwrite(TopicName,StopicName),
  putwrite(TopicP,StopicP),
  putwrite(TopicDate,StopicDate),
  putwrite(TopicText,StopicText).

proweb_question(topicNameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(topicPINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(topicDateINPUT,
                 [ method = date,format = '/dth/M/yyyy',prefill = [2001,11,29]]).
proweb_question(topicTextINPUT,
           [ method  = input,type = string,prefill = MyString, rows= 5, cols = 80]) :- MyString = ``.    

manage_form_footer(delete_topic_form,
              [h3 @ `Are you sure to delete following account:`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
                td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Topic Name`,/b,/td,
                td,b,b@STopicName,/b,/td,
              /tr,
               /table,p, 
               input(type='submit',name='yesno',value='YES'),p,
               input(type='submit',name='yesno',value='NO'),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
     etopicstore(TopicName),
     putwrite(TopicName,STopicName).


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for ANSWER
   ---------------------------------------------------------------------------------- */


manage_form_footer(manage_answer_form, 
             [h3 @ `Select User's Acount ID. (Single Choice Reguired)`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Names`,/b,/td,
               td,b,?answerName_input,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ).

proweb_question(answerName_input,
                 [ method = radio,
                   select = AnswerName_input,
                   prefill =FList, 
                   infix   = br
                 ]):-
    aliststore(AnswerName_input),
  member(FList,AnswerName_input,1).

manage_form_footer(show_answer_form,
              [h3 @ `Answer information`,
               table(border='1',cellspacing='0',cellpadding='3'),
             tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Name`,/b,/td,
               td,b@SAnswerName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Presenter`,/b,/td,
               td,b@SAnswerP,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Present Date`,/b,/td,
               td,b@SAnswerDate,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Text`,/b,/td,
               td,b@SAnswerText,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer to topic name`,/b,/td,
               td,b@SAnTopicn,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Buttons`,/b,/td,
               td,b,?findID,/b,/td,
               /tr,
                /table,p,              
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]):-
  eanswerstore(Answern_input),
  answer_ac(AnswerID,Answern_input,AnswerP,AnswerDate,AnswerText,AnTopicn),
  putwrite(Answern_input,SAnswerName),
  putwrite(AnswerP,SAnswerP),
  putwrite(AnswerDate,SAnswerDate),
  putwrite(AnswerText,SAnswerText),
  putwrite(AnTopicn,SAnTopicn).


manage_form_footer(add_answer_form,
              [h3 @ `Add Answer information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Name`,/b,/td,
               td,b,?answerNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Presenter`,/b,/td,
                td,b,?answerPINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Present Date`,/b,/td,
                td,b,?answerDateINPUT,/b,/td,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Text`,/b,/td,
               td,b,?answerTextINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer to topic name`,/b,/td,
               td,b,?anTopicnINPUT,/b,/td,
              /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

manage_form_footer(edit_answer_form,
              [h3 @ `Edit Answer information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Answer Name`,/b,/td,
               td,b@SanswerName,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Name`,/b,/td,
               td,b,?answerNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Answer Presenter`,/b,/td,
               td,b@SanswerP,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Presenter`,/b,/td,
                td,b,?answerPINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Answer Present Date`,/b,/td,
               td,b@SanswerDate,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Present Date`,/b,/td,
                td,b,?answerDateINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Answer Text`,/b,/td,
               td,b@SanswerText,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Text`,/b,/td,
                td,b,?answerTextINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Current Answer to topic name`,/b,/td,
               td,b@SAnTopicn,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer to topic name`,/b,/td,
                td,b,?anTopicnINPUT,/b,/td,
              /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ) :-
   eanswerstore(AnswerName),
   answer_ac(Num_answersID,AnswerName,AnswerP,AnswerDate,AnswerText,AnTopicn),
  putwrite(AnswerName,SanswerName),
  putwrite(AnswerP,SanswerP),
  putwrite(AnswerDate,SanswerDate),
  putwrite(AnswerText,SanswerText),
  putwrite(AnTopicn,SAnTopicn).

proweb_question(answerNameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(answerPINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(answerDateINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
proweb_question(answerTextINPUT,
           [ method  = input,type = string,prefill = MyString,  rows= 5, cols = 80]) :- MyString = ``.    
proweb_question(anTopicnINPUT,
           [ method  = input,type = string,prefill = MyString,  cols = 50]) :- MyString = ``.    

manage_form_footer(delete_answer_form,
              [h3 @ `Are you sure to delete following account:`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
                td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Answer Name`,/b,/td,
                td,b,b@SAnswerName,/b,/td,
              /tr,
               /table,p, 
               input(type='submit',name='yesno',value='YES'),p,
               input(type='submit',name='yesno',value='NO'),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
     eanswerstore(AnswerName),
  putwrite(AnswerName,SAnswerName).
